<?php date_default_timezone_set('Europe/Berlin');
$keys = array_keys($_POST);
if (count($keys)<1) {
  echo "Unberechtigter Zugriff";
  exit();
}

$benutzer = $_POST[$keys[0]];
$PW = $_POST[$keys[1]];
$startDatum = $_POST[$keys[2]];
$anzTage=1145;
$nr = $_POST[$keys[3]];
$cballeStatus = $_POST[$keys[4]];

include './DBSafe/dbDaten.php';
include_once 'settimelimitFu.php'; //damit steht die Funktion settimelimit() zur Verfügung

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "kalerstellenERROR:Datenbankserver zur Zeit nicht erreichbar";
     exit();
}
mysqli_set_charset($conn, "utf8");

$vermieterTabelle=$benutzer."0Vermieter";
$result=mysqli_query($conn, "select * from $vermieterTabelle where lan='00-00'");
if (!($row=mysqli_fetch_row($result))) {
     echo "kalerstellenERROR:Die Vermietertabelle ist nicht vorhanden.";
     exit();
}
else if (mysqli_num_rows($result)<1) {
     echo "kalerstellenERROR:Die Vermieterdaten sind nicht vorhanden.";
     exit();
}

if ($row[3] != $PW){
     echo "kalerstellenERROR:Das Kennwort ist falsch.";
     exit();
}

$objektF=array();
$objAnz=0;
if ($cballeStatus=="true") {
  $benTabelle=$benutzer."0Benutzer";
  $resultObjSpalte=mysqli_query($conn, "select Objekt from $benTabelle");
  while($werte=mysqli_fetch_row($resultObjSpalte)){
    if (strlen($werte[0]) > 0){
      $objektF[$objAnz] = $werte[0];
      $objAnz++;
    }
  }
}
else {
  $objektF[$objAnz] = $nr;
  $objAnz++;  
}

include_once './locktables.php';

for ($i=0; $i<$objAnz; $i++) {
  settimelimit(); //timer neu starten
  $kalTab= $benutzer."0".$objektF[$i]."Kalender";
  //alle Werte der Tabelle löschen
  if (!mysqli_query($conn, "DELETE FROM $kalTab")){
       echo "kalerstellenERROR:Beim L&ouml;schen der Kalendertabelle(n) ist ein Fehler aufgetreten";
       exit();
  }
  //neue Werte eintragen
  for ($j=0; $j<$anzTage; $j++){
    if (!mysqli_query($conn, "INSERT INTO $kalTab VALUES($j,DATE_ADD('$startDatum',INTERVAL $j DAY),'B','0','0')")) {
       echo "kalerstellenERROR:Beim Schreiben der Kalendertabelle(n) ist ein Fehler aufgetreten";
       exit();
    }
  }
  //Buchungen löschen

  $tabelle= $benutzer."0".$objektF[$i]."Buchungen";
  if (!mysqli_query($conn, "DELETE FROM $tabelle")){ //alle Werte der Tabelle löschen
       echo "kalerstellenERROR:Beim L&ouml;schen der Buchungstabelle(n) ist ein Fehler aufgetreten";
       exit();
  }
}
//Kalendertabelle aufsteigend sortieren
mysqli_query($conn, "ALTER TABLE `$kalTab` ORDER BY `Nr` ASC");
mysqli_query($conn, "UNLOCK TABLES");
/*Datenbank sichern*/
$dbenutzer=$benutzer;
$duart="KalenderErstellen";
include_once './DBsave.php';
echo "kalerstellenOK:Die Kalender wurden erfolgreich erstellt"
?>