<?php date_default_timezone_set('Europe/Berlin'); if (!isset($_SESSION)) {session_start();}
if (!isset($_SESSION['password'])) {echo "FORBIDDEN"; exit();}
$keys = array_keys($_POST);
if (count($keys)<1) {
  echo "Unberechtigter Zugriff";
  exit();
}
$benutzer=$_POST[$keys[0]];
$objekt=$_POST[$keys[1]];
$anDatum=$_POST[$keys[2]];
$benutzerID=$_SESSION['benutzerID'];
$vollzugriff=$_SESSION['vollzugriff'];

include './DBSafe/dbDaten.php';
$tabelle = $benutzer."0".$objekt."Buchungen";
$preistab = $benutzer."0".$objekt."Preise";
$vermieterTabelle = $benutzer."0Vermieter";

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "ad_formularFuellenDATENBANKFEHLER:";
     exit();
}
mysqli_set_charset($conn, "utf8");
$sendStr="ad_formularFuellenBLOCKIERUNG:"; //falls Buchung vorhanden, wird dies überschrieben

$result = mysqli_query($conn, "SELECT * FROM $tabelle WHERE Anreisedatum='$anDatum'");
if ($result){
  $num = mysqli_num_rows($result);
  if ($num>0) {
    $row = mysqli_fetch_row ($result);
    $Buchcode = $row[13];
    if (strlen($Buchcode)<18) {
        $_lan='de-DE';
    }
    else {
      list($IDNr,$IDStr,$dummy3,$_lan) = explode('/',$Buchcode);
    }
    if ((!$vollzugriff)&&($benutzerID != 0)) {
      $zugriffsBerechtigung=true;
      if (($IDNr != -1) && ($benutzerID != $IDNr)) {//keine Kundenbuchung/-reservierung und keine eigene Buchung/Reservierung.
        $zugriffsBerechtigung=false;
      }
      if (($IDStr=="BUCH") && ($IDNr == -1)) {//Ausschluss der Berechtigung bei Kundenbuchung
        $zugriffsBerechtigung=false;
      }
      if (!$zugriffsBerechtigung) {
        echo "ad_formularFuellenKEINEBERECHTIGUNG:";
        exit();
      }
    }

    $erg=mysqli_query($conn, "SELECT ObjAnschrift FROM $preistab where lan='$_lan'");
    if ($erg) {
      $zeile = mysqli_fetch_row ($erg);
      $ObjAnschrift=$zeile[0];
    }
    else {$ObjAnschrift='';}
    
    $ergebnis = mysqli_query($conn, "select Optionencode from $vermieterTabelle where lan='00-00'");
    if ($ergebnis){
      $ergebnisF=mysqli_fetch_row($ergebnis);
      $Optionencode=$ergebnisF[0];
    }
    $tagPrPers=$row[17]+$row[18];
    if ($Optionencode[0]=='0') {$tagesPreisSt=number_format($row[25]/$row[24],2,'.','');} //Tagespreis
    else                       {$tagesPreisSt=number_format($row[25]/$row[24]/$tagPrPers,2,'.','');} //Tagespreis pro Person

    include_once './language/'.$_lan.'/'.$_lan.'globalTxt.php';
         if ($row[20]==$_verpf0){$id_verpf='iverpflegungK';}
    else if ($row[20]==$_verpf1){$id_verpf='iverpflegungF';}
    else if ($row[20]==$_verpf2){$id_verpf='iverpflegungH';}
    else if ($row[20]==$_verpf3){$id_verpf='iverpflegungV';}
    else if ($row[20]==$_verpf4){$id_verpf='iverpflegungA';}
    
         if ($row[0]=='Frau'){$idx=0;}
    else if ($row[0]=='FrauDr'){$idx=1;}
    else if ($row[0]=='Herr'){$idx=2;}
    else if ($row[0]=='HerrDr'){$idx=3;}
    else if ($row[0]=='Familie'){$idx=4;}
    else if ($row[0]=='Firma'){$idx=5;}
    include_once './language/'.$_lan.'/'.$_lan.'frameOptionen.php';
    
    $sqlandat=$row[14];
    $sqlabdat=$row[15];
    $row[14]=date("d.m.Y",strtotime($row[14]));
    $row[15]=date("d.m.Y",strtotime($row[15]));
    
    $row[12]=str_replace(array("\r", "\n"), array("", "\\n"), $row[12]); //Nachricht

    //1. Zeile: Preisheaderdaten: 0..4
    //2. Zeile: Personenanzahlen, Verpflegung: 5..8
    //3. Zeile: eArt: 9..18
    //4. Zeile: zArt: 19..28
    //5. Zeile: Anrede: 29..33
    //6. Zeile: Adressdaten, Nachricht:34..45
    //7. Zeile: Paneldaten: Gesamtpreis, Anzahlung, Restzahlung, Objekt, Anreisedatum, Abreisedatum, Tage: 46..52
    //8. Zeile: sqlandat, sqlabdat, buchart($IDStr) für hidden-Felder: 53..55
    $ad_ary=array($row[24],$row[25],$tagesPreisSt,$row[26],$row[27],
                  $row[17],$row[18],$row[19],$id_verpf,
                  $row[45],$row[46],$row[47],$row[48],$row[49],$row[70],$row[71],$row[72],$row[73],$row[74],
                  $row[55],$row[56],$row[57],$row[58],$row[59],$row[80],$row[81],$row[82],$row[83],$row[84],
                  $idx,$_vorname,$_nachname,$_vornameFa,$_nachnameFa,
                  $row[1],$row[2],$row[3],$row[4],$row[5],$row[64],$row[6],$row[7],$row[8],$row[9],$row[10],$row[12],
                  $row[25],$row[26],$row[27],$objekt,$row[14],$row[15],$row[24],
                  $sqlandat, $sqlabdat, $IDStr);
    
    $_SESSION['ad_formulardaten']=serialize($ad_ary);
      
    $sendStr = "ad_formularFuellenOK:$_lan";
  }
}
//error_log('ad_persdaten: '.$row[12],0);
echo $sendStr; //Respond zu ad_executePHP()
?>