<?php date_default_timezone_set('Europe/Berlin');
include './autHinweis.php';
ob_clean();
?>
<!DOCTYPE html>
<html>
<head>
	<title>Kalender- und Tabellenreset</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
         <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
         <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
         <link rel="stylesheet" type="text/css" href="toolt.css" media="screen">
         <link rel="stylesheet" type="text/css" href="print.css" media="print">
  <style type='text/css'>
  .wait, .wait * {cursor: wait !important;}
  .pointer {cursor: pointer !important;}
  </style>
  <script type="text/javascript">
  ﻿function uftdecode(utftext) {
    var string = "";
    var i = 0;
    var c = c1 = c2 = 0;
    while ( i < utftext.length ) {
      c = utftext.charCodeAt(i);
      if (c < 128) {
        string += String.fromCharCode(c);
        i++;
      }
      else {
        if((c > 191) && (c < 224)) {
          c2 = utftext.charCodeAt(i+1);
          string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
          i += 2;
        }
        else {
          if (c != 65279) { //byte order mark (BOM), a magic number at the start of a text stream
            c2 = utftext.charCodeAt(i+1);
            c3 = utftext.charCodeAt(i+2);
            string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
            i += 3;
          }
          else {
            i++;
          }
        }
      }
    }
    return string;
  }
  function createobject() {
    try {req = new XMLHttpRequest();}
    catch (reqerr) {try {req = new ActiveXObject("Msxml2.XMLHTTP");}
      catch (reqerr) {try {req = new ActiveXObject("Microsoft.XMLHTTP");}
        catch (reqerr) {req = null;}
      }
    }
    return req;
  }
  var erg ="";
  function executePHP(url,paramListe) {
    var http = createobject();
    if (http == null) {erg="false";}
    else {
      var params=paramListe[0];
      for (i = 1;i < paramListe.length;i++) {
        params+= '&'+paramListe[i];
      }
      http.open("POST", url, true); //false (synchron), true (asynchron); Vorsicht: bei synchron geht der wait-Cursor nicht!
      http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
      http.setRequestHeader("Content-length", params.length);
      http.setRequestHeader("Connection", "keep-alive");
      http.onreadystatechange = function() {//Call a function when the state changes.
        if (http.readyState == 4) {
          document.body.className = '';
          if (http.status == 200) {
            resp=http.responseText;
            //resp=uftdecode(resp);
            if (resp.match(/^kalerstellenOK:/)){
              erg=resp.replace(/^kalerstellenOK:/,"");
              window.setTimeout('kalerstellenres(erg);',10);
            }
            else if (resp.match(/^kalerstellenERROR:/)){
              erg=resp.replace(/^kalerstellenERROR:/,"");
              window.setTimeout('kalerstellenres(erg);',10);
            }
            else if (resp.match(/^kalresetOK:/)){
              erg=resp.replace(/^kalresetOK:/,"");
              window.setTimeout('kalerstellenres(erg);',10);
            }
            else if (resp.match(/^kalresetERROR:/)){
              erg=resp.replace(/^kalresetERROR:/,"");
              window.setTimeout('kalerstellenres(erg);',10);
            }
            else {
              erg=resp; alert(erg);
            }
          }
          else {
            alert("http-Status: "+http.status+" Error sending request object!");
          }
        }
      };
      http.send(params);
    }
  }
  var selobjekt='0';
  var objsel;
  var bttabreset;
  var btkalerstellen;
  var cb;
  var cbkal,cbpreis,cbpers;
  function initvars() {
    objsel=document.getElementById('ad_objselid');
    monsel=document.getElementById('ad_monselid');
    jahrsel=document.getElementById('ad_jahrselid');
    bttabreset=document.getElementById('bttabresetid');
    btkalerstellen=document.getElementById('btkalerstellenid');
    cb=document.getElementById('ad_alleobjekteid');
    cbkal=document.getElementById('idkal');
    cbpreis=document.getElementById('idpreis');
    cbpers=document.getElementById('idpers');
    bttabreset.style.cursor='not-allowed';
    btkalerstellen.style.cursor='not-allowed';
  }
  function datumpruefen() {
    var jahr=parseInt(jahrsel.value,10);
    var monat=parseInt(monsel.value,10)-1;
    var eingabedatum = new Date(jahr, monat, 1);
    var heute = new Date();
    if (heute.getTime()-eingabedatum.getTime() < 0) {
      alert('Fehler!\n\nDas Eingabedatum darf nicht nach dem heutigen Datum liegen.');
      jahrsel.selectedIndex=0;
      monsel.selectedIndex=0;
    }
    return false;
  }
  function ad_handleClick() {
    setTimeout(function() {
      if (cb.checked) {
        btkalerstellen.value='Kalender für alle Objekte erstellen';
        btkalerstellen.disabled=false;
        btkalerstellen.style.cursor='pointer';
        bttabreset.value='Tabellen-Reset für alle Objekte durchführen';
        if ((cbkal.checked)||(cbpreis.checked)||(cbpers.checked)) {
          bttabreset.disabled=false;
          bttabreset.style.cursor='pointer';
        }
      }
      else {
        if (selobjekt=='0') {
          btkalerstellen.value='Kalender für das ausgewählte Objekte erstellen';
          btkalerstellen.disabled=true;
          btkalerstellen.style.cursor='not-allowed';
          bttabreset.value='Tabellen-Reset für die ausgewählten Objekte durchführen';
          bttabreset.disabled=true;
          bttabreset.style.cursor='not-allowed';
        }
        else {
          btkalerstellen.value="Kalender für das Objekt '"+selobjekt+"' erstellen";
          btkalerstellen.disabled=false;
          btkalerstellen.style.cursor='pointer';
          bttabreset.value="Tabellen-Reset für das Objekt '"+selobjekt+"' durchführen";
          if ((cbkal.checked)||(cbpreis.checked)||(cbpers.checked)) {
            bttabreset.disabled=false;
            bttabreset.style.cursor='pointer';
          }
        }
      }
    }, 10);
  }
  function ad_handlecbresetClick() {
    setTimeout(function() {
      if (((cb.checked)||(selobjekt!='0'))&&((cbkal.checked)||(cbpreis.checked)||(cbpers.checked))) {
        bttabreset.disabled=false;
        bttabreset.style.cursor='pointer';
      }
      else {
        bttabreset.disabled=true;
        bttabreset.style.cursor='not-allowed';
      }
    }, 10);
  }
  function bt_disable() {
    bttabreset.value='Tabellen-Reset für die ausgewählten Objekte durchführen';
    bttabreset.disabled=true;
    bttabreset.style.cursor='not-allowed';
    btkalerstellen.disabled=true;
    btkalerstellen.style.cursor='not-allowed';
    objsel.selectedIndex=0;
    objsel.disabled=true;
  }
  function grundeinstellungen() {
    bttabreset.value='Tabellen-Reset für die ausgewählten Objekte durchführen';
    bttabreset.disabled=true;
    bttabreset.style.cursor='not-allowed';
    btkalerstellen.disabled=true;
    btkalerstellen.style.cursor='not-allowed';
    objsel.selectedIndex=0;
    objsel.disabled=false;
    document.body.className = '';
    cb.checked=false;
    cbkal.checked=false;
    cbpreis.checked=false;
    cbpers.checked=false;
  }
  function decode_htmlentities(str){
   var temp=document.createElement("pre");
   temp.innerHTML=str;
   return temp.firstChild.nodeValue;
  }
  function ad_kalerstellen(benutzer,PW) {
    if (cb.checked) {
      if (!confirm("Möchten Sie wirklich die Kalendertabellen für alle Objekte neu erstellen?")) {return;}
    }
    else {
      if (!confirm("Möchten Sie wirklich die Kalendertabellen für das Objekt '"+selobjekt+"' neu erstellen?")) {return;}
    }
    document.body.className = 'wait';
    bt_disable();
    var Liste = new Array();
    Liste.push('benutzer='+benutzer);
    Liste.push('PW='+PW);
    var startDatum = jahrsel.value+'-'+monsel.value+'-01';
    Liste.push('startDatum='+startDatum);
    Liste.push('objekt='+selobjekt);
    var cballeStatus="false";
    if (cb.checked) {cballeStatus="true";}
    Liste.push('cballeStatus='+cballeStatus);
    executePHP('ad_DBKalenderErstellen.php',Liste);    
  }
  function kalerstellenres(st) {
    st=decode_htmlentities(st);
    alert(st);
    grundeinstellungen();
  }
  function buttons_aktivieren(obj) {
    selobjekt=obj;
    if (obj=='0') {
      if (cb.checked) {
        btkalerstellen.value='Kalender für alle Objekte erstellen';
        btkalerstellen.disabled=false;
        btkalerstellen.style.cursor='pointer';
        bttabreset.value='Tabellen-Reset für alle Objekte durchführen';
        bttabreset.disabled=true;
        bttabreset.style.cursor='not-allowed';
      }
      else {
        btkalerstellen.value='Kalender für das ausgewählte Objekt erstellen';
        btkalerstellen.disabled=true;
        btkalerstellen.style.cursor='not-allowed';
        bttabreset.value='Tabellen-Reset für die ausgewählten Objekte durchführen';
        bttabreset.disabled=true;
        bttabreset.style.cursor='not-allowed';
      }
    }
    else {
      if (cb.checked) {
        btkalerstellen.value='Kalender für alle Objekte erstellen';
        bttabreset.value="Tabellen-Reset für alle Objekte durchführen";
      }
      else {
        btkalerstellen.value="Kalender für das Objekt '"+obj+"' erstellen";
        bttabreset.value="Tabellen-Reset für das Objekte '"+obj+"' durchführen";
      }
      btkalerstellen.disabled=false;
      btkalerstellen.style.cursor='pointer';
      if ((cbkal.checked)||(cbpreis.checked)||(cbpers.checked)) {
        bttabreset.disabled=false;
        bttabreset.style.cursor='pointer';
      }
    }
  }
  function ad_tabreset(benutzer,PW) {
    if (cb.checked) {
      if (!confirm("Möchten Sie wirklich einen Tabellen-Reset für alle Objekte durchführen?")) {return;}
    }
    else {
      if (!confirm("Möchten Sie wirklich einen Tabellen-Reset für das Objekt '"+selobjekt+"' durchführen?")) {return;}
    }
    bt_disable();
    var tdListe = new Array();
    tdListe.push('benutzer='+benutzer);
    tdListe.push('PW='+PW);
    var idkalchecked='0';
    if (cbkal.checked) {idkalchecked='1';}
    tdListe.push('idkal='+idkalchecked);
    var idpreischecked='0';
    if (cbpreis.checked) {idpreischecked='1';}
    tdListe.push('idpreis='+idpreischecked);
    var idperschecked='0';
    if (cbpers.checked) {idperschecked='1';}
    tdListe.push('idpers='+idperschecked);
    tdListe.push('obj='+selobjekt);
    var cballeStatus="false";
    if (cb.checked) {cballeStatus="true";}
    tdListe.push('cballeStatus='+cballeStatus);
    document.body.className = 'wait';
    executePHP('ad_tabellenReset.php',tdListe);
  }
  function tabres(st) {
    st=decode_htmlentities(st);
    alert(st);
    grundeinstellungen();
  }
  function hinweis(aktion) {
    if (aktion=='ein') {
      document.getElementById('verwkalhinweisein').style.display='none';
      document.getElementById('verwkalhinweisaus').style.display='block';
      document.getElementById('verwkalhinweisid').style.display='block';
    }
    else {
      document.getElementById('verwkalhinweisein').style.display='block';
      document.getElementById('verwkalhinweisaus').style.display='none';
      document.getElementById('verwkalhinweisid').style.display='none';
    }
  }
  </script>
</head>
<body style="min-width:1030px;" onload="initvars();">
 <div id='aussen'>
  <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">Saisonwahl</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a>
			<ul id="secondary">
				<li><a href="ad_saisonwahl.php">Saisonwahl</a></li>
                <li><a href="ad_mindauerwahl.php">Mindestmietdauerwahl</a></li>
				<li><a href="ad_kalFortfuehren.php">Kalender fortführen</a></li>
				<li><a href="ad_dbsicherungen.php">Datenbank-Sicherungen</a></li>
				<li><span>Kalender neu anlegen - Tabellen-Reset</span></li>
				<li><a href="ad_verwBuchung.php" style="float:right;">Buchen - Stornieren - Ändern</a></li>
			</ul>
    </li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php" class="current">Buchungskalender</a></li>
	</ul>
	</div>
	<div id='main'>

<?php
$DBOk=true;
include './DBSafe/dbDaten.php';
$vermieterTabelle=$benutzer."0Vermieter";
$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "MySQL-ERROR: ".mysqli_connect_error()." in ".$_scriptName." #1.1";
     $DBOk=false;
}
else {
  mysqli_set_charset($conn, "utf8");
}
include './zugriffsberechtigung.php';
$vollzugriff=false;
if (zugriffsberechtigt($benutzer,$benutzerID,15)) { //hier gibt es nur Vollzugriff
  $vollzugriff=true;
}
else {
  echo  "
    <hr style=\"color:#ffffff; width:95%;margin-top:25px;\">
    <br><h5 style='text-align:center;margin-top:50px;'>Sie haben keine Zugangsberechtigung zu dieser Seite.</h5><br>";
  exit();
}

if ($DBOk) {
  $objektF=array();
  $objAnz=0;
  $benTabelle=$benutzer."0Benutzer";
  $resultObjSpalte=mysqli_query($conn, "select Objekt from $benTabelle");
  while($werte=mysqli_fetch_row($resultObjSpalte)){
    if (strlen($werte[0]) > 0){
      $objektF[$objAnz] = $werte[0];
      $objAnz++;
    }
  }
}
?>
<a href="ad_kaltabreset.php" style="float:left"><img class="noprint" style='border:0;' src="Aktual.png" title="Seite aktualisieren" alt=""></a>
<hr style="color:#ffffff; width:95%;margin-top:25px;">
<div id='contents' style='position:relative;'>
  <div style='text-align:center;margin-bottom:10px;'>
  <select id='ad_objselid' style='position:absolute;top:10px;left:260px;width:179px;font-size:13px;margin:0px;padding:0px;' name='ad_objsel' size='1' onChange='buttons_aktivieren(this.options[this.selectedIndex].value); return false'>
   <option selected value='0'>Wählen Sie ein Objekt</option>
   <?php
   for ($i=0; $i<$objAnz; $i++) {
     echo "<option value=\"".$objektF[$i]."\">".$objektF[$i]."</option>";
   }
   ?>
  </select>
  <label><input type='checkbox' id='ad_alleobjekteid' style='position:absolute;top:10px;left:645px;' onclick='ad_handleClick();'><span style='position:absolute;top:12px;left:450px;font-family:arial,helvetica;font-size:14px;'>&nbsp;und/oder alle Objekte wählen</span></label>
  </div>
  <div>
  <fieldset style='position:relative;min-height:150px;margin-top:23px;'>
  <legend><span style='font-size:20px;'>Kalender neu erstellen</span></legend>
    <div style='position:absolute;left:148px;top:60px;margin:0px;padding:0px;'>
    <select style='width:50px;height:18px;margin:0px;padding:0px;font-size:13px;margin:0px 0px 0px 2px;' size='1' disabled>
      <option value='01'>01</option>
    </select>
    </div>
    <div style='position:absolute;left:200px;top:60px;margin:0px;padding:0px;'>
    <select id='ad_monselid' style='width:50px;height:18px;margin:0px;padding:0px;font-size:13px;margin:0px 0px 0px 2px;' name='ad_monsel' size='1' onChange='datumpruefen(this.options[this.selectedIndex].value); return false'>
     <?php
     for ($i=1; $i<13; $i++) {
       if ($i < 10) {$wert="0".$i;}
       else         {$wert="".$i;}
       echo "<option value=\"".$wert."\">".$wert."</option>";
     }
     ?>
    </select>
    </div>
    <div style='position:absolute;left:252px;top:60px;margin:0px;padding:0px;'>
    <select id='ad_jahrselid' style='width:70px;height:18px;margin:0px;padding:0px;font-size:13px;margin:0px 0px 0px 2px;' name='ad_jahrsel' size='1' onChange='datumpruefen(this.options[this.selectedIndex].value); return false'>
     <?php
     $aktjahr=(int)date("Y");
     $startjahr=$aktjahr-3;
     for ($i=$startjahr; $i<$startjahr+4; $i++) {
       echo "<option value=\"".$i."\">".$i."</option>";
     }
     ?>
    </select>
    </div>
    <div style='position:absolute;left:20px;bottom:0px;width:400px;'>
      <p>
        Wählen Sie das Kalenderstartdatum für die ausgewählten Objekte. Der Tag ist mit '01' fest vorgegeben.
      </p>
    </div>
    <div style='position:absolute;right:40px;top:60px;margin-bottom:20px;'><input type='submit' class='button' id='btkalerstellenid' style='cursor:pointer;' value='Kalender für das ausgewählte Objekt erstellen' onclick="ad_kalerstellen(<?php echo "'$benutzer','$PW'" ?>);" disabled></div>
    <div id='sqlboxsel' style='z-index:100;position:absolute;top:40px;left:60px;width:350px;height:20px;visibility:hidden;overflow-x:hidden;overflow-y:auto;background-color:#efefef;border:1px solid black;'></div>
    <div style='position:absolute;left:20px;bottom:0px;width:400px;'>
    </div>
    <div style='position:absolute;right:20px;bottom:0px;width:400px;'>
      <p>
        Wenn die Checkbox für '...alle Objekte wählen' selektiert ist, werden bei allen Objekten die Kalender neu erstellt.
      </p>
    </div>
  </fieldset>
  </div>
  <div style='text-align:center;margin-top:20px;'>
    <span style='font-size:20px;color:red;'>Vorsicht, bei Aktionen auf dieser Seite werden Daten gelöscht!</span><br>
    <span style='font-size:10px;color:red;'>Beachten Sie die unten stehenden Hinweise.</span>
  </div>
  <div style='margin-top:20px;'>
  <fieldset style='position:relative;min-height:170px;'>
  <legend><span style='font-size:20px;'>Tabellenreset</span></legend>
    <label><input type='checkbox' id='idkal' style='position:absolute;top:40px;left:70px;' onclick='ad_handlecbresetClick();'><span style='position:absolute;top:42px;left:85px;font-family:arial,helvetica;font-size:12px;'>&nbsp;&nbsp;Reset der Kalender- und Buchungstabelle</span></label>
    <label><input type='checkbox' id='idpreis' style='position:absolute;top:60px;left:70px;' onclick='ad_handlecbresetClick();'><span style='position:absolute;top:62px;left:85px;font-family:arial,helvetica;font-size:12px;'>&nbsp;&nbsp;Reset der Preistabelle</span></label>
    <label><input type='checkbox' id='idpers' style='position:absolute;top:80px;left:70px;' onclick='ad_handlecbresetClick();'><span style='position:absolute;top:82px;left:85px;font-family:arial,helvetica;font-size:12px;'>&nbsp;&nbsp;Reset der Persönliche Daten-Tabelle</span></label>
    <div style='position:absolute;right:40px;top:60px;margin-bottom:20px;'><input type='submit' class='button' id='bttabresetid' style='cursor:pointer;' value='Tabellen-Reset für die ausgewählten Objekte durchführen' onclick="ad_tabreset(<?php echo "'$benutzer','$PW'" ?>);" disabled></div>
  </fieldset>
  </div>
  <div style='margin-top:20px;'>
  <span id='verwkalhinweisein' style="display:block;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('ein');">
    Hinweise einblenden <img style='border:0;' src="hinweis_ein.png" title="Hinweise einblenden" alt="">
  </span>
  <span id='verwkalhinweisaus' style="display:none;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('aus');">
    Hinweise ausblenden <img style='border:0;' src="hinweis_aus.png" title="Hinweise ausblenden" alt="">
  </span>
  </div><br>
  <div id='verwkalhinweisid' style='margin-top:10px;display:none;'>
    <span><b>Informationen zu Aktionen auf dieser Seite</b></span><br><br>
    <span>Wenn Sie Aktionen auf dieser Seite durchführen, werden bestimmte Datenbanktabellen neu angelegt. Die ursprünglich vorhandenen Tabellen
          werden mit den zugehörigen Inhalten gelöscht.<br>
          Nur mithilfe eines Datenbank-Imports können gelöschte Daten wiederhergestellt werden, falls Sie die automatische Datenbanksicherung
          nicht deaktiviert haben, bzw. falls Sie eine manuelle Datenbanksicherung angelegt haben.<br>
          Aktionen auf dieser Seite sollten nur durchgeführt werden bei einer Erstinstallation oder wenn aus irgendwelchen Gründen eine
          Neuinstallation durchgeführt werden soll, niemals während des laufenden Betriebs.<br>
          Aktionen können für ein einzelnes Objekt oder für alle Objekte zugleich durchgeführt werden.<br><br>
          Im Einzelnen gilt:</span>
  <ul>
    <li><span><b>Kalender neu erstellen</b></span>
      <ul>
        <li><span>Für die ausgewählten Objekte werden die Kalendertabellen mit dem gewählten Startdatum für drei Jahre neu angelegt.</span></li>
        <li><span>Die Saisonzeiten werden für alle Tage auf 'B' gesetzt.</span></li>
        <li><span>Zusätzlich werden die zu den betroffenen Objekten gehörenden Buchungen und Buchungsanfragen gelöscht.</span></li>
        <li><span>Im TAB 'Einstellungen' ist das Enddatum, bis zu dem die Kalender dem Mietinteressenten zur Verfügung gestellt werden, ggf. anzupassen.</span></li>
        <li><span>Verwenden Sie diese Option niemals während des laufenden Betriebs, sondern stattdessen die Option 'Kalender fortführen'.</span></li>
      </ul>
    </li>
    <li><span><b>Tabellenreset</b></span>
      <ul>
        <li><span>Reset der Kalender- und Buchungstabelle</span>
          <ul>
            <li><span>Die Kalender der ausgewählten Objekte werden in den Zustand der erstmaligen Installation zurückgesetzt.</span></li>
            <li><span>Ggf. ändert sich das Kalenderstartdatum, die Saisonzeiten aller Tage werden auf 'B' gesetzt.</span></li>
            <li><span>Alle zu den ausgewählten Objekten gehörenden Buchungen und Buchungsanfragen werden gelöscht.</span></li>
          </ul>
        </li>
        <li><span>Reset der Preistabelle</span>
          <ul>
            <li><span>Die Preistabellen der ausgewählten Objekte werden in den Zustand der erstmaligen Installation zurückgesetzt.</span></li>
            <li><span>Alle Werte, Checkboxstatus und Zusatzleistungen werden für alle Sprachen zurückgesetzt.</span></li>
            <li><span>Die zugehörigen Texte werden für alle Sprachen zurückgesetzt.</span></li>
          </ul>
        </li>
        <li><span>Reset der Persönliche Daten-Tabelle</span>
          <ul>
            <li><span>Die persönlichen Daten werden in den Zustand der erstmaligen Installation zurückgesetzt.</span></li>
            <li><span>Das Kennwort wird auf 'kenn' zurückgesetzt.</span></li>
            <li><span>Außer Deutsch werden alle zusätzlichen Sprachen deaktiviert und müssen im TAB 'Einstellungen' wieder aktiviert werden.<br><br></span></li>
          </ul>
        </li>
      </ul>
    </li>
    <li><span><b>Haftungsausschluss: Eine Haftung des Programmautors bei Datenverlust ist ausgeschlossen.</b></span></li>
  </ul>
  </div> <!-- verwkalhinweisid -->
</div> <!-- contents -->
</div> <!-- main -->
</div> <!-- aussen -->
</body>
</html>