<?php date_default_timezone_set('Europe/Berlin');
$keys = array_keys($_POST);
if (count($keys)<1) {
  echo "downloadERROR:Unberechtigter Zugriff";
  exit();
}
$benutzer = $_POST[$keys[0]];
$PW = $_POST[$keys[1]];
$obj = $_POST[$keys[2]];

include './DBSafe/dbDaten.php';
include_once 'settimelimitFu.php'; //damit steht die Funktion settimelimit() zur Verfügung
$tabelle= $benutzer."0Vermieter";

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
  echo "downloadERROR:".mysqli_connect_error();
  exit();
}
mysqli_set_charset($conn, "utf8");

$result=mysqli_query($conn, "select * from $tabelle where lan='00-00'");
if (!$result) {
  echo "downloadERROR:Die Vermietertabelle ist nicht vorhanden.";
  exit();
}
else if (mysqli_num_rows($result)<1) {
  echo "downloadERROR:Die Vermieterdaten sind nicht vorhanden.";
  exit();
}

$row=mysqli_fetch_row($result);
if ($row[3] != $PW){
  echo "downloadERROR:Das Kennwort ist falsch.";
  exit();
}
$fehlerSt="downloadERROR:Die Sicherungsdatei f&uuml;r das Objekt '$obj' konnte nicht angelegt werden.";

$dumpfile="./DBSafe/".$benutzer."0".$obj.".sql";
$tabFeld=array($benutzer."0".$obj."Buchungen",$benutzer."0".$obj."Kalender",$benutzer."0".$obj."Preise");

if (file_exists("$dumpfile")){unlink("$dumpfile");}

$f = fopen($dumpfile, "w");
mysqli_query($conn, "SET default_storage_engine=MYISAM");
mysqli_query($conn, "FLUSH TABLES WITH READ LOCK");
for ($j=0;$j<3;$j++) {
  settimelimit(); //timer neu starten
  $table = $tabFeld[$j];
  fwrite($f,"DROP TABLE IF EXISTS `$table`;\n");
  $res = mysqli_query($conn, "SHOW CREATE TABLE `$table`");
  if ($res) {
     $create = mysqli_fetch_array($res);
     $create[1] .= ";";
     $line = str_replace("\n", "", $create[1]);
     fwrite($f, $line."\n");
     $data = mysqli_query($conn, "SELECT * FROM `$table`");
     $num = mysqli_num_fields($data);
     while ($row = mysqli_fetch_array($data)){
       $line = "INSERT INTO `$table` VALUES(";
       for ($i=1;$i<=$num;$i++) {
            $line .= "'".mysqli_real_escape_string($conn, $row[$i-1])."', ";
       }
       $line = substr($line,0,-2);
       fwrite($f, $line.");\n");
     }
  }
}
fclose($f);
mysqli_query($conn, "UNLOCK TABLES");
if (filesize($dumpfile)==false) {
  echo $fehlerSt;
  if (file_exists("$dumpfile")){unlink("$dumpfile");}
  exit();
}
else {
  echo "downloadOK:Die Tabellen f&uuml;r das Objekt '$obj' wurden erfolgreich exportiert.";
}
?>