<?php date_default_timezone_set('Europe/Berlin');
$keys = array_keys($_POST);
if (count($keys)<1) {
  echo "uploadERROR:Unberechtigter Zugriff";
  exit();
       }
$benutzer = $_POST[$keys[0]];
$PW = $_POST[$keys[1]];
$obj=$_POST[$keys[2]];

$dumpfile="./DBSafe/".$benutzer."0".$obj.".sql";

if (!is_readable("$dumpfile")){
    echo "uploadERROR:Entweder existiert f&uuml;r das Objekt '$obj' keine Import-Datei oder sie ist nicht lesbar.";
    exit();
}

include './DBSafe/dbDaten.php';
include_once 'settimelimitFu.php'; //damit steht die Funktion settimelimit() zur Verfügung
$tabelle= $benutzer."0Vermieter";

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "uploadERROR:".mysqli_connect_error();
     exit();
}
mysqli_set_charset($conn, "utf8");

$result=mysqli_query($conn, "select * from $tabelle where lan='00-00'");
if (!$result) {
     echo "uploadERROR:Die Vermietertabelle ist nicht vorhanden.";
     mysqli_close($conn);
     exit();
}
else if (mysqli_num_rows($result)<1) {
     echo "uploadERROR:Die Vermieterdaten sind nicht vorhanden.";
     mysqli_close($conn);
     exit();
}

$row=mysqli_fetch_row($result);
if ($row[3] != $PW){
     echo "uploadERROR:Das Kennwort ist falsch.";
     mysqli_close($conn);
     exit();
}

// Allowed comment delimiters: lines starting with these strings will be dropped by BigDump

$comment[0]="#";           // Standard comment lines are dropped by default
$comment[1]="-- ";
// $comment[2]="---";      // Uncomment this line if using proprietary dump created by outdated mysqldump
// $comment[3]="";         // Or add your own string to leave out other proprietary things


// *******************************************************************************************
// If not familiar with PHP please don't change anything below this line
// *******************************************************************************************

define ("VERSION","0.21b");
define ("MAX_LINE_LENGTH",65536);
define ("MAX_QUERY_LINES",6000);

@ini_set("auto_detect_line_endings", true);

header("Expires: Mon, 1 Dec 2003 01:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

$error = false;
$file  = false;

// Check PHP version

if (!$error && !function_exists("version_compare")) {
  echo "uploadERROR:PHP-Version ab 4.1.0 erforderlich. Sie verwenden PHP-".phpversion();
  $error=true;
}
// Calculate PHP max upload size (handle settings like 10M or 100K)

if (!$error) {
  $upload_max_filesize=ini_get("upload_max_filesize");
  if (preg_match("/([0-9]+)K/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024;
  if (preg_match("/([0-9]+)M/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024*1024;
  if (preg_match("/([0-9]+)G/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024*1024*1024;
}

if (!$error) {

// Test permissions on working directory

  do { $tempfilename="./DBSafe/test".time().".tmp"; } while (file_exists($tempfilename));
  if (!($tempfile=@fopen($tempfilename,"w"))) {
      echo "uploadERROR:Die notwendigen Berechtigungen f&uuml;r den Ordner DBSafe sind nicht vorhanden. Setzen Sie chmod auf 0777";
      exit();
      $error=true;
  }
  else {
    fclose($tempfile);
    unlink($tempfilename);
  }
}
// Open the file

if (!$error) {
  if (!$file=fopen($dumpfile,"rt")) {
    echo "uploadERROR:Es ist keine Import-Datei f&uuml;r das Objekt '$obj' vorhanden.";
    exit();
    $error=true;
  }
  else {$filesize = filesize($dumpfile);}
}

// ****************************************************
// START IMPORT SESSION HERE
// ****************************************************

if (!$error) {

// Start processing queries from $file

    $inparents=false;
    $query="";
    while ($dumpline=fgets($file, MAX_LINE_LENGTH)) {
      settimelimit(); //timer neu starten
      $dumpline=preg_replace("/\r\n$/", "\n", $dumpline);
      $dumpline=preg_replace("/\r$/", "\n", $dumpline);

    // Skip comments and blank lines only if NOT in parents

      if (!$inparents) {
        $skipline=false;
        reset($comment);
        foreach ($comment as $comment_value) {
          if (!$inparents && (trim($dumpline)=="" || strpos ($dumpline, $comment_value) === 0)) {
            $skipline=true;
            break;
          }
        }
        if ($skipline) {
          continue;
        }
      }

     // Remove double back-slashes from the dumpline prior to count the quotes ('\\' can only be within strings)

      $dumpline_deslashed = str_replace ("\\\\","",$dumpline);

     // Count ' and \' in the dumpline to avoid query break within a text field ending by ;
     // Please don't use double quotes ('"')to surround strings, it wont work

      $parents=substr_count ($dumpline_deslashed, "'")-substr_count ($dumpline_deslashed, "\\'");
      if ($parents % 2 != 0)
        $inparents=!$inparents;

      // Add the line to query

      $query .= $dumpline;

// Execute query if end of query detected (; as last character) AND NOT in parents
      if (preg_match("/;$/",trim($dumpline)) && !$inparents) {
        if (!mysqli_query($conn, trim($query))){
          echo "uploadERROR:Das Tabellen-Upload f&uuml;r das Objekt '$obj' ist fehlgeschlagen. ".mysqli_error($conn);
          exit();
          $error=true;
          break;
        }
        $query="";
      }
    }//while
    if (!$error) {
      echo "uploadOK:Die Tabellen f&uuml;r das Objekt '$obj' wurden erfolgreich importiert.";
    }
}
include_once 'writeprimarykeysFu.php';
writeprimarykeys($obj);
if (!mysqli_connect_errno()) {mysqli_close($conn);}
if ($file) fclose($file);
?>