<?php date_default_timezone_set('Europe/Berlin');
  include './autHinweis.php';
  include './language/lancfg.php';
  include_once './language/de-DE/de-DEglobalTxt.php';
  ob_clean();
?>
<!DOCTYPE html>
<html>
<head>
	<title>Programmeinstellungen</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<style type="text/css" media="screen">@import "basic.css";</style>
	<style type="text/css" media="screen">@import "tabs.css";</style>
  <link rel="stylesheet" type="text/css" href="toolt.css" media="screen">
  <script type="text/javascript" src="tooltip.js"></script>
  <script type="text/javascript" src="emailvalidator.js"></script>
  <script type="text/javascript" src="zebratab.js"></script>
  
<style type="text/css">
.wait, .wait * {cursor: wait !important;}
.pointer {cursor: pointer !important;}
</style>

<script type="text/javascript">

function aendereAnztxt(sender) {
  var font=document.getElementsByName('AnzahlProz')[0].parentNode;
  document.getElementsByName('AnzahlProz')[0].value='';
  if (sender == 'Proz') {font.childNodes[2].nodeValue = ' Prozentsatz (max. 2 Ziffern)';}
  else {font.childNodes[2].nodeValue = ' Festbetrag (max. 3 Ziffern)';}
}

function pruefen(theForm) {
  var allps = document.getElementsByTagName("p");
  var SelSt='',aktid='';
  for (i = 0; i < allps.length; i++) {
    if ((allps[i].getAttribute('id') != null)&&(allps[i].getAttribute('id').match('lanid'))) {
      aktid=allps[i].getAttribute('id');
      if (document.getElementById(aktid).parentNode.id=='SelBox') {
        SelSt+=aktid.substring(5);
      }
    }
  }
  if (SelSt=='') {
    alert('Fehler: Es muss sich mindestens eine Sprache in der Box für die aktiven Sprachen befinden.');
    window.location.href = '#Sprachen';
    return (false);
  }
  else {
    theForm.hilanSelBox.value = SelSt;
  }
  if (theForm.nVorname.value == "")
  {
    alert("Geben Sie einen Wert in das Feld \"Vorname\" ein.");
    theForm.nVorname.focus();
    return (false);
  }
  else {
	  theForm.nVorname.value = theForm.nVorname.value.replace(/"/g,"");
	  theForm.nVorname.value = theForm.nVorname.value.replace(/'/g,"");
	}

  if (theForm.nNachname.value == "")
  {
    alert("Geben Sie einen Wert in das Feld \"Nachname\" ein.");
    theForm.nNachname.focus();
    return (false);
  }
  else {
	  theForm.nNachname.value = theForm.nNachname.value.replace(/"/g,"");
	  theForm.nNachname.value = theForm.nNachname.value.replace(/'/g,"");
	}

	theForm.nEmail.value = theForm.nEmail.value.replace(/ /g,"");
	theForm.nEmailEmpf.value = theForm.nEmailEmpf.value.replace(/ /g,"");
  if (theForm.nEmail.value == "")
  {
    alert("Geben Sie eine gültige E-Mail Adresse in das \"1. E-Mail-Feld\" ein.");
    theForm.nEmail.focus();
    return (false);
  }
  else {
	  theForm.nEmail.value = theForm.nEmail.value.replace(/"/g,"");
	  theForm.nEmail.value = theForm.nEmail.value.replace(/'/g,"");
	}

  var PruefStr = theForm.nEmail.value;
  if (!testemail('<?php echo $_jsemailvalid1 ?>', '<?php echo $_jsemailvalid2 ?>', PruefStr)) {
    alert("Geben Sie eine gültige E-Mail Adresse in das \"1. E-Mail-Feld\" ein.");
    theForm.nEmail.focus();
    return (false);
  }

  if (theForm.nEmailEmpf.value == "")
  {
    alert("Geben Sie mindestens eine gültige E-Mail Adresse in das \"2. E-Mail-Feld\" ein.");
    theForm.nEmailEmpf.focus();
    return (false);
  }
  else {
	  theForm.nEmailEmpf.value = theForm.nEmailEmpf.value.replace(/"/g,"");
	  theForm.nEmailEmpf.value = theForm.nEmailEmpf.value.replace(/'/g,"");
	}

  PruefStr = theForm.nEmailEmpf.value;
  if (!testemail('<?php echo $_jsemailvalid1 ?>', '<?php echo $_jsemailvalid2 ?>', PruefStr)) {
    alert("Geben Sie mindestens eine gültige E-Mail Adresse in das \"2. E-Mail-Feld\" ein.");
    theForm.nEmailEmpf.focus();
    return (false);
  }

  if (theForm.nPasswort.value!="") {
		if(!theForm.nPasswort.value.match(/^[a-zA-z0-9]+$/)) {
	    alert("Das Passwort(neu) darf nur aus Buchstaben und Ziffern bestehen.");
			theForm.nPasswort.focus();
	    return (false);
		}
	}

  if (theForm.wPasswort.value!="") {
		if(!theForm.wPasswort.value.match(/^[a-zA-z0-9]+$/)) {
	    alert("Das Passwort(neu)Wiederholung darf nur aus Buchstaben und Ziffern bestehen.");
			theForm.wPasswort.focus();
	    return (false);
		}
	}

	if (theForm.nPasswort.value != theForm.wPasswort.value)
  {
    alert("Die beiden neuen Passwörter stimmen nicht überein.");
		theForm.nPasswort.focus();
    return (false);
  }

  var inp=theForm.AnzahlProz;
  var font=inp.parentNode;
  var anztxt=font.childNodes[2].nodeValue;
  var anztextsearch2pos=anztxt.search(/2 Ziffern/);
  var anztextsearch3pos=anztxt.search(/3 Ziffern/);
  var wert=inp.value;
  var rwert;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if (((anztextsearch2pos >= 0) && (rwert>99)) || ((anztextsearch3pos >= 0) && (rwert>999))) {
      wertOK=false;
    }
  }
  if (!wertOK) {
    if (anztextsearch2pos >= 0) {alert("Der Prozentsatz muss eine ganze Zahl mit höchstens 2 Ziffern sein.");}
    if (anztextsearch3pos >= 0) {alert("Der Festbetrag muss eine ganze Zahl mit höchstens 3 Ziffern sein.");}
    theForm.AnzahlProz.focus();
    return (false);
  }
  theForm.AnzahlProz.value=rwert;

  var wert=theForm.AnzahlFrist.value;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if (rwert>99) {wertOK=false;}
  }
  if (!wertOK) {
    alert("Die Anzahl der Tage muss eine ganze Zahl mit höchstens 2 Ziffern sein.");
    theForm.AnzahlFrist.focus();
    return (false);
  }
  theForm.AnzahlFrist.value=rwert;

  var wert=theForm.RestzahlFrist.value;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if (rwert>999) {wertOK=false;}
  }
  if (!wertOK) {
    alert("Die Anzahl der Tage muss eine ganze Zahl mit höchstens 3 Ziffern sein.");
    theForm.RestzahlFrist.focus();
    return (false);
  }
  theForm.RestzahlFrist.value=rwert;

  var wert=theForm.AnRestzahlBereich.value;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if (rwert>99) {wertOK=false;}
  }
  if (!wertOK) {
    alert("Die Anzahl der Tage muss eine ganze Zahl mit höchstens 2 Ziffern sein.");
    theForm.AnRestzahlBereich.focus();
    return (false);
  }
  theForm.AnRestzahlBereich.value=rwert;

  var wert=theForm.Mahn1Tage.value;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if (rwert>999) {wertOK=false;}
  }
  if (!wertOK) {
    alert("Die Frist für die 1.Mahnung muss eine ganze Zahl mit höchstens 3 Ziffern sein.");
    theForm.Mahn1Tage.focus();
    return (false);
  }
  theForm.Mahn1Tage.value=rwert;

  var wert=theForm.Mahn2Tage.value;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if (rwert>999) {wertOK=false;}
  }
  if (!wertOK) {
    alert("Die Frist für die 2.Mahnung muss eine ganze Zahl mit höchstens 3 Ziffern sein.");
    theForm.Mahn2Tage.focus();
    return (false);
  }
  theForm.Mahn2Tage.value=rwert;

  var wert=theForm.Mahn3Tage.value;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if (rwert>999) {wertOK=false;}
  }
  if (!wertOK) {
    alert("Die Frist für die 3.Mahnung muss eine ganze Zahl mit höchstens 3 Ziffern sein.");
    theForm.Mahn3Tage.focus();
    return (false);
  }
  theForm.Mahn3Tage.value=rwert;

  var wert=theForm.Mahn4Tage.value;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if (rwert>999) {wertOK=false;}
  }
  if (!wertOK) {
    alert("Die Frist nach der 3.Mahnung muss eine ganze Zahl mit höchstens 3 Ziffern sein.");
    theForm.Mahn4Tage.focus();
    return (false);
  }
  theForm.Mahn4Tage.value=rwert;

  var wert=theForm.anfrageTage.value;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if ((rwert<0)||(rwert>99)) {wertOK=false;}
  }
  if (!wertOK) {
    alert("Die Anzahl der Tage muss eine ganze Zahl mit höchstens 2 Ziffern sein.");
    theForm.anfrageTage.focus();
    return (false);
  }
  theForm.anfrageTage.value=rwert;

  var wert=theForm.anzahlDBsave.value;
  var wertOK=true;
  if (isNaN(wert)) {wertOK=false;}
  else {rwert=Math.round(wert);}
  if (wertOK){
    if ((rwert<0)||(rwert>255)) {wertOK=false;}
  }
  if (!wertOK) {
    alert("Die Anzahl der Sicherungen muss eine ganze Zahl von 0 bis 255 sein.");
    theForm.anzahlDBsave.focus();
    return (false);
  }
  theForm.anzahlDBsave.value=rwert;

  var minPWBezary  = new Array('MiniPW1','MiniPW2','MiniPW3','MiniPW4','MiniPW5','MiniPW6','MiniPW7','MiniPW8','MiniPW9','MiniPW10','MiniPW11','MiniPW12','MiniPW13','MiniPW14','MiniPW15','MiniPW16','MiniPW17','MiniPW18','MiniPW19','MiniPW20');
  var minPWary  = new Array('minPW1','minPW2','minPW3','minPW4','minPW5','minPW6','minPW7','minPW8','minPW9','minPW10','minPW11','minPW12','minPW13','minPW14','minPW15','minPW16','minPW17','minPW18','minPW19','minPW20');
  for (i=0; i < minPWary.length; i++) {
    if (theForm[minPWary[i]].value == "") {
      alert("Geben Sie einen Wert in das Feld \""+minPWBezary[i]+"\" ein.");
      theForm[minPWary[i]].focus();
      return (false);
    }
	   if (!theForm[minPWary[i]].value.match(/^[a-zA-z0-9]+$/)) {
      alert(minPWBezary[i]+" darf nur aus Buchstaben und Ziffern bestehen.");
		    theForm[minPWary[i]].focus();
      return (false);
	   }
  }

  if (theForm.lastdate.value != "")
  {
    var datum=theForm.lastdate.value;
    var datumOK=true;
    var mon, jahr;
    var pos=datum.indexOf("-");
    if (pos==-1) {datumOK=false;}
    else {
      mon=datum.substring(0,pos);
      jahr=datum.substring(pos+1,datum.length);
      if ((isNaN(mon))||(isNaN(jahr))||(jahr.length!=4)) {datumOK=false;}
      else {
        if (mon.charAt(0)=='0') {datumOK=false;}
        if ((mon<1)||(mon>12)) {datumOK=false;}
      }
    }
    if (!datumOK) {
      alert("Geben Sie ein gültiges Datum im Format \"9-2011\" ein\n oder lassen Sie das Feld frei.");
      theForm.lastdate.focus();
      return (false);
    }
  }

  var saStr="";
  if (theForm.RadioRB[0].checked) {saStr += "a";}
  else if (theForm.ABox.checked == true)  {saStr += "A";}
  if (theForm.RadioRB[1].checked) {saStr += "b";}
  else if (theForm.BBox.checked == true)  {saStr += "B";}
  if (theForm.RadioRB[2].checked) {saStr += "c";}
  else if (theForm.CBox.checked == true)  {saStr += "C";}
  if (theForm.RadioRB[3].checked) {saStr += "d";}
  else if (theForm.DBox.checked == true)  {saStr += "D";}
  if (theForm.RadioRB[4].checked) {saStr += "e";}
  else if (theForm.EBox.checked == true)  {saStr += "E";}
  if (theForm.RadioRB[5].checked) {saStr += "f";}
  else if (theForm.FBox.checked == true)  {saStr += "F";}
  if (theForm.RadioRB[6].checked) {saStr += "g";}
  else if (theForm.GBox.checked == true)  {saStr += "G";}
  if (theForm.RadioRB[7].checked) {saStr += "h";}
  else if (theForm.HBox.checked == true)  {saStr += "H";}
  if (theForm.RadioRB[8].checked) {saStr += "x";}

  theForm.hiHSBox.value = saStr;

  saStr="";
       if (theForm.preistagpersBox[0].checked) {saStr += "0";}
  else if (theForm.preistagpersBox[1].checked) {saStr += "1";}
  else {saStr += "2";}
  
  saStr += "0";

       if (theForm.BuchOptRB[0].checked) {saStr += "0";}
  else if (theForm.BuchOptRB[1].checked) {saStr += "1";}
  else {saStr += "2";}

  saStr += "00000";

       if (theForm.BelegKalOptRB[0].checked) {saStr += "0";}
  else if (theForm.BelegKalOptRB[1].checked) {saStr += "1";}
  else {saStr += "2";}

       if (theForm.kalFaRB[0].checked) {
         if (theForm.kalPrRB[0].checked) {saStr += "0";}
         else {saStr += "4";}
       }
  else if (theForm.kalFaRB[1].checked) {
         if (theForm.kalPrRB[0].checked) {saStr += "1";}
         else {saStr += "5";}
  }
  else if (theForm.kalFaRB[2].checked) {
         if (theForm.kalPrRB[0].checked) {saStr += "2";}
         else {saStr += "6";}
  }
  else {
    if (theForm.kalPrRB[0].checked) {saStr += "3";}
    else {saStr += "7";}
  }

  theForm.hiOptionenBox.value = saStr;

  saStr="";
  if (theForm.rabattanzeigeBox.checked) {saStr+= "rabattAnzeige";}
  if (theForm.rabattanzeigeBoxEmail.checked) {saStr+= "rabattAnzEmail";}
  if (theForm.rabattanzeigeBoxPDF.checked) {saStr+= "rabattAnzPDF";}
  if (theForm.rabattanzeigeBoxRechPDF.checked) {saStr+= "rabattAnzRechPDF";}
  if (theForm.AnzahlungRB[1].checked) {saStr+= "AnzahlungFestbetrag";}
  if (theForm.icalRB[1].checked) {saStr+= "icalBereich";}
  else if (theForm.icalRB[2].checked) {saStr+= "icalAnAbtage";}
  if (theForm.AnfrageConfRB[0].checked) {saStr+= "anfrageConfnein";}
  if (theForm.BuchConfRB[0].checked) {saStr+= "buchConfnein";}
  theForm.hiOptionen2Box.value = saStr;
  return (true);
}

function Buchungskalender(url,w,h) {
  fenster=window.open(url,"Buchungskalender","width = "+w+", height = "+h+", top = 20, left = 300, resizable = yes, scrollbars = no");
  fenster.focus();
}

function movelan(id) {
  var zieldiv='';
  if (document.getElementById(id).parentNode.id=='AllBox') {
    zieldiv='SelBox';
  }
  else {
    zieldiv='AllBox';
  }
  document.getElementById(zieldiv).appendChild(
    document.getElementById(id)
  );
}
</script>
</head>
<body>
 <div id="aussen">
 <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1>OnBuSys Programmeinstellungen<a id='inhalt'>&nbsp;</a></h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a></li>
		<li><span>Einstellungen</span></li>
		<li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
  <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
  <li><a href="kalVerw.php">Buchungskalender</a></li>
	</ul>
	</div>
	<div id="main">

<?php
include './zugriffsberechtigung.php';
if (!zugriffsberechtigt($benutzer,$benutzerID,6)) {
//if ($benutzerID!=0) {
   echo  "<h5 style='text-align:center;margin-top:50px;'>Sie haben keine Zugangsberechtigung zu dieser Seite.</h5><br>";
   exit();
}
?>
<a href="changePDSeite.php" style="float:left"><img class="noprint" style='border:0;' src="Aktual.png" title="Seite aktualisieren" alt=""></a>
<h3 style="text-align:center;margin-top:20px;margin-bottom:0px;color:#FF0000;font-family:Arial;font-size:16px">
<b>Beachten Sie, dass sich alle Einstellungen auf dieser Seite auf all Ihre Objekte beziehen.</b><br><br></h3>
<h3 style='text-align: center;color:#000000;font-family:Arial;font-size:13px;'>Wenn Sie den Link oder die Schaltfläche 'alle Änderungen speichern' klicken, werden alle auf der Seite durchgeführten Änderungen gespeichert.
</h3>
<div id="contents">
<?php
include './DBSafe/dbDaten.php';

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     ausgabe("FEHLER: Der Datenbankserver ist zur Zeit nicht erreichbar. Versuchen Sie es bitte später noch einmal.");
     exit();
}
mysqli_set_charset($conn, "utf8");
$v_tabelle=$benutzer."0Vermieter";
$v_result=mysqli_query($conn, "select anfrageEr from $v_tabelle WHERE lan='00-00'");
$v_row=mysqli_fetch_row($v_result);
$opt2St=$v_row[0];

$anfrageTage=substr($row[10],4,1); //$row kommt mit auth.php
if ($anfrageTage=='0') {$anfrageTage=substr($row[10],5,1);}
else {$anfrageTage.=substr($row[10],5,1);}
$anzahlDBsave=hexdec(substr($row[10],6,2));
$buchStatus="";
$optStatus="";
$buchOptStatus="";
$preistagStatus="";
$preistagpersStatus="";
$preistagkeinStatus="";
$preistagpers="";
$kalaaStatus="";
$kalfaStatus="";
$kalffStatus="";
$kalmitSaiStatus="";
$kalohneSaiStatus="";
$kalmitFaStatus="";
$kalohneFaStatus="";
$kalmitPreisStatus="";
$kalohnePreisStatus="";

$saisonACheckStatus="checked";
$saisonBCheckStatus="checked";
$saisonCCheckStatus="checked";
$saisonDCheckStatus="checked";
$saisonECheckStatus="checked";
$saisonFCheckStatus="checked";
$saisonGCheckStatus="checked";
$saisonHCheckStatus="checked";

$sonderACheckStatus="";
$sonderBCheckStatus="";
$sonderCCheckStatus="";
$sonderDCheckStatus="";
$sonderECheckStatus="";
$sonderFCheckStatus="";
$sonderGCheckStatus="";
$sonderHCheckStatus="";
$sonderKeineCheckStatus="";

$pos=strpos($row[4],"A");
if ($pos === false) {
  $saisonACheckStatus="";
}
$pos=strpos($row[4],"B");
if ($pos === false) {
  $saisonBCheckStatus="";
}
$pos=strpos($row[4],"C");
if ($pos === false) {
  $saisonCCheckStatus="";
}
$pos=strpos($row[4],"D");
if ($pos === false) {
  $saisonDCheckStatus="";
}
$pos=strpos($row[4],"E");
if ($pos === false) {
  $saisonECheckStatus="";
}
$pos=strpos($row[4],"F");
if ($pos === false) {
  $saisonFCheckStatus="";
}
$pos=strpos($row[4],"G");
if ($pos === false) {
  $saisonGCheckStatus="";
}
$pos=strpos($row[4],"H");
if ($pos === false) {
  $saisonHCheckStatus="";
}
$pos=strpos($row[4],"a");
if ($pos === false) {;}
else{
  $saisonACheckStatus="";
  $sonderACheckStatus="checked";
}
$pos=strpos($row[4],"b");
if ($pos === false) {;}
else{
  $saisonBCheckStatus="";
  $sonderBCheckStatus="checked";
}
$pos=strpos($row[4],"c");
if ($pos === false) {;}
else{
  $saisonCCheckStatus="";
  $sonderCCheckStatus="checked";
}
$pos=strpos($row[4],"d");
if ($pos === false) {;}
else{
  $saisonDCheckStatus="";
  $sonderDCheckStatus="checked";
}
$pos=strpos($row[4],"e");
if ($pos === false) {;}
else{
  $saisonECheckStatus="";
  $sonderECheckStatus="checked";
}
$pos=strpos($row[4],"f");
if ($pos === false) {;}
else{
  $saisonFCheckStatus="";
  $sonderFCheckStatus="checked";
}
$pos=strpos($row[4],"g");
if ($pos === false) {;}
else{
  $saisonGCheckStatus="";
  $sonderGCheckStatus="checked";
}
$pos=strpos($row[4],"h");
if ($pos === false) {;}
else{
  $saisonHCheckStatus="";
  $sonderHCheckStatus="checked";
}
$pos=strpos($row[4],"x");
if ($pos === false) {;}
else{
  $sonderKeineCheckStatus="checked";
}

     if ($row[10][0]=="0") {$preistagStatus="checked";}
else if ($row[10][0]=="1") {$preistagpersStatus="checked";}
else {$preistagkeinStatus="checked";}

$rabattanzeigeStatus="";
if (preg_match("/rabattAnzeige/",$opt2St)) {$rabattanzeigeStatus="checked";}
$rabattanzeigeStatusEmail="";
if (preg_match("/rabattAnzEmail/",$opt2St)) {$rabattanzeigeStatusEmail="checked";}
$rabattanzeigeStatusPDF="";
if (preg_match("/rabattAnzPDF/",$opt2St)) {$rabattanzeigeStatusPDF="checked";}
$rabattanzeigeStatusRechPDF="";
if (preg_match("/rabattAnzRechPDF/",$opt2St)) {$rabattanzeigeStatusRechPDF="checked";}

$anzProzStatus=""; $anzFestStatus="";
if (preg_match("/AnzahlungFestbetrag/",$opt2St)) {
  $anzFestStatus="checked";
  $anzinptxt="&nbsp;Festbetrag (max. 3 Ziffern)";
}
else {
  $anzProzStatus="checked";
  $anzinptxt="&nbsp;Prozentsatz (max. 2 Ziffern)";
}

$icalNullStatus=""; $icalBereichStatus=""; $icalAnAbStatus="";
if (preg_match("/icalBereich/",$opt2St)) {
  $icalBereichStatus="checked";
}
else {
  if (preg_match("/icalAnAbtage/",$opt2St)) {
    $icalAnAbStatus="checked";
  }
  else {
    $icalNullStatus="checked";
  }
}

$anfrageConfneinStatus="";$anfrageConfjaStatus="";
if (preg_match("/anfrageConfnein/",$opt2St)) {
  $anfrageConfneinStatus="checked";
}
else {
  $anfrageConfjaStatus="checked";
}
$buchConfneinStatus="";$buchConfjaStatus="";
if (preg_match("/buchConfnein/",$opt2St)) {
  $buchConfneinStatus="checked";
}
else {
  $buchConfjaStatus="checked";
}

     if ($row[10][2]=="0") {$buchStatus="checked";}
else if ($row[10][2]=="1") {$buchOptStatus="checked";}
else {$optStatus="checked";}

     if ($row[10][8]=="0") {$kalaaStatus="checked";}
else if ($row[10][8]=="1") {$kalfaStatus="checked";}
else {$kalffStatus="checked";}

     if ($row[10][9]=="0") {$kalmitSaiStatus="checked";$kalmitPreisStatus="checked";}
else if ($row[10][9]=="1") {$kalohneSaiStatus="checked";$kalmitPreisStatus="checked";}
else if ($row[10][9]=="2") {$kalmitFaStatus="checked";$kalmitPreisStatus="checked";}
else if ($row[10][9]=="3") {$kalohneFaStatus="checked";$kalmitPreisStatus="checked";}
else if ($row[10][9]=="4") {$kalmitSaiStatus="checked";$kalohnePreisStatus="checked";}
else if ($row[10][9]=="5") {$kalohneSaiStatus="checked";$kalohnePreisStatus="checked";}
else if ($row[10][9]=="6") {$kalmitFaStatus="checked";$kalohnePreisStatus="checked";}
else {$kalohneFaStatus="checked";$kalohnePreisStatus="checked";}

$lanSt=$row[52];

echo "
<p><a id='dummy'>Inhalt</a></p>
&nbsp;&nbsp;&nbsp;<a href='#Sprachen'>Auswahl der Sprachen und deren Reihenfolge</a><br>
&nbsp;&nbsp;&nbsp;<a href='#Mails'>Kunden-E-Mails, Benachrichtigungs-E-Mails (INFO-Mails) an den Vermieter und Passwortänderung</a><br>
&nbsp;&nbsp;&nbsp;<a href='#Zahlung'>Optionen für die Zahlungsabwicklung</a><br>
&nbsp;&nbsp;&nbsp;<a href='#Mahnung'>Optionen für die Mahnverwaltung</a><br>
&nbsp;&nbsp;&nbsp;<a href='#DBSicherung'>Optionen für die automatische Datenbanksicherung</a><br>
&nbsp;&nbsp;&nbsp;<a href='#Buchung'>Verbindliche Buchung und/oder unverbindliche Buchungsanfrage und Sicherheitsabfrage</a><br>
&nbsp;&nbsp;&nbsp;<a href='#PreisproTag'>Ausgabe des Tagespreises im Buchungsformular</a><br>
&nbsp;&nbsp;&nbsp;<a href='#Rabatt'>Ausgabe der Rabatte in den Buchungsmasken, den E-Mails, den Rechnungen oder den Mietverträgen</a><br>
&nbsp;&nbsp;&nbsp;<a href='#ical'>Optionen für die Einträge in Ihren Online-Kalender</a><br>
&nbsp;&nbsp;&nbsp;<a href='#Subverw'>Subverwalter einrichten</a><br>
&nbsp;&nbsp;&nbsp;<a href='#BelStart'>Startoptionen für die Belegungsübersichten</a><br>
&nbsp;&nbsp;&nbsp;<a href='#KalBegrenzung'>Zeitliche Begrenzung des Buchungskalenders und der Belegungsübersichten im Kundenbereich</a><br>
&nbsp;&nbsp;&nbsp;<a href='#Saisondarst'>Farb- und Saisonzeitendarstellung im Buchungskalender</a><br>
&nbsp;&nbsp;&nbsp;<a href='#Preisdarst'>Ein- oder Ausblenden der Preisanzeige bei den Buchungsmasken</a><br>
&nbsp;&nbsp;&nbsp;<a href='#WoBu'>Wahl der Saisonzeiten für Wochenbuchungen</a><br>
&nbsp;&nbsp;&nbsp;<a href='#KalStartTag'>Wahl des Startwochentags für die Kalender</a><br>
&nbsp;&nbsp;&nbsp;<a href='#Speichern'>Zur Speichern-Schaltfläche</a><br>

<form action=\"./changePD.php\" target=\"_self\" method=\"POST\" onsubmit=\"return pruefen(this)\">
<input type=\"hidden\" name=\"hiHSBox\" value=\"false\">
<input type=\"hidden\" name=\"hiOptionenBox\" value=\"false\">
<input type=\"hidden\" name=\"hiOptionen2Box\" value=\"false\">
<input type=\"hidden\" name=\"hilanSelBox\" value=\"false\">
<input type=\"hidden\" name=\"altlanSt\" value=\"$lanSt\">

<a id='Sprachen'>&nbsp;</a>
<hr style=\"clear:both;color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Auswahl der Sprachen und deren Reihenfolge</b>
    </p>
    <table style='border:0;width:100%;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>
               Wählen Sie hier Ihre aktiven Sprachen. Bei den Buchungsmasken, den Belegungsübersichten, bei der Objekt- und Textverwaltung werden nur
               die Sprachen zur Auswahl angeboten, die sich in der rechten Box für die aktiven Sprachen befinden. Die Reihenfolge, in der die Sprachen
               zur Auswahl angeboten werden, stimmt mit der Reihenfolge in dieser Box überein, die oberste Sprache ist die sog. 'default-Sprache',
               die verwendet wird, wenn bei den relevanten Links der GET-Parameter 'lan' nicht verwendert wird:<br>
               &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;http://IhreDomain/OBS/Buchung.php?id=domizil@IhrObjekt startet die Buchungsmaske in der 'default-Sprache'<br>
               &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;http://IhreDomain/OBS/Buchung.php?id=domizil@IhrObjekt&amp;lan=en-GB startet die Buchungsmaske in der Sprache Englisch
             </td>
        </tr>
    </table>
    <table style='border:0;width:100%;margin-top:10px;'>
        <tr>
          <td style='text-align:center;width:100px;'>";
            $aanz=count($_lanarrayall);
            $sanz=strlen($lanSt);
            $lanid='';
            echo "
            <div id='AllBox' style='width:50px;font-family:monospace;background-color:#fff;border:1px solid black;'>
            <span style='font-family:arial,helvetica;color:green;'>inaktiv</span>";
            for ($i=0;$i<$aanz;$i++) {
              if (strpos($lanSt,"$i")===false) {
                $lanid='lanid'.$i.'';
                echo "
                <p class='pointer' id='$lanid' style='height:18px;margin:1px;white-space:nowrap;' onclick=\"movelan('$lanid');\">$_lanarrayall[$i]</p>";
              }
            }
            echo "
            </div>
          </td>
          <td style='text-align:center;width:100px;'>
            <div id='SelBox' style='width:50px;font-family:monospace;background-color:#fff;border:1px solid black;'>
            <span style='font-family:arial,helvetica;color:green;'>aktiv</span>";
            for ($i=0;$i<$sanz;$i++) {
              $pos=$lanSt[$i];
              $lanid='lanid'.$pos.'';
              echo "
              <p class='pointer' id='$lanid' style='height:18px;margin:1px;white-space:nowrap;' onclick=\"movelan('$lanid');\">$_lanarrayall[$pos]</p>";
            }
            echo "
            </div>
          </td>
          <td style='vertical-align:top;'>
          <span style='font-family:arial,helvetica;'>
          <br>Mit einem Klick auf auf ein Sprachkürzel (z.B. 'de-DE'), können Sie dieses von der Box mit den inaktiven Sprachen in die Box mit den
          aktiven Sprachen bewegen und umgekehrt.<br>
          Auf diese Weise können Sie Ihre aktiven Sprachen und deren Reihenfolge festlegen.
          </span>
          </td>
        </tr>
    </table>

<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>
<a id='Mails'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
<p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
<b>Kunden-E-Mails, Benachrichtigungs-E-Mails (INFO-Mails) an den Vermieter und Passwortänderung</b>
</p>
<p style='text-align:left;color:#000000;font-family:Arial;'>
Der Vorname, der Nachname und die 1. E-Mail-Adresse werden als Absenderdaten in den vom System automatisch
generierten E-Mails an den Kunden verwendet.<br>
An die E-Mail-Adresse(n) in der nächsten Zeile, die ggf. mit Kommas zu trennen sind, werden die INFO-Mails, die für Sie als
Vermieter bestimmt sind, gesendet. Der Inhalt der INFO-Mails entspricht weitgehend dem Inhalt der E-Mails, die an die Kunden gesendet werden.<br>
Wegen der Spam-Problematik verlangen manche Provider, dass die in den PHP-Skripten verwendete mail()-Funktion einen 5. Parameter
(additional_parameter) der Form '<b>-f name@ihre-domain-bei-ihrem-provider.xy</b>' (ohne Hochkommas) enthält. Durch diesen
5. Parameter wird der 'Return-Path' im E-Mailheader gesetzt. Bei nicht gesetztem 'Return-Path' oder wenn die E-Mail-Adresse in diesem
'Return-Path' eine andere ist als die Absenderadresse, wird die E-Mail von bestimmten Spamfiltern als negativ eingestuft und landet
deshalb eher im Spam-Ordner Ihrer Kunden. Zweckmäßigerweise sollten Sie also beim 5. Parameter Ihre Absenderadresse verwenden, die eine bei
Ihrem Provider registrierte E-Mail-Adresse sein sollte.<br>
Zu beachten ist aber, dass manche Einstellungen Ihres Providers (wenn beispielsweise 'safe_mode=on' gesetzt ist) die Verwendung
des 5. Parameters nicht zulassen. Wird er einem solchen Fall trotzdem verwendet, werden keine E-Mails versendet. Informieren Sie
sich bei Ihrem Provider bzgl. des 5. Parameters.<br>
Die persönlichen Daten, die in der Objektverwaltung einzugegeben sind, werden bei den Mietverträgen und Rechnungen verwendet.
</p>
    <table style='border:0;width:95%;'>
        <tr>
            <td style='text-align:right;width:350px;color:#000000;font-family:Arial;'>Vorname&nbsp;&nbsp;</td>
            <td style='color:#000000;'>
            <input type=\"text\" style='width:300px;' name=\"nVorname\" value=\"" . $row[0] . "\" tabindex=\"1\"></td>
        </tr>
        <tr>
            <td style='text-align:right;color:#000000;font-family:Arial;'>Nachname&nbsp;&nbsp;</td>
            <td style='color:#000000;'>
            <input type=\"text\" style='width:300px;' name=\"nNachname\" value=\"" . $row[1] . "\" tabindex=\"2\"></td>
        </tr>
        <tr>
            <td style='text-align:right;color:#000000;font-family:Arial;'>E-Mail-Adresse: Absender für alle E-Mails&nbsp;&nbsp;</td>
            <td style='color:#000000;'>
            <input type=\"text\" style='width:500px;' name=\"nEmail\" value=\"" . $row[2] . "\" tabindex=\"3\"></td>
        </tr>
        <tr>
            <td style='text-align:right;color:#000000;font-family:Arial;'>E-Mail-Adresse(n): Empfänger der INFO-Mails&nbsp;&nbsp;</td>
            <td style='color:#000000;'>
            <input type=\"text\" style='width:500px;' name=\"nEmailEmpf\" value=\"" . $row[71] . "\" tabindex=\"4\"></td>
        </tr>
        <tr>
            <td style='text-align:right;color:#000000;font-family:Arial;'>5. mail()-Parameter: falls vom Provider zugelassen&nbsp;&nbsp;</td>
            <td style='color:#000000;'>
            <input type=\"text\" style='width:500px;' name=\"nEmail5Param\" value=\"" . $row[72] . "\" tabindex=\"5\"></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td style='color:#FF0000;font-family:Arial'>Geben Sie in die Passwortfelder nur etwas ein,
                                                       wenn Sie Ihr Passwort ändern wollen.<br>
            <span id=\"pwbox\" style=\"display:none;\">
            <label><input type=\"checkbox\" value=\"bed\"
               onclick=\"if (checked) {
                           document.getElementById('npw').type='password';
                           document.getElementById('wpw').type='password';
                         } 
                         else {
                           document.getElementById('npw').type='text';
                           document.getElementById('wpw').type='text';
                         }\">
            <span style='color:#000000;font-family:arial,helvetica;'>Selektieren Sie die Checkbox, um die Passwörter verschlüsselt darzustellen</span></label>
            </span>
            </td>
        </tr>
        <tr>
            <td style='text-align:right;color:#000000;font-family:Arial;'>Passwort(neu)&nbsp;&nbsp;</td>
            <td style='color:#000000;'>
            <input type=\"text\" style='width:300px;' id=\"npw\" name=\"nPasswort\" tabindex=\"6\"></td>
        </tr>
        <tr>
            <td style='text-align:right;color:#000000;font-family:Arial;'>Wiederholung&nbsp;&nbsp;Passwort(neu)&nbsp;&nbsp;</td>
            <td style='color:#000000;'>
            <input type=\"text\" style='width:300px;' id=\"wpw\" name=\"wPasswort\" tabindex=\"7\"></td>
        </tr>
    </table>
<p style='text-align:center;color:#FF0000;font-size:16px;font-family:Arial;'>
  <b>Notieren Sie sich unbedingt Ihr aktuelles Passwort!</b>
</p>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='Zahlung'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Optionen für die Zahlungsabwicklung</b>
    </p>
    <table style='border:0;'>
        <tr>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>Anzahlung mit Prozentsatz berechnen&nbsp;</span><input type=\"radio\" name=\"AnzahlungRB\" value=\"Proz\" ".$anzProzStatus." onClick=\"javascript:aendereAnztxt('Proz')\"></label></td>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>&nbsp;&nbsp;&nbsp;Anzahl als Festbetrag&nbsp;</span><input type=\"radio\" name=\"AnzahlungRB\" value=\"Fest\" ".$anzFestStatus." onClick=\"javascript:aendereAnztxt('Fest')\"></label></td>
        </tr>
    </table>
    <table style='border:0;width:100%;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>Wenn Sie keine Anzahlung verlangen, geben Sie bei 'Prozentsatz' bzw. 'Festbetrag' und 'Fälligkeit der Anzahlung' jeweils 0 ein, sonst die entsprechenden Werte. Zulässig sind nur ganze Zahlen, Dezimalzahlen werden automatisch auf ganze Zahlen gerundet.<br>Die Fälligkeit der Anzahlung bezieht sich auf die Tage nach dem Buchungsdatum, die der Restzahlung auf die Tage vor dem Anreisedatum.
             </td>
        </tr>
    </table>
    <table style='border:0;width:100%;'>
        <tr>
          <td style='color:#000000;font-family:Arial;'>
            <input type=\"text\" size=\"2\" name=\"AnzahlProz\" value=\"" . $row[11] . "\" tabindex=\"8\">".$anzinptxt."</td>
          <td style='color:#000000;font-family:Arial;'>
            <input type=\"text\" size=\"2\" name=\"AnzahlFrist\" value=\"" . $row[12] . "\" tabindex=\"9\">&nbsp;Fälligkeit der Anzahlung (Tage, max. 2 Ziffern)</td>
          <td style='color:#000000;font-family:Arial;'>
            <input type=\"text\" size=\"3\" name=\"RestzahlFrist\" value=\"" . $row[13] . "\" tabindex=\"10\">&nbsp;Fälligkeit der Restzahlung (Tage, max. 3 Ziffern)</td>
        </tr>
    </table><br>
    <table style='border:0;width:100%;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>Bei kurzfristigen Buchungen können die Fälligkeiten von Anzahlung und Restzahlung so nahe beieinander liegen, dass es sinnvoller ist, auf eine Anzahlung zu verzichten. Im folgenden Feld können Sie eingeben, bis zu welcher Anzahl von Tagen zwischen den Fälligkeiten von Anzahlung und Restzahlung auf eine Anzahlung verzichtet wird. Der Gesamtpreis wird dann zum Fälligkeitstag der Restzahlung fällig. In diesem Fall wird in den Buchungsmasken bei der Anzahlung der Betrag 0.00 angezeigt. Falls Sie keine Anzahlung verlangen, ist dieser Wert ohne Bedeutung.
             </td>
        </tr>
        <tr>
          <td style='color:#000000;font-family:Arial;'>
            <input type=\"text\" size=\"2\" name=\"AnRestzahlBereich\" value=\"" . $row[14] . "\" tabindex=\"11\">&nbsp;(Tage, max. 2 Ziffern)</td>
        </tr>
     </table>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='Mahnung'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Optionen für die Mahnverwaltung</b>
    </p>
    <table style='border:0;width:100%;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>Geben Sie hier die Anzahl der Tage ein, um die ein Zahlungs- bzw. Mahntermin überschritten werden muss, damit der Kunde in die Mahnliste aufgenommen wird. Diese Kunden werden in der Finanzverwaltung auf der Mahnungsseite angezeigt, wo Sie entscheiden können, ob der Kunde per E-Mail angemahnt wird.<br> Bei den Textvorlagen können Sie den entsprechenden Mahn-Text eingeben.<br> Geben Sie für jeden Termin die Frist in Tagen als ganzen Zahlen ein:<br>
             </td>
        </tr>
     </table>
    <table style='border:0;width:100%;'>
        <tr>
          <td style='color:#000000;font-family:Arial;'>
            <input type=\"text\" size=\"2\" name=\"Mahn1Tage\" value=\"" . $row[24] . "\" tabindex=\"12\">&nbsp;&nbsp;Zahlungstermin</td>
          <td style='color:#000000;font-family:Arial;'>
            <input type=\"text\" size=\"2\" name=\"Mahn2Tage\" value=\"" . $row[25] . "\" tabindex=\"13\">&nbsp;&nbsp;1.Mahnungstermin</td>
          <td style='color:#000000;font-family:Arial;'>
            <input type=\"text\" size=\"2\" name=\"Mahn3Tage\" value=\"" . $row[26] . "\" tabindex=\"14\">&nbsp;&nbsp;2.Mahnungstermin</td>
          <td style='color:#000000;font-family:Arial;'>
            <input type=\"text\" size=\"2\" name=\"Mahn4Tage\" value=\"" . $row[27] . "\" tabindex=\"15\">&nbsp;&nbsp;3.Mahnungstermin</td>
        </tr>
    </table>
<br>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='DBSicherung'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Optionen für die automatische Datenbanksicherung</b>
    </p>
    <table style='border:0;width:100%;'>
        <tr>
           <td style='color:#000000;font-family:Arial;'>
                  Legen Sie hier fest, ob automatische Sicherungen der Datenbank durchgeführt werden sollen und ggf., wie viele Sicherungen gespeichert werden sollen.<br>
                  Bei jeder automatischen Sicherung wird im Ordner /OBS/DBSafe/ eine Datei mit folgendem Format des Dateinamens angelegt:<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;Benutzer&gt;DBjjjj-mm-tt_hh-mm-ss&lt;Aktion&gt;.sql, z.B.<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;domizilDB2010-04-15_15-06-38Kundenbuchung.sql.<br>
                  Wenn Sie eine 0 eingeben, werden keine automatischen Sicherungen durchgeführt.<br>
                  Wenn Sie eine von 0 verschiedene Zahl (max. 255) eingeben, wird eine Sicherung angelegt, wenn<br><br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie den Adminbereich öffnen (Aktion: Login),<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie im TAB 'Buchungskalender > Kalender neu anlegen...' für ein oder mehrere Objekte Kalender neu erstellen (Aktion: KalenderErstellen),<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie im TAB 'Buchungskalender > Kalender fortführen' einen oder mehrere Kalender fortführen (Aktion: KalenderFortfuehren),<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie eine Verwaltungs-Buchung oder eine -Buchungsanfrage durchführen (Aktion: Verw_Buchung/Verw_Anfrage),<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie im Adminbereich eine Buchung oder eine Buchungsanfrage löschen (Aktion: Loeschung),<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie eine Verwaltungs-Buchung oder eine -Buchungsanfrage ändern (Aktion: Verw_Aenderung),<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie im Adminbereich eine Buchungsanfrage in eine Buchung umwandeln (Aktion: Umwandlung),<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie im Adminbereich in der Einzelbuchungsmaske Daten ändern (Aktion: Datenaenderung),<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie den Adminbereich über die 'logout'-Schaltfläche verlassen (Aktion: Logout) und<br>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;ein Kunde eine Buchung oder eine Buchungsanfrage durchführt (Aktion: Kundenbuchung/Kundenanfrage).<br><br>
                  Wenn die von Ihnen eingegebene Anzahl von Datenbanksicherungen überschritten wird, wird nach dem Rotationsprinzip die älteste Sicherung gelöscht.<br><br>
                  Unabhängig von der eingegebenen Anzahl können Sie die Datenbank auch manuell auf der Verwaltungsseite im<br>
                  TAB 'Buchungskalender > Datenbank-Sicherungen' mit einem 'Datenbank-Export' sichern (Aktion: manuell).<br>
                  Wenn die eingegebene Anzahl 0 ist (keine automatische Sicherungen), werden maximal 50 manuelle Sicherungen angelegt.<br>
                  Auf der Verwaltungsseite im TAB 'Buchungskalender > Datenbank-Sicherungen' können Sie mit einem 'Datenbank-Import' eine Sicherung zur Wiederherstellung Ihrer Datenbank zu dem entsprechenden Zeitpunkt auswählen.
                
            </td>
        </tr>
     </table>
    <table style='border:0;width:100%;'>
        <tr>
          <td style='color:#000000;font-family:Arial;'>
            <input type=\"text\" size=\"2\" name=\"anzahlDBsave\" value=\"".$anzahlDBsave."\" tabindex=\"16\">&nbsp;Anzahl der Datenbanksicherungen (0 bis 255)</td>
        </tr>
    </table>

<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='Buchung'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <a id=\"topt\" style=\"border:0;position:relative;float:right;margin-right:-1px;\" onMouseOver=\"toolzeig('topt','-760','0','750')\" onMouseOut=\"toolweg('topt')\"><img style='margin-top:3px;' class='noprint' src='help.png' title='' alt=''><span style=\"display:none;\" class='ttipText' id='toptsp'>Nach dem deutschen Reiserecht ist eine bestätigte Online-Buchung sofort ohne jegliche Widerrufsmöglichkeit rechtsgültig. Dies kann vorsichtige Mietinteressenten u.U. von einer Online-Buchung abhalten.<br>OnBuSys bietet deshalb als zusätzliche Option die Buchungsanfrage an. Dabei handelt es sich um eine unverbindliche Reservierung, bei der im Buchungskalender der zugehörige Bereich geblockt wird.<br>Im TAB 'Objektverwaltung -> Preise,...' und im TAB 'Textvorlagen' können Sie die zugehörigen Texte so gestalten, dass dem Mietinteressenten über die automatisch versendete Antwortmail auf seine Buchungsanfrage die Modalitäten zur Umwandlung seiner unverbindlichen Buchungsanfrage in eine verbindliche Buchung mitgeteilt werden, beispielsweise über die Möglichkeit, dass der Antwortmail ein PDF-Mietvertrag angehängt wird.<br>Die Umwandlung einer Buchungsanfrage in eine Buchung, deren Löschung, durch die der im Buchungskalender blockierte Bereich wieder frei gegeben wird, oder das Versenden einer Erinnerungsmail kann mit wenigen Klicks im TAB 'Buchungen -> Anfragen laden' von Ihnen durchgeführt werden.<br><br>Sie haben weiter die Möglichkeit festzulegen, dass nach einer bestimmten Anzahl von Tagen nicht in verbindliche Buchungen umgewandelte Buchungsanfragen automatisch im Hintergrund gelöscht werden, damit die im Buchungskalender blockierten Bereiche wieder frei gegeben werden. Diese automatische Löschung können Sie für bestimmte Buchungsanfragen verhindern, indem Sie im TAB 'Buchungen'->'Anfragen laden' die entsprechende Checkbox selektieren.<br>Beachten Sie aber, dass automatisch gelöschte Buchungsanfragen durch einen Datenbank-Import einer früheren Sicherung nicht wieder hergestellt werden können, wenn zum Zeitpunkt dieser Sicherung die automatische Löschung aktiviert war.</span></a>
    <b>Verbindliche Buchung und/oder unverbindliche Buchungsanfrage und Sicherheitsabfrage</b>
    </p>
    <table style='border:0;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>Wählen Sie, welche Buchungsmöglichkeit(en) auf dem Buchungsformular vorhanden sein soll(en).
             </td>
        </tr>
    </table>
    <table style='border:0;'>
        <tr>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>nur Buchung&nbsp;</span><input type=\"radio\" name=\"BuchOptRB\" value=\"Buch\"  ".$buchStatus."></label></td>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>&nbsp;&nbsp;&nbsp;Buchung und Buchungsanfrage&nbsp;</span><input type=\"radio\" name=\"BuchOptRB\" value=\"Opt\" ".$buchOptStatus."></label></td>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>&nbsp;&nbsp;&nbsp;nur Buchungsanfrage&nbsp;</span><input type=\"radio\" name=\"BuchOptRB\" value=\"BuchOpt\" ".$optStatus."></label></td>
        </tr>
    </table><br>
    <table style='border:0;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>Wählen Sie, ob nach Betätigung der Buchen- bzw. Buchungsanfrage-Schaltfläche diese sofort ausgeführt werden soll oder ob zunächst ein Hinweis eingeblendet werden soll, der zu bestätigen ist.
             </td>
        </tr>
    </table>
    <table style='border:0;'>
        <tr>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>Buchungsanfrage sofort ausführen&nbsp;</span><input type=\"radio\" name=\"AnfrageConfRB\" value=\"AnfrageConfnein\"  ".$anfrageConfneinStatus."></label></td>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>&nbsp;&nbsp;&nbsp;zunächst ein Hinweisfenster einblenden&nbsp;</span><input type=\"radio\" name=\"AnfrageConfRB\" value=\"AbfrageConfja\" ".$anfrageConfjaStatus."></label></td>
        </tr>
        <tr>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>Buchung sofort ausführen&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><input type=\"radio\" name=\"BuchConfRB\" value=\"BuchConfnein\"  ".$buchConfneinStatus."></label></td>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>&nbsp;&nbsp;&nbsp;zunächst ein Hinweisfenster einblenden&nbsp;</span><input type=\"radio\" name=\"BuchConfRB\" value=\"BuchConfja\" ".$buchConfjaStatus."></label></td>
        </tr>
    </table><br>
    <table style='border:0;width:100%;'>
        <tr>
          <td style='color:#000000;font-family:Arial;'>
            Geben Sie hier die Anzahl der Tage ein, ab der eine gespeicherte Buchungsanfrage automatisch gelöscht werden soll (max. 2 Ziffern). Wenn Sie Buchungsanfragen nur manuell im TAB 'Buchungen' löschen wollen, müssen Sie eine 0 eingeben um die automatische Löschung zu deaktivieren.<br>
            <input style='margin-top:5px;' type=\"text\" size=\"2\" name=\"anfrageTage\" value=\"".$anfrageTage."\" tabindex=\"17\">
          </td>
        </tr>
    </table>

<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='PreisproTag'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Ausgabe des Tagespreises im Buchungsformular</b>
    </p>
    <table style='border:0;'>
        <tr>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>Tagespreis ausgeben&nbsp;</span><input type=\"radio\" name=\"preistagpersBox\" value=\"tp\"  ".$preistagStatus."></label></td>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>&nbsp;&nbsp;&nbsp;Tagespreis pro Person ausgeben&nbsp;</span><input type=\"radio\" name=\"preistagpersBox\" value=\"ptp\" ".$preistagpersStatus."></label></td>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>&nbsp;&nbsp;&nbsp;Tagespreis nicht ausgeben&nbsp;</span><input type=\"radio\" name=\"preistagpersBox\" value=\"ktp\" ".$preistagkeinStatus."></label></td>
        </tr>
    </table><br>
    <table style='border:0;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>
                 Der Tagespreis pro Person wird zusätzlich in den E-Mails und den Mietverträgen ausgegeben.<br>
                 Die Ausgabe des Tagespreises pro Person ist dann sinnvoll, wenn Sie Objekte vermieten, die von vielen Personen bewohnt werden können, weil dann i.d.R. ein sehr hoher Gesamtpreis entsteht. Durch den Tagespreis pro Person erhält Ihr Kunde eine bessere Vergleichsmöglichkeit mit anderen Angeboten.<br>
                 Bei der Berechnung wird für die Personenzahl die Summe aus Erwachsenen und Kindern zugrunde gelegt, Kleinkinder bleiben unberücksichtigt.<br>
                 Die Ausgabe des Tagespreises pro Person in den E-Mails und dem Mietvertrag erfolgt unmittelbar unter dem Gesamtpreis. Nach Abschluss des Mietvertrages erfolgt diese Ausgabe nicht mehr.
             </td>
        </tr>
    </table>

<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='Rabatt'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Ausgabe der Rabatte in den Buchungsmasken, den E-Mails, den Rechnungen oder den Mietverträgen</b>
    </p>
    <table style='border:0;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>
                 Beim Buchungsvorgang können folgende Preisnachlässe (Rabatte) auftreten:<br>
                 &nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie verwenden bei der Verwaltungsbuchung die Möglichkeit der 'manuellen Preisänderung': Sonderrabatt<br>
                 &nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie haben bei der Preiseingabe die Option für den Frühbucherrabatt aktiviert: Frühbucherrabatt<br>
                 &nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie haben bei der Preiseingabe die Option für den Lastminute-Rabatt aktiviert: Lastminute-Rabatt<br>
                 &nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;Sie haben bei der Preiseingabe die Option für einen Rabatt bei einer langen Mietdauer aktiviert: Langzeitrabatt<br>
                 Sie können auswählen, ob die Rabatte in den Buchungsmasken, den E-Mails, den Rechnungen oder den Mietverträgen angezeigt werden oder nicht.
             </td>
        </tr>
    </table>
    <table style='border:0;width:94%'>
        <tr>
             <td style=\"width:14%\"><span style='color:#000000;font-family:arial,helvetica;'>Rabatte anzeigen:</span><input type=\"Checkbox\" style='visibility:hidden;' name=\"dummy\" value=\"dummy\"></td>
             <td style=\"width:21%\"><label><span style='color:#000000;font-family:arial,helvetica;'>in den Buchungsmasken &nbsp;</span><input type=\"Checkbox\" name=\"rabattanzeigeBox\" value=\"raz\"  ".$rabattanzeigeStatus."></label></td>
             <td style=\"width:15%\"><label><span style='color:#000000;font-family:arial,helvetica;'>in den E-Mails &nbsp;</span><input type=\"Checkbox\" name=\"rabattanzeigeBoxEmail\" value=\"raz\"  ".$rabattanzeigeStatusEmail."></label></td>
             <td style=\"width:18%\"><label><span style='color:#000000;font-family:arial,helvetica;'>in den Rechnungen &nbsp;</span><input type=\"Checkbox\" name=\"rabattanzeigeBoxRechPDF\" value=\"raz\"  ".$rabattanzeigeStatusRechPDF."></label></td>
             <td style=\"width:18%\"><label><span style='color:#000000;font-family:arial,helvetica;'>in den Mietverträgen &nbsp;</span><input type=\"Checkbox\" name=\"rabattanzeigeBoxPDF\" value=\"raz\"  ".$rabattanzeigeStatusPDF."></label></td>
        </tr>
    </table>
<br>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='ical'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Optionen für die Einträge in Ihren Online-Kalender</b>
    </p>
    <table style='border:0;'>
        <tr>
             <td colspan=\"3\"><span style='color:#000000;font-family:arial,helvetica;'>Wählen Sie, wie die Einträge in Ihren Online-Kalender ggf. erfolgen sollen:</span></td>
        </tr>
        <tr>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>es wird kein Online-Kalender verwendet&nbsp;</span><input type=\"radio\" name=\"icalRB\" value=\"Null\" ".$icalNullStatus."></label></td>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>&nbsp;&nbsp;&nbsp;gesamten Mietbereich eintragen&nbsp;</span><input type=\"radio\" name=\"icalRB\" value=\"Bereich\" ".$icalBereichStatus."></label></td>
             <td><label><span style='color:#000000;font-family:arial,helvetica;'>&nbsp;&nbsp;&nbsp;nur An- und Abreisetag eintragen&nbsp;</span><input type=\"radio\" name=\"icalRB\" value=\"AnAbtage\" ".$icalAnAbStatus."></label></td>
        </tr>
    </table>
    <table style='border:0;width:100%;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'><br>
             Zur Verwaltung von Terminen in einem Online-Kalender (z.B. Outlook-, Google-, iCal-Kalender), können Sie hier festlegen, wie die
             Termine einer Buchung in einer sog. .ics-Datei aufbereitet sein sollen. Diese .ics-Datei wird den E-Mails als Anlage beigefügt, mit denen
             eine Buchung bestätigt wird.<br>
             Wenn Sie wählen, dass kein Online-Kalender verwendet wird, wird keine .ics-Datei angehängt, auch nicht für den Kunden.<br>
             Die Auswahl des Kalendereintrags betrifft nur Sie als Vermieter, für den Mieter ist in der .ics-Datei immer der gesamte Mietbereich voreingestellt.<br>
             Bitte beachten Sie, dass die Auswertung der .ics-Datei von den verschiedenen Kalendern u.U. unterschiedlich erfolgt. Ggf.
             müssen Sie durch Tests die für Ihren Kalender geeignete Option ermitteln.
             </td>
        </tr>
     </table>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='Subverw'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Subverwalter einrichten</b>
    </p>
    <table style='border:0;width:100%;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>Subverwalter werden eingerichtet, indem Sie Minipasswörter (MiniPW) mit max. 10 Zeichen in die entsprechenden Textfelder eingeben.<br>
             Ein Subverwalter wird wieder entfernt, wenn Sie für ihn das MiniPW  0 eingeben.
             </td>
        </tr>
     </table>
    <table style='border:0;width:100%;'>
        <tr>
          <td style='color:#000000;font-family:Arial;'>MiniPW1:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW1\" value=\"".$row[5]."\" tabindex=\"18\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW2:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW2\" value=\"".$row[6]."\" tabindex=\"19\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW3:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW3\" value=\"".$row[7]."\" tabindex=\"20\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW4:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW4\" value=\"".$row[8]."\" tabindex=\"21\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW5:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW5\" value=\"".$row[9]."\" tabindex=\"22\"></td>
        </tr>
        <tr>
          <td style='color:#000000;font-family:Arial;'>MiniPW6:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW6\" value=\"".$row[56]."\" tabindex=\"23\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW7:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW7\" value=\"".$row[57]."\" tabindex=\"24\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW8:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW8\" value=\"".$row[58]."\" tabindex=\"25\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW9:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW9\" value=\"".$row[59]."\" tabindex=\"26\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW10:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW10\" value=\"".$row[60]."\" tabindex=\"27\"></td>
        </tr>
        <tr>
          <td style='color:#000000;font-family:Arial;'>MiniPW11:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW11\" value=\"".$row[61]."\" tabindex=\"28\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW12:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW12\" value=\"".$row[62]."\" tabindex=\"29\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW13:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW13\" value=\"".$row[63]."\" tabindex=\"30\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW14:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW14\" value=\"".$row[64]."\" tabindex=\"31\"></td>
          <td style='color:#000000;font-family:Arial;'>MiniPW15:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW15\" value=\"".$row[65]."\" tabindex=\"32\"></td>
        </tr>
        <tr>
            <td style='color:#000000;font-family:Arial;'>MiniPW16:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW16\" value=\"".$row[66]."\" tabindex=\"33\"></td>
            <td style='color:#000000;font-family:Arial;'>MiniPW17:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW17\" value=\"".$row[67]."\" tabindex=\"34\"></td>
            <td style='color:#000000;font-family:Arial;'>MiniPW18:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW18\" value=\"".$row[68]."\" tabindex=\"35\"></td>
            <td style='color:#000000;font-family:Arial;'>MiniPW19:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW19\" value=\"".$row[69]."\" tabindex=\"36\"></td>
            <td style='color:#000000;font-family:Arial;'>MiniPW20:</td>
          <td><input type=\"text\" size=\"12\" maxlength=\"10\" name=\"minPW20\" value=\"".$row[70]."\" tabindex=\"37\"></td>
        </tr>
    </table>
<p style='text-align:left;'>
Die Zugriffsrechte für die Subverwalter werden auf der Seite <a href=\"objZugriffSeite.php\">Objektverwaltung -> Zugriffsrechte und Anreisetag</a> eingerichtet.
</p>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='BelStart'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Startoptionen für die Belegungsübersichten</b>
    </p>
    <table style='border:0;'>
        <tr>
             <td><span style='color:#000000;font-family:arial,helvetica;'>Wählen Sie, mit welchen Optionen die Belegungsübersichten gestartet werden sollen:
             </span></td>
        </tr>
    </table>
    <table style='border:0;'>
        <tr>
             <td><label><span style='display:inline-block;color:#000000;font-family:arial,helvetica; width:520px;'>Monate nur ab dem aktuellen Monat anzeigen, mit dem aktuellen Monat starten</span><input type=\"radio\" name=\"BelegKalOptRB\" value=\"akt_akt\"  ".$kalaaStatus."></label></td>
        </tr>
        <tr>
             <td><label><span style='display:inline-block;color:#000000;font-family:arial,helvetica; width:520px;'>Monate ab dem Kalenderstart-Monat anzeigen, mit dem aktuellen Monat starten</span><input type=\"radio\" name=\"BelegKalOptRB\" value=\"first_akt\" ".$kalfaStatus."></label></td>
        </tr>
        <tr>
             <td><label><span style='display:inline-block;color:#000000;font-family:arial,helvetica; width:520px;'>Monate ab dem Kalenderstart-Monat anzeigen, mit dem Kalenderstart-Monat starten</span><input type=\"radio\" name=\"BelegKalOptRB\" value=\"first_first\" ".$kalffStatus."></label></td>
        </tr>
    </table>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='KalBegrenzung'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Zeitliche Begrenzung des Buchungskalenders und der Belegungsübersichten im Kundenbereich</b>
    </p>
    <table style='border:0;width:100%;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>Geben Sie hier ein Enddatum für Ihre Belegungsübersicht/Ihren Buchungskalender in der Form '9-2011' ein (den Monat ohne führende Null, das Jahr vierstellig). In Ihrer Belegungsübersicht/Ihrem Buchungskalender stehen dann die Monate vom aktuellen Monat bis zu dem eingegebenen Enddatum zur Auswahl (oder bis zum Kalenderende, wenn dieses vor dem eingegebenen Enddatum liegt), im Beispiel bis September 2011.<br>Wenn Sie dieses Feld frei lassen, steht beim Buchungskalender der gesamte gespeicherte Kalender vom aktuellen Monat an zur Verfügung. Bei der Belegungsübersicht wird der Kalender zugrunde gelegt, der am weitesten in die Zukunft reicht.<br>Im Verwaltungsmodus gelten diese Einschränkungen nicht, hier steht immer der gesamte Kalender zur Verfügung.
             </td>
        </tr>
        <tr>
          <td>
            <input type=\"text\" size=\"7\" name=\"lastdate\" value=\"" . $row[16] . "\">
          </td>
        </tr>
    </table>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='Saisondarst'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Farb- und Saisonzeitendarstellung im Buchungskalender</b>
    </p>
    <table style='border:0;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>
                Wählen Sie, wie der Buchungskalender bezüglich der Farbmarkierungen und der Saisonzeiten dargestellt werden soll.
             </td>
        </tr>
    </table>
    <table style='border:0;'>
       <tr>
             <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td>
                <span style='color:#000000;font-family:Arial'>Bei den beiden ersten Optionen werden im Buchungskalender die Saisonzeiten eingeblendet,<br>
                wenn man den Mauszeiger über den Text </span><span style='color:#009000;font-family:Arial'>Saisonzeiten?</span>
                <span style='color:#000000;font-family:Arial'> bewegt.</span>
             </td>
       </tr>
    </table>
    <table style='border:0;'>
       <tr>
             <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td><input type=\"radio\" name=\"kalFaRB\" value=\"mit_sai\"  ".$kalmitSaiStatus.">&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td><img style='width:304px;height:153px;' src=\"./kal3.gif\" alt=\"\"></td>
             <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td><input type=\"radio\" name=\"kalFaRB\" value=\"ohne_sai\" ".$kalohneSaiStatus.">&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td><img style='width:304px;height:153px;' src=\"./kal4.gif\" alt=\"\"></td>
        </tr>
    </table>
    <table style='border:0;'>
       <tr>
             <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td style='color:#000000;font-family:Arial;'>
                Bei den beiden folgenden Optionen werden im Buchungskalender die Saisonzeiten immer dargestellt.
             </td>
       </tr>
    </table>
    <table style='border:0;'>
        <tr>
             <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td><input type=\"radio\" name=\"kalFaRB\" value=\"mit_fa\"  ".$kalmitFaStatus.">&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td><img style='width:304px;height:153px;' src=\"./kal1.gif\" alt=\"\"></td>
             <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td><input type=\"radio\" name=\"kalFaRB\" value=\"ohne_fa\" ".$kalohneFaStatus.">&nbsp;&nbsp;&nbsp;&nbsp;</td>
             <td><img style='width:304px;height:153px;' src=\"./kal2.gif\" alt=\"\"></td>
        </tr>
    </table>
<br>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='Preisdarst'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Ein- oder Ausblenden der Preisanzeige bei den Buchungsmasken</b>
    </p>
    <table style='border:0;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>
                Wählen Sie, ob bei den Buchungsmasken die Preise angezeigt werden sollen oder nicht.<br> 
                Unten dargestellt ist die TAB-Buchungsmaske, die Scroll-Buchungsmaske wird in analoger Weise geändert.<br>.
             </td>
        </tr>
    </table>
    <table style='border:0;'>
       <tr>
             <td style='width:170px;'>&nbsp;</td>
             <td style='color:#000000;font-family:Arial;'>
                Abmessungen der vollständigen TAB-Buchungsmaske mit Preisanzeige: Breite: 615px, Höhe:556px
             </td>
       </tr>
    </table>
    <table style='border:0;'>
       <tr>
             <td style='width:170px;'><label><span style='font-family:arial,helvetica'>mit Preisanzeige&nbsp;&nbsp;&nbsp;&nbsp;</span><input type=\"radio\" name=\"kalPrRB\" value=\"mit_preis\"  ".$kalmitPreisStatus."></label></td>
             <td><img style='width:613px;height:263px;' src=\"./kal5.gif\" alt=\"\"></td>
       </tr>
       <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
    </table>
    <table style='border:0;'>
       <tr>
             <td style='width:170px;'>&nbsp;</td>
             <td style='color:#000000;font-family:Arial;'>
                Abmessungen der vollständigen TAB-Buchungsmaske ohne Preisanzeige: Breite: 615px, Höhe:521px
             </td>
       </tr>
    </table>
    <table style='border:0;'>
        <tr>
             <td style='width:170px;'><label><span style='font-family:arial,helvetica'>ohne Preisanzeige&nbsp;&nbsp;&nbsp;</span><input type=\"radio\" name=\"kalPrRB\" value=\"ohne_preis\"  ".$kalohnePreisStatus."></label></td>
             <td><img style='width:613px;height:263px;' src=\"./kal6.gif\" alt=\"\"></td>
        </tr>
    </table>
<br>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='WoBu'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Wahl der Saisonzeiten für Wochenbuchungen</b>
    </p>
    <table style='border:0;width:100%;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>Markieren Sie die Checkboxen, für die in der entsprechenden Saisonzeit nur ganze Wochen gebucht werden können.<br>Den zugehörigen Anreisetag können Sie für jedes Objekt in 'Objektverwaltung -> Zugriffsrechte und Anreisetag' festlegen.</td>
        </tr>
    </table><br>

    <table style='border:0;'>
        <tr>
             <td style='width:60px;color:#000000;font-family:Arial;'>A<input type=\"Checkbox\" name=\"ABox\" value=\"true\" ".$saisonACheckStatus."></td>
             <td style='width:60px;color:#000000;font-family:Arial;'>B<input type=\"Checkbox\" name=\"BBox\" value=\"true\" ".$saisonBCheckStatus."></td>
             <td style='width:60px;color:#000000;font-family:Arial;'>C<input type=\"Checkbox\" name=\"CBox\" value=\"true\" ".$saisonCCheckStatus."></td>
             <td style='width:60px;color:#000000;font-family:Arial;'>D<input type=\"Checkbox\" name=\"DBox\" value=\"true\" ".$saisonDCheckStatus."></td>
             <td style='width:60px;color:#000000;font-family:Arial;'>E<input type=\"Checkbox\" name=\"EBox\" value=\"true\" ".$saisonECheckStatus."></td>
             <td style='width:60px;color:#000000;font-family:Arial;'>F<input type=\"Checkbox\" name=\"FBox\" value=\"true\" ".$saisonFCheckStatus."></td>
             <td style='width:60px;color:#000000;font-family:Arial;'>G<input type=\"Checkbox\" name=\"GBox\" value=\"true\" ".$saisonGCheckStatus."></td>
             <td style='width:60px;color:#000000;font-family:Arial;'>H<input type=\"Checkbox\" name=\"HBox\" value=\"true\" ".$saisonHCheckStatus."></td>
        </tr>
    </table><br>
    <table style='border:0;width:100%;'>
        <tr>
             <td style='color:#000000;font-family:Arial;'>Im Buchungskalender steht bei der Saisonwahl noch die Option 'S' zur Verfügung. 'S' markiert den Starttag für einen Bereich, der nur als Ganzes gebucht werden kann. Dieser 'S'-Bereich endet, wenn ein weiteres 'S' erscheint, wenn sich die Saisonzeit ändert oder wenn ein gebuchter/vorgemerkter Bereich beginnt. Ein 'S'-Bereich muss mindestens zwei Tage umfassen.<br>
             Einen 'S'-Bereich können Sie für Buchungen verwenden, die von vorne herein fest terminiert sind, aber auch für Sonderangebote, last minute, zum Schließen von Buchungslücken, etc... .<br>
             Enthält ein 'S'-Bereich eine Saisonzeit, für die die Option 'ganze Wochen buchen' gewählt wurde, so ist diese im 'S'-Bereich deaktiviert.
             </td>
        </tr>
    </table><br>
<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>
<a style='margin-bottom:12px; margin-right:50px; float:right;' href=\"javascript:document.getElementById('chbutton').click();\">alle Änderungen speichern</a>

<a id='KalStartTag'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <p style='text-align:left;color:#000000;font-family:Arial;font-size:13px;'>
    <b>Wahl des Startwochentages für den Buchungskalender</b>
    </p>
    <table style='border:0;width:100%;'>
        <tr>
             <td>
               <span style='color:#000000;font-family:Arial;'>Wählen Sie mithilfe der Radiobuttons für jede Sprache den Startwochentag der Kalender.<br><br></span>
               <span style='color:#ff0000;font-family:Arial;'>
                  Wenn Sie Änderungen bei den Sprachen vorgenommen haben, wird die folgende Tabelle erst nach dem Speichern aktualisiert.<br>
                  Bitte kehren Sie ggf. nach dem Speichern hierher zurück und überprüfen Sie Ihre Kalenderstartwochentage.</span>
             </td>
        </tr>
    </table><br>";

$w1="60"; $w2="30";
$tbodyhoehe=strlen($lanSt)*25+1;
echo "
<table class='scrollTable' style='margin:0px auto;border-bottom: 1px solid #CCC;border-top: 1px solid #CCC;border-collapse:collapse;'>
<thead class='fixedHeader'>
  <tr style='height:25px;'>
		<th style='width:".$w1."px;height:25px;border-left: 1px solid #CCC;padding:0px;'>Sprache</th>
		<th style='width:".$w2."px;height:25px;padding:0px;'>SA</th>
		<th style='width:".$w2."px;height:25px;padding:0px;'>SO</th>
		<th style='width:".$w2."px;height:25px;padding:0px;'>MO</th>
		<th style='width:".$w2."px;height:25px;padding:0px;'>DI</th>
		<th style='width:".$w2."px;height:25px;padding:0px;'>MI</th>
		<th style='width:".$w2."px;height:25px;padding:0px;'>DO</th>
		<th style='width:".$w2."px;height:25px;padding:0px;'>FR</th>
	</tr>
</thead>
<tbody class='scrollContent' style='height:".$tbodyhoehe."px;'>";

$kst_tabelle=$benutzer."0Vermieter";
for ($i=0;$i<strlen($lanSt);$i++) {
  $pos=$lanSt[$i];
  $kst_lan=$_lanarrayall[$pos];
  $kst_result=mysqli_query($conn, "select MiniPW1 from $kst_tabelle WHERE lan='$kst_lan'");
  $kst_row=mysqli_fetch_row($kst_result);
  $ksTag=$kst_row[0];
  $kstRadio=$kst_lan."Radio";
  $kstSaStatus=""; if ($ksTag==''){$kstSaStatus="checked";}
  $kstSoStatus=""; if ($ksTag=='SO'){$kstSoStatus="checked";}
  $kstMoStatus=""; if ($ksTag=='MO'){$kstMoStatus="checked";}
  $kstDiStatus=""; if ($ksTag=='DI'){$kstDiStatus="checked";}
  $kstMiStatus=""; if ($ksTag=='MI'){$kstMiStatus="checked";}
  $kstDoStatus=""; if ($ksTag=='DO'){$kstDoStatus="checked";}
  $kstFrStatus=""; if ($ksTag=='FR'){$kstFrStatus="checked";}

  echo "
  <tr style='height:25px;'>
    <td style='text-align:center;width:".$w1."px;border-left: 1px solid #CCC;padding:0px;'>$kst_lan</td>
    <td style='text-align:center;width:".$w2."px;padding:0px;'><input type=\"radio\" style=\"margin: 1px 0px 0px 1px;\" name=\"" . $kstRadio ."\" value=\"\" ".$kstSaStatus."></td>
    <td style='text-align:center;width:".$w2."px;padding:0px;'><input type=\"radio\" style=\"margin: 1px 0px 0px 1px;\" name=\"" . $kstRadio ."\" value=\"SO\" ".$kstSoStatus."></td>
    <td style='text-align:center;width:".$w2."px;padding:0px;'><input type=\"radio\" style=\"margin: 1px 0px 0px 1px;\" name=\"" . $kstRadio ."\" value=\"MO\" ".$kstMoStatus."></td>
    <td style='text-align:center;width:".$w2."px;padding:0px;'><input type=\"radio\" style=\"margin: 1px 0px 0px 1px;\" name=\"" . $kstRadio ."\" value=\"DI\" ".$kstDiStatus."></td>
    <td style='text-align:center;width:".$w2."px;padding:0px;'><input type=\"radio\" style=\"margin: 1px 0px 0px 1px;\" name=\"" . $kstRadio ."\" value=\"MI\" ".$kstMiStatus."></td>
    <td style='text-align:center;width:".$w2."px;padding:0px;'><input type=\"radio\" style=\"margin: 1px 0px 0px 1px;\" name=\"" . $kstRadio ."\" value=\"DO\" ".$kstDoStatus."></td>
    <td style='text-align:center;width:".$w2."px;border-right: 1px solid #CCC;padding:0px;'><input type=\"radio\" style=\"margin: 1px 0px 0px 1px;\" name=\"" . $kstRadio ."\" value=\"FR\" ".$kstFrStatus."></td>
  </tr>";
}
echo "
</tbody>
</table>

<a style='margin-bottom:12px; float:right;' href='#inhalt'>nach oben</a>

<a id='Speichern'>&nbsp;</a>
<hr style=\"clear:both; color:#ffffff; width:100%; margin:10px 0px 12px 0px;\">
    <table style='border:0;'>
        <tr>
             <td style=\"visibility:hidden;width:1px;color:#000000;font-family:Arial;\">A<input type=\"radio\" name=\"RadioRB\" value=\"SaisonzeitA\"></td>
             <td style=\"visibility:hidden;width:1px;color:#000000;font-family:Arial;\">B<input type=\"radio\" name=\"RadioRB\" value=\"SaisonzeitB\"></td>
             <td style=\"visibility:hidden;width:1px;color:#000000;font-family:Arial;\">C<input type=\"radio\" name=\"RadioRB\" value=\"SaisonzeitC\"></td>
             <td style=\"visibility:hidden;width:1px;color:#000000;font-family:Arial;\">D<input type=\"radio\" name=\"RadioRB\" value=\"SaisonzeitD\"></td>
             <td style=\"visibility:hidden;width:1px;color:#000000;font-family:Arial;\">E<input type=\"radio\" name=\"RadioRB\" value=\"SaisonzeitE\"></td>
             <td style=\"visibility:hidden;width:1px;color:#000000;font-family:Arial;\">F<input type=\"radio\" name=\"RadioRB\" value=\"SaisonzeitF\"></td>
             <td style=\"visibility:hidden;width:1px;color:#000000;font-family:Arial;\">G<input type=\"radio\" name=\"RadioRB\" value=\"SaisonzeitG\"></td>
             <td style=\"visibility:hidden;width:1px;color:#000000;font-family:Arial;\">H<input type=\"radio\" name=\"RadioRB\" value=\"SaisonzeitH\"></td>
             <td style=\"visibility:hidden;width:1px;color:#000000;font-family:Arial;\">keine<input type=\"radio\" name=\"RadioRB\" value=\"keine\" checked></td>
             <td style='width:100px;'>&nbsp;</td>
             <td><input id=\"chbutton\" type=\"submit\" value=\"alle Änderungen speichern\"></td>
        </tr>
    </table><br>
</form>
</div>
</div>
</div>
<script type='text/javascript'>
(function() {
	try {
		// switch the password field to password, then back to text to see if it
		// supports changing the field type (IE9+, and all other browsers do).
		var passwordField = document.getElementById('npw');
		passwordField.type = 'password';
		passwordField.type = 'text';
		
		// if it does support changing the field type then make display the Checkbox
		// if the browser doesn't support it, then this is bypassed
		// and code execution continues in the catch() section below
		document.getElementById('pwbox').style.display='block';	
	}
	catch(err) {
  }
})(); 
//() bedeutet, dass diese anonyme Funktion automatisch ohne Aufruf ausgeführt wird
</script>
</body>
</html>";  //Ende echo
?>