<?php date_default_timezone_set('Europe/Berlin');
   include './autHinweis.php';
   ob_clean();
?>
<!DOCTYPE html>
<html>
<head>
<title>Objektgruppen</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="section" content="javascript">
<link rel="stylesheet" type="text/css" href="basic.css" media="screen">
<link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
<link rel="stylesheet" type="text/css" href="print.css" media="print">
<link rel="stylesheet" type="text/css" href="toolt.css" media="screen">
<script type="text/javascript" src="tooltip.js"></script>
<script src="dragdrop.js" type="text/javascript"></script>
<script type="text/javascript" src="window.size.js"></script>
<script type="text/javascript">
Array.prototype.contains = function (element)
{
    for (var i = 0; i < this.length; ++i) {
        if (this[i] == element) {
            return true;
        }
    }
    return false;
};

function holeDaten(objektStr) {
  var objektF=new Array;
  objektF=objektStr.split(',');
  if (document.getElementById('gruppenStId').value.length>0) {
    var einobjSt=document.getElementById('gruppenStId').value;
    if (einobjSt.indexOf('<')<0) { //ursprüngliche Syntax
      var testF=new Array;
      testF=einobjSt.split('@');
      for (var k = 0; k < testF.length; k++) {
        var testobjF=new Array;
        testobjF=testF[k].split(',');
        if (testobjF.length<2) {
          alert('Fehler bei der Gruppeneingabe:\n Eine Objektgruppe muss mindestens aus zwei Objekten bestehen');
          document.getElementById('gruppenStId').focus();
          return false;
        }
      }
      var einobjSt=einobjSt.replace(/@/g,',');
      var einobjF=new Array;
      var tmp = new Array(0);
      einobjF=einobjSt.split(',');
      for (var i=0; i<einobjF.length; i++) {
        if (!objektF.contains(einobjF[i])) {
          alert('Fehler bei der Gruppeneingabe:\n\''+einobjF[i]+'\' ist kein gültiges Objekt');
          document.getElementById('gruppenStId').focus();
          return false;
        }
	       if (!tmp.contains(einobjF[i])) {
	         tmp.length+=1;
	         tmp[tmp.length-1]=einobjF[i];
        }
        else {
          alert('Fehler bei der Gruppeneingabe:\n\''+einobjF[i]+'\' kommt doppelt vor');
          document.getElementById('gruppenStId').focus();
          return false;
        }
      }
      return true;
    }
    else { //neue Syntax bei der Eingabe in der Textzeile
      var hilfF0=new Array;
      var hilfF1=new Array;
      var hilfF2=new Array;
      var tmp = new Array(0);
      if (einobjSt.indexOf(" ") != -1) {
        alert('Syntaxfehler:\n\nDer Text darf keine Leerzeichen enthalten');
        document.getElementById('gruppenStId').focus();
        return false;
      }
      if (einobjSt.indexOf("<@") != -1) {
        alert('Syntaxfehler:\n\nZwischen den Zeichen "<" und "@" muss mindestens ein Objekt stehen');
        document.getElementById('gruppenStId').focus();
        return false;
      }
      if (einobjSt.indexOf("@>") != -1) {
        alert('Syntaxfehler:\n\nZwischen den Zeichen "@" und ">" muss mindestens ein Objekt stehen');
        document.getElementById('gruppenStId').focus();
        return false;
      }
      if (einobjSt.indexOf("<>") != -1) {
        alert('Syntaxfehler:\n\nZwischen den Zeichen "<" und ">" muss mindestens ein Objekt stehen');
        document.getElementById('gruppenStId').focus();
        return false;
      }
      //Klammern überpfüfen
      if (einobjSt.charAt(einobjSt.length-1)!='>') {
        alert('Syntaxfehler:\n\nSchließende Klammer ">" am Ende fehlt');
        document.getElementById('gruppenStId').focus();
        return false;
      }
      var klammerAuf=false;
      for (var h=0; h<einobjSt.length; h++) {
        if (klammerAuf) {
          if (einobjSt.charAt(h)=='<') {
            alert('Syntaxfehler:\n\nSchließende Klammer ">" fehlt');
            document.getElementById('gruppenStId').focus();
            return false;
          }
          else if (einobjSt.charAt(h)=='>') {
                 klammerAuf=false;
               }
        }
        else {
          if (einobjSt.charAt(h)=='>') {
            alert('Syntaxfehler:\n\nÖffnende Klammer "<" fehlt');
            document.getElementById('gruppenStId').focus();
            return false;
          }
          else if (einobjSt.charAt(h)=='<') {
                 klammerAuf=true;
               }
        }
      }
      //Objekte überprüfen
      hilfF0=einobjSt.split('>');
      for (var i=0; i<hilfF0.length; i++) {
        var pos=hilfF0[i].indexOf('<');
        var ooObj;
        if (pos>0) {
          ooObj=hilfF0[i].substring(0, pos);
          if (!objektF.contains(ooObj)) {
            alert('Fehler bei der Gruppeneingabe:\n\''+ooObj+'\' ist kein gültiges Objekt');
            document.getElementById('gruppenStId').focus();
            return false;
          }
	         if (!tmp.contains(ooObj)) {
	           tmp.length+=1;
	           tmp[tmp.length-1]=ooObj;
          }
          else {
            alert('Fehler bei der Gruppeneingabe:\n\''+ooObj+'\' kommt doppelt vor');
            document.getElementById('gruppenStId').focus();
            return false;
          }
        }
        gruppenSt=hilfF0[i].substring(pos+1, hilfF0[i].length);
        hilfF1=gruppenSt.split('@');
        for (var j=0; j<hilfF1.length; j++) {
          if (hilfF1[j].length>0) {
            hilfF2=hilfF1[j].split(',');
            //if (hilfF2.length<2) {
            if (hilfF2.length<1) {// //Bedingung muss noch genau spezifiziert werden
              alert('Fehler bei der Gruppeneingabe:\nEine Objektgruppe muss mindestens aus zwei Objekten bestehen');
              document.getElementById('gruppenStId').focus();
              return false;
            }
            for (var k=0; k<hilfF2.length; k++) {
               if (!objektF.contains(hilfF2[k])) {
                 alert('Fehler bei der Gruppeneingabe:\n\''+hilfF2[k]+'\' ist kein gültiges Objekt');
                 document.getElementById('gruppenStId').focus();
                 return false;
               }
	              if (!tmp.contains(hilfF2[k])) {
	                tmp.length+=1;
	                tmp[tmp.length-1]=hilfF2[k];
               }
               else {
                 alert('Fehler bei der Gruppeneingabe:\n\''+hilfF2[k]+'\' kommt doppelt vor');
                 document.getElementById('gruppenStId').focus();
                 return false;
               }
            }
          }
        }
      }
      return true;
    }
  }
  else {
    //DragDrops[0][i]: i-ter Gruppencontainer, [0] fest (hier ohne Bedeutung), i=0: Einzelobjekte
    var objSt='', gruppeleer=true;
    var anzGruppen=DragDrops[0].length;
    for (var i=1; i<anzGruppen; i++) { // 0. Gruppe enthält die Einzelobjekte, die keiner Gruppe angehören, deshalb i=1
      var anzEintraege=DragDrops[0][i].childNodes.length; //Anzahl der Einträge im i.Gruppencontainer
      var anzObjekte=0;
      for (var ii=0; ii<anzEintraege; ii++) {
        if (DragDrops[0][i].childNodes[ii].firstChild) {
          anzObjekte++;
        }
      }
      if (anzObjekte==1) {// gilt nur bei Drag&Drop, nicht bei der Eingabe in der Textzeile
        alert('Fehler bei der Gruppenbildung:\nEine Objektgruppe muss mindestens aus zwei Objekten bestehen');
        return false;
      }
      //if (anzObjekte>1) { //Gruppen mit einem Objekt unzulässig
      for (var j=0; j<anzEintraege; j++) {
        if (DragDrops[0][i].childNodes[j].firstChild) {
          objSt+=DragDrops[0][i].childNodes[j].firstChild.data+',';
          gruppeleer=false;
        }
      }
      if (!gruppeleer) { //kann beim löschen auftreten
        objSt=objSt.substr(0,objSt.length-1)+'@';
        gruppeleer=true;
      }
      //}
    }
    objSt=objSt.substr(0,objSt.length-1);
    document.getElementById('gruppenStId').value=objSt;
    return true;
  }
}
function erzDragCont(anz) {
  CreateDragContainer(anz);
  dragHelper = document.createElement('DIV');
  dragHelper.style.cssText = 'position:absolute;display:none;';
  document.body.appendChild(dragHelper);
}
function ov(id) {
  document.getElementById(id).style.backgroundColor='#00FF00';
}
function ot(id) {
  document.getElementById(id).style.backgroundColor='';
}
</script>

<style type="text/css">
.DragContainerObj {
  border: #669999 2px solid;
  padding-left: 5px;
  padding-bottom: 5px;
  float: left;
  /*margin: 3px;*/
width: 942px;
}
.DragContainer {
  border: #669999 2px solid;
  padding-left: 5px;
  padding-right: 0px;
  padding-bottom: 5px;
  float: left;
  margin-right: 19px;
  margin-bottom: 20px;
  width: 157px;
}
.DragBox {
  border: #000 1px solid;
  padding: 2px;
  margin-right: 5px;
  margin-top: 5px;
  float: left;
  width: 146px;
  cursor: pointer;
  font-family: arial,helvetica;
  font-size: 10px;
  background-color: #eee;
}
legend {
  font-family: arial,helvetica;
  font-weight: bold;
  font-size: 12px;
  color: #666699;
}
fieldset {
  padding: 5px;
  width: 935px;
  border: none;
  margin-left:-1px;
  margin-right:0px;
}
</style>

<style type="text/css">
a:hover{background:#FD3;}

a.small, .small A
{
  font-family: arial,helvetica;
  font-size: 10px;
  font-weight: normal;
  text-decoration: none;
  color: #000000;
}

A:link.small, .small A:link
{
  font-family: arial,helvetica;
  font-size: 10px;
  font-weight: normal;
  text-decoration: none;
  color: #000000;
}

A:visited.small, .small A:visited
{
  font-family: arial,helvetica;
  font-size: 10px;
  font-weight: normal;
  text-decoration: none;
  color: #000000;
}
A:hover.small, .small A:hover
{
  font-family: arial,helvetica;
  font-size: 10px;
  font-weight: normal;
  text-decoration: underline;
  color: #CC0000;
}
</style>
</head>
<?php
$grpF=array();
$vergleichF=array();

$benutzerTabelle=$benutzer."0Benutzer";
$multiTabelle=$benutzer."0Vermieter";

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     ausgabe("FEHLER: Datenbankserver zur Zeit nicht erreichbar.");
     exit();
}
mysqli_set_charset($conn, "utf8");

$resultSpalte=mysqli_query($conn, "select multiSt from `$multiTabelle` where lan='00-00'");
if (!$resultSpalte) {
     ausgabe("Abbruch: Vermietertabelle nicht vorhanden.");
     mysqli_close($conn);
     exit();
}
else if (mysqli_num_rows($resultSpalte)<1) {
     ausgabe("Abbruch: Vermieterdaten nicht vorhanden.");
     mysqli_close($conn);
     exit();
}
if ($wert=mysqli_fetch_row($resultSpalte)){
  $multiSt=$wert[0];
  if (strpos($multiSt,"<")!==false) { //wg. Abwärtskompatibilität: ursprüngliche und neue Syntax möglich
    $multiStEdit=$multiSt; $multiSt="";
  }
  else {$multiStEdit="";}
  $multiStF=explode("@",$multiSt);
  for ($i=0; $i<sizeof($multiStF); $i++) {
    $grp=$multiStF[$i];
    if (strlen($grp)>0) {
      array_push($grpF,$grp);
      $hgrpF=explode(",",$grp);
      for ($k=0; $k<sizeof($hgrpF); $k++) {
        array_push($vergleichF,$hgrpF[$k]);
      }
    }
  }
}

if (sizeof($grpF)>0) { //Container für Einzelelemente wird angelegt + die gespeicherten Gruppencontainer
  $feldanz=sizeof($grpF)+1;
}
else { //Container für Einzelelemente wird angelegt + ein leerer Gruppencontainer
  $feldanz=2;
}

$objektF = array();
$gesobjektF = array();
$testAnz=0;
$resultObjSpalte=mysqli_query($conn, "select Objekt from $benutzerTabelle");
while($werte=mysqli_fetch_row($resultObjSpalte)){
  $testAnz++;
  if (strlen($werte[0]) > 0) {
    array_push($gesobjektF,$werte[0]);
    if (!in_array($werte[0], $vergleichF)) {
      array_push($objektF,$werte[0]);
    }
  }
}
if ($testAnz==0) {
     ausgabe("FEHLER: Es sind keine Objekte vorhanden.");
     mysqli_close($conn);
     exit();
}

echo "
<body onload=\"erzDragCont(".$feldanz.");topMarkieren();\">";
?>
 <div id="aussen">
 <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
 <h1>OnBuSys Gruppen bearbeiten: Auswahl</h1>
 <div id="header">
      <ul id="primary">
         <li><a href="admin.php">Home</a></li>
         <li><a href="objVerw.php" class="current">Objektverwaltung</a>
            <ul id="secondary">
                <li><a href="objVerwSec.php">Objekteinrichtung/Pers. Daten</a></li>
                <li><span>Objekt-Gruppierung</span></li>
                <li><a href="Preiseingabe.php">Preise, Zusatzangebote, Buchoptionen</a></li>
                <li><a href="SaisonKopSeite.php">Preise/Saisonzeiten/Mietdauern kopieren</a></li>
                <li><a href="objZugriffSeite.php">Zugriffsrechte/Anreisetag</a></li>
            </ul>
         </li>
         <li><a href="changePDSeite.php">Einstellungen</a></li>
         <li><a href="designSeite.php">Design</a></li>
         <li><a href="textVerw.php">Textvorlagen</a></li>
         <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
         <li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
         <li><a href="mahnVerw.php">Mahnungen</a></li>
         <li><a href="kalVerw.php">Buchungskalender</a></li>
      </ul>
</div>
<div id="main">
<?php
 include './zugriffsberechtigung.php';
 if (!zugriffsberechtigt($benutzer,$benutzerID,1)) {
 //if ($benutzerID!=0) {
   echo "
   <hr style=\"color:#ffffff; width:95%;margin-top:25px;\">
   <h5 style='margin-left:auto;margin-right:auto;margin-top:50px;'>Sie haben keine Zugangsberechtigung zu dieser Seite.</h5><br>";
   exit();
 }
?>
      <a href="multiObj.php" style="float:left"><img class="noprint" style='border:0;' src="Aktual.png" title="Seite aktualisieren" alt=""></a>
<a id="top" style="position:relative;float:right;margin-top:1px;margin-right:1px;" onMouseOver="toolzeig('top','-910','0','900')" onMouseOut="toolweg('top')"><img class='noprint' style='border:0;' src='help.png' title='' alt=''><span style="display:none;" class='ttipText' id='topsp'>WICHTIGE HINWEISE ZUR BILDUNG VON GRUPPEN<br><br>Eine Gruppe von Objekten darf nur dann eingerichtet werden, wenn Sie die Objekte der Gruppe sowohl einzeln als auch alle Objekte zusammen zur Vermietung anbieten möchten. Ein typisches Beispiel dafür liegt vor, wenn ein Ferienhaus aus zwei separaten Wohnungen besteht, wobei die Wohnungen einzeln und das ganze Haus buchbar sein sollen.<br>Für die gesamte Gruppe muss ein übergeordnetes Objekt eingerichtet und auf die übliche Weise (Preise, Saisonzeiten, usw.) konfiguriert werden. Bei dem oben genannten Beispiel hätten Sie, obwohl Sie nur zwei Wohnungen vermieten, drei Objekte zu verwalten. Je nach Anzahl der Objekte können Sie beliebig viele Gruppen bilden, wobei aber ein Objekt höchstens einer Gruppe angehören kann. Diese Art der Gruppenbildung können Sie sowohl per Drag&amp;Drop als auch per Textzeile vornehmen.<br>Weiter können Sie bestimmte Gruppen in Obergruppen zusammenfassen. Wenn Sie beispielsweise zwei Ferienhäuser mit jeweils mehreren Wohnungen anbieten, können Sie die Häuser jeweils als Gruppe einrichten und diese zwei Gruppen in einer Obergruppe zusammenfassen. Die Obergruppe selbst muss ein Objekt sein und ist als solches einzurichten und zu konfigurieren. Damit können Sie die einzelnen Wohnungen, die beiden Häuser und die ganze Anlage separat zur Vermietung anbieten. Gruppenbildungen mit Obergruppen können nur per Textzeile vorgenommen werden.<br><br>Damit keine Doppelbuchungen/-reservierungen entstehen können, läuft der Buchungsvorgang automatisch folgendermaßen ab:<br>Wird eine Wohnung für einen bestimmten Zeitraum gebucht/reserviert, dann wird das zugehörige Haus und ggf. die Anlage für den Zeitraum dieser Buchung/Reservierung blockiert, alle anderen Objekte bleiben buchbar/reservierbar. Wird ein übergeordnetes Objekt gebucht/reserviert, dann sind alle dazu untergeordneten Objekte für den entsprechenden Zeitraum dieser Buchung/Reservierung blockiert.<br>Änderungen von Zeiträumen bei Gruppenobjekten werden auf alle betroffenen Objekte übertragen, bei vollständigen Löschungen werden die zugehörigen Blockierungen ebenfalls vollständig gelöscht.<br><br>Wenn Sie bei bereits bestehenden Buchungen/Reservierungen Gruppen neu einrichten, müssen Sie zwei Fälle unterscheiden:<br>1. Die übergeordneten Objekte enthalten noch keine Buchungen/Reservierungen oder Blockierungen<br>Nur in diesem Fall können Sie die Gruppe aktualisieren, indem Sie bei geöffneter Admin-Seite in einem neuen Browser-TAB unmittelbar nach der Einrichtung der Gruppen das Skript 'http://Pfad_zum_Ordner_OBS/OBS/multiInit.php' ausführen.<br>2. Die übergeordneten Objekte enthalten bereits Buchungen/Reservierungen oder Blockierungen<br>In diesem Fall müssen Sie VOR der Einrichtung der Gruppen die betroffenen Buchungen/Reservierungen zunächst löschen und NACH der Einrichtung wieder neu eingeben.<br>Das gleiche Verfahren ist anzuwenden, wenn Sie bestehende Gruppen auflösen und neu einteilen möchten.<br><br>Die Einrichtung von Gruppen oder deren Neueinteilung können Sie rückgängig machen, indem Sie im TAB 'Buchungskalender > Datenbank-Sicherungen' mit einem 'Datenbank-Import' eine Datenbanksicherung laden, die zu einem früheren Zeitpunkt erstellt wurde.</span></a>
<hr style="color:#ffffff; width:95%;margin-top:25px;">
<h5 style="text-align:left;"><span style="color: rgb(255, 0, 0);">Gruppen können nur für solche Objekte eingerichtet werden, bei denen die Kalender das gleiche Startdatum haben. Damit nach dem Fortführen von Kalendern die Gruppen noch funktionieren, müssen Sie darauf achten, dass das Startdatum gleich bleibt.<br></span>Gruppenbildung per "Drag&amp;Drop":<br>Ziehen Sie zum Bilden von voneinander unabhängigen Objektgruppen Ihre Objekte mit der linken Maustaste aus Bereichen Ihrer Wahl in Bereiche Ihrer Wahl. Grün signalisiert einen zulässigen Ablagebereich für das Objekt, Rot einen unzulässigen.<br>Das oberste Objekt in einer Gruppe ist das übergeordnete Objekt und wird farblich hervorgehoben.<br>Falls erforderlich, können Sie beim Ziehen mit gedrückter Maustaste mithilfe der Pfeil-Tasten den Bildschirm scrollen. Ein kurzzeitiger Verlust des gezogenen Objekts wird durch die Bewegung der Maus wieder aufgehoben.<br>Gruppenbildung per Texteingabe:<br>Geben Sie die die Objekte zur Gruppenbildung in der unten beschriebenen Syntax direkt die folgende Textzeile ein.<br><span style="color: #666699;">Beachten Sie, dass das "Drag&amp;Drop"-Verfahren nur dann angewendet wird, wenn diese Textzeile leer ist. Sonst hat der Textmodus Vorrang.</span></h5><br>
<?php
if ($multiStEdit=="") {$legendSt="Bereich für die Einzelobjekte, die zu keiner Gruppe geh&ouml;ren und per Drag&amp;Drop in andere Gruppen gezogen werden k&ouml;nnen.";}
else  {$legendSt="Bereich aller Objekte, die Sie bei der Eingabe in die Textzeile verwenden können.";}
echo "
<fieldset><legend id=\"legendid\">".$legendSt."</legend>
<br>
<div id=\"hostCont\">
  <div class=\"DragContainerObj\" id=\"DragContainer0\">";
    for ($i=0; $i<sizeof($objektF); $i++) {
      $idSt="Itm".strval($i);
      $hobj=$objektF[$i];
      echo "
        <div class=\"DragBox\" id=\"".$idSt."\" onmouseover=\"ov('".$idSt."');\" onmouseout=\"ot('".$idSt."');\">".$hobj."</div>";
    }
echo "
  </div>
  </div>
  </fieldset>
  <br>";
if ($multiStEdit=="") {$displ="block";}
else  {$displ="none";}
echo "
<div id=\"optgrp\" style=\"display:".$displ.";\">
<fieldset>
<legend>Gruppenbereich: Eine Gruppe muss mindestens zwei Objekte enthalten. Leere Gruppen werden durch Speichern aufgelöst.</legend>
<br>";
if (sizeof($grpF)>0) {
  for ($i=0; $i<sizeof($grpF); $i++) {
    $idSt= strval($i+1);
     echo "
     <div id=\"gruppenCont\">
      <div class=\"DragContainer\" id=\"DragContainer".$idSt."\">";
    $objF=explode(",", $grpF[$i]);
    for ($j=0; $j<sizeof($objF); $j++) {
      $bidSt='d'.strval($i).strval($j);
      echo "
      <div class=\"DragBox\" id=\"".$bidSt."\" onmouseover=\"ov('".$bidSt."');\" onmouseout=\"ot('".$bidSt."');\">".$objF[$j]."</div>";
    }
    echo "</div></div>";
  }
}
else {
  echo "
  <div id=\"gruppenCont\">
     <div class=\"DragContainer\" id=\"DragContainer1\">
     </div>
  </div>";
}
$objektStr=implode(",",$gesobjektF);
echo "
</fieldset>
<h5 style=\"text-align:center;\">
<a style=\"text-decoration:none;\" href=\"#\" onclick=\"contErzeugen('gruppenCont'); return false;\"><b>Neue Gruppe erzeugen</b></a></h5>
<hr style=\"color:#ffffff; width:98%;margin-top:10px;\">
</div>
<form id=\"grpf\" name=\"gruppen\" action=\"./multiVerarbeitung.php\" target=\"_self\" method=\"POST\" onSubmit=\"return holeDaten('$objektStr')\">
<span style=\"text-align:center;display:block;\"><input id=\"grp\" type=\"submit\" name = \"grpn\" value=\"Gruppen speichern\"></span>
<input style=\"margin:20px 40px 10px 40px; width:870px;\" type=\"text\" name=\"gruppenSt\" id=\"gruppenStId\" value=\"".$multiStEdit."\">
<h5 style=\"color: #666699;\">Verwenden Sie folgende Form, wenn Sie nur einzelne voneinander unabhängige Gruppen erstellen wollen:</h5><h5>&nbsp;&nbsp;&nbsp;&nbsp;&lt;Haus1,Whg1,Whg2&gt;&lt;Haus2,Whg3,Whg4,Whg5&gt;&lt;Haus3,Whg6,Whg7&gt;&lt;Haus4,Whg8,Whg9&gt;&nbsp;&nbsp;&nbsp;&nbsp;(ohne Leerzeichen).<br><br>Dabei werden die einzelnen Gruppen mit '&lt;' und '&gt;' geklammert, das erste Objekt ist das übergeordnete.<br>Im Beispiel haben Sie vier Gruppen mit den übergeordneten Objekten 'Haus1', 'Haus2', 'Haus3' und 'Haus4' eingerichtet.</h5><h5 style=\"color: #666699;\">Wenn Sie die beiden mittleren Gruppen in der Obergruppe 'Anlage' zusammenfassen möchten, müssen Sie wie folgt ändern:</h5><h5>&nbsp;&nbsp;&nbsp;&nbsp;&lt;Haus1,Whg1,Whg2&gt;<span style=\"color: #666699;\">Anlage</span>&lt;Haus2,Whg3,Whg4,Whg5<span style=\"color: #666699;\">@</span>Haus3,Whg6,Whg7&gt;&lt;Haus4,Whg8,Whg9&gt;<br><br>Die erste und die letzte Gruppe mit den übergeordneten Objekten 'Haus1' und 'Haus4' sind wie im ersten Beispiel unabhängige Gruppen.<br>Durch das Voranstellen des Objektes '<span style=\"color: #666699;\">Anlage</span>' vor die mittlere Gruppenkombination und das Verwenden von '<span style=\"color: #666699;\">@</span>' statt der Klammern '<span style=\"color: #666699;\">&gt;&lt;</span>', werden die beiden Gruppen mit den übergeordneten Objekten 'Haus2' und 'Haus3' im Objekt 'Anlage' zusammengefasst.<br><br>Diese Gruppierung bedeutet, dass Sie die Obergruppe 'Anlage', die übergeordneten Objekte 'Haus2' und 'Haus3' und die Objekte Whg3 bis Whg7 separat zur Vermietung anbieten können. Wird beispielsweise die 'Anlage' gebucht, werden alle darin enthaltenen Objekte für die Buchung blockiert. Bei Buchung von z.B. 'Whg6' werden 'Haus3' und die 'Anlage' für die Buchung blockiert usf..<br>Auf die gleiche Weise können Sie jede beliebige Gruppenkombination in einer Obergruppe zusammenfassen. Obergruppen selbst können nicht mehr in einer weiteren übergeordneten Obergruppe zusammengefasst werden.<br><br>Wenn Sie beispielsweise alle vier Gruppen in der Obergruppe 'Anlage' zusammenfassen möchten, sieht der Text folgendermaßen aus:</h5><h5>&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"color: #666699;\">Anlage</span>&lt;Haus1,Whg1,Whg2<span style=\"color: #666699;\">@</span>Haus2,Whg3,Whg4,Whg5<span style=\"color: #666699;\">@</span>Haus3,Whg6,Whg7<span style=\"color: #666699;\">@</span>Haus4,Whg8,Whg9&gt;</h5><h5 style=\"color: #666699;\"><br>Im folgenden Beispiel wird gezeigt, wie Sie ein einzelnes Objekt mit einer Gruppe von Objekten kombinieren können.<br>Dazu wird von folgender Situation ausgegangen:</h5><h5>In einem Ferienhaus (<span style=\"color: #666699;\">Haus</span>) befindet sich eine Ferienwohnung (Fewo) und drei Zimmer (Zimmer1, Zimmer2, Zimmer3).<br>Sie möchten die Ferienwohnung und die drei Zimmer separat und das Haus komplett zur Vermietung anbieten, zusätzlich sollen die drei Zimmer als Block (AlleZimmer) separat buchbar sein.<br>Verwenden Sie dazu folgende Form:<br><br>&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"color: #666699;\">Haus</span>&lt;AlleZimmer,Zimmer1,Zimmer2,Zimmer3<span style=\"color: #666699;\">@</span>Fewo&gt;<br><br>Dazu benötigen Sie die zusätzlichen Objekte '<span style=\"color: #666699;\">Haus</span>' und 'AlleZimmer'.</h5><br>
</form>
</div>
<div id=\"historyDiv\"></div>
</div>
</body>
</html>";//Ende echo
?>