<?php date_default_timezone_set('Europe/Berlin');
   include './aut.php';
   ob_clean();
   function ausgabe($benutzer,$aStr){
?>
<!DOCTYPE html>
<html>
<head>
	<title>Rechnungen</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
  <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
  <link rel="stylesheet" type="text/css" href="print.css" media="print">
</head>
<body>
 <div id="aussen">
 <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">OnBuSys Zahlungen: Rechnungsversand abgeschlossen</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a></li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true" class="current">Zahlungen</a>
			<ul id="secondary">
				<li><span>PDF-Rechnungsversand</span></li>
		    <li><a href="finanzVerwSec.php?id=offene&amp;nurlesen=true">Zahlungseingänge</a></li>
		    <li><a href="rechnungsNummern.php?sortkey=5&amp;direkt=auf">Rechnungsnummern</a></li>
		    <li><a href="rechnrMwst.php?art=rnr">Startrechnungsnummern-MwSt.</a></li>
			</ul>
    </li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php">Buchungskalender</a></li>
	</ul>
	</div>
	<div id="main">
    <a href="rechnVerw.php?id=offene&amp;nurlesen=true" style="float:left"><img style='border:0;' src="Pfeil.png" title="Zurück und Seite aktualisieren" alt=""></a>
		<div id="contents">
<table style='border:0;width:100%;'>
  <tr>
    <td style='text-align:center;font-family:Arial;font-size:16px;'>
       <br>
       <?php echo ($aStr); ?>
    </td>
  </tr>
</table>
</div>
</div>
</div>
</body>
</html>
<?php
   }
include './DBSafe/dbDaten.php';
$_scriptName=basename($_SERVER['PHP_SELF']);

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     ausgabe($benutzer,"MySQL-ERROR: ".mysqli_connect_error()." in ".$_scriptName." #1");
     exit();
}
mysqli_set_charset($conn, "utf8");
include './rabattStrFu.php'; //damit steht die Funktion getrabattstr zur Verfügung
$txttabelle=$benutzer."0Vermieter";
$result=mysqli_query($conn, "select * from $txttabelle where lan='00-00'");
$anzRows = mysqli_num_rows($result);
if ($anzRows < 1){
     ausgabe($benutzer,"MySQL-ERROR: ".mysqli_errno($conn)." in ".$_scriptName." #3");
     mysqli_close($conn);
     exit();
}
//$row wird hier nicht benötigt, hier nur Test, ob Vermietertabelle vorhanden ist
//$row=mysqli_fetch_row($result);

//$zeile: Feld mit allen Zeilen der Tabelle(Anreisedat, Objekt, Zeilenanz, AZdisabled, RZdisabled
$zeilenStr=$_POST["zeilenStr"];
$isAnzahlung=$_POST["isAnzahlung"];
//bei nicht markierten oder disabled-Checkboxen kommt keine $*ZBox
//Dummy-Boxen, damit keine Fehlermeldung entsteht!
if (isset($_POST["AZBox"])) {
  $AZBox=$_POST["AZBox"];
}
else {
  $AZBox=array(-1);
}
if (isset($_POST["RZBox"])) {
  $RZBox=$_POST["RZBox"];
}
else {
  $RZBox=array(-1);
}
$zeile = explode("@",$zeilenStr);
//-1 wg. letztem @ im $zeilenstr
$dateiNr=0; $RZDatum=""; $restzahlung=false;
for ($i=0;$i<count($zeile)-1;$i++){
	 $datenSatz = explode("&",$zeile[$i]);
  $datenSatz0=$datenSatz[0];
  $buchTabelle=$benutzer."0".$datenSatz[1]."Buchungen";
  $result=mysqli_query($conn, "select Bank,Anzahldatum,Restzahldatum,Buchcode,Hunde from $buchTabelle where Anreisedatum='$datenSatz0'");
  if (!$result) {
    ausgabe($benutzer,"MySQL-ERROR: ".mysqli_errno($conn)." in ".$_scriptName." #4");
    mysqli_close($conn);
    exit();
  }
  else {
    $zrow  =  mysqli_fetch_row($result);
    $altDatumSt=$zrow[0];
    $altDatum=explode("@",$altDatumSt,2);
    $Buchcode=$zrow[3];
    if (strlen($Buchcode)<18) {
        $_lan='de-DE';
    }
    else {
      list($dummy1,$dummy2,$dummy3,$_lan) = explode('/',$Buchcode);
    }
    include './language/'.$_lan.'/'.$_lan."pdfRechnung.php";
    include './language/'.$_lan.'/'.$_lan."globalTxt.php";
  }
  if ((in_array($i,$AZBox))||(in_array($i,$RZBox))) {
    $ptabelle= $benutzer."0".$datenSatz[1]."Preise";
    $presult=mysqli_query($conn, "select pPreisWae from $ptabelle where lan='$_lan'");
    if ($presult){
      $prow = mysqli_fetch_row($presult);
      $pdfWert=explode("/",$prow[0],3);
      $mwstVerpf=$pdfWert[2];
    }
  }
  $aktDatum=date("Y-m-d",time());
  $AZDatum="0000-00-00";
	if ($zrow[1]!=$zrow[2]) { //Anzahldatum!=Restzahldatum
	  if (in_array($i,$AZBox)) {
		  if ($altDatum[0]=="0000-00-00") {
			  $AZDatum=$aktDatum;
        $anzahlung=true;
        $dateiNr++;
        if ((strpos($zrow[4],'@')!==false)&&($mwstVerpf!="0")) {//prozary da und MwSt-Satz für die Verflegung nicht 0
				  include './pdfRechnungUst.php';
        }
        else {
				  include './pdfRechnung.php';
        }
			}
			else {
				$AZDatum=$altDatum[0];
			}
		}
	  else {
		  if ($datenSatz[3]=="disabled") {
			  $AZDatum=$altDatum[0];
			}
		}
	}
	$anzahlung=false;

	$RZDatum="0000-00-00";
  if (in_array($i,$RZBox)) {
	  if ($altDatum[1]=="0000-00-00") {
			$RZDatum=$aktDatum;
      if (!$isAnzahlung) {$AZDatum=$aktDatum;} //Anzahlung nachträglich bei den Einstellungen gelöscht!!!
		  $restzahlung=true;
			$dateiNr++;
      if ((strpos($zrow[4],'@')!==false)&&($mwstVerpf!="0")) {//prozary da und MwSt-Satz für die Verflegung nicht 0
				include './pdfRechnungUst.php';
      }
      else {
				include './pdfRechnung.php';
      }
    }
		else {
			$RZDatum=$altDatum[1];
		}
	}
  else {
	  if ($datenSatz[4]=="disabled") {
		   $RZDatum=$altDatum[1];
		}
	}
	$restzahlung=false;
	$neuDatumSt=$AZDatum.'@'.$RZDatum;
  $sqlSt="UPDATE $buchTabelle SET Bank='$neuDatumSt' where Anreisedatum='$datenSatz0'";
  if (!mysqli_query($conn, $sqlSt)){
    ausgabe($benutzer,"MySQL-ERROR: ".mysqli_errno($conn)." in ".$_scriptName." #5");
    mysqli_close($conn);
    exit();
  }
}
if ($dateiNr==0) {
	 $ausText=$_rechnerfolg1;
}
else if ($dateiNr==1) {
	 $ausText=$_rechnerfolg2;
}
else {
	 $ausText=$_rechnerfolg3.$dateiNr.$_rechnerfolg4;
}
ausgabe($benutzer,$ausText);
?>