﻿function uftdecode(utftext) {
  var string = "";
  var i = 0;
  var c = c1 = c2 = 0;
  while ( i < utftext.length ) {
    c = utftext.charCodeAt(i);
    if (c < 128) {
      string += String.fromCharCode(c);
      i++;
    }
    else {
      if((c > 191) && (c < 224)) {
        c2 = utftext.charCodeAt(i+1);
        string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
        i += 2;
      }
      else {
        if (c != 65279) { //byte order mark (BOM), a magic number at the start of a text stream
          c2 = utftext.charCodeAt(i+1);
          c3 = utftext.charCodeAt(i+2);
          string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
          i += 3;
        }
        else {
          i++;
        }
      }
    }
  }
  return string;
}
function ad_createobject() {
  try {req = new XMLHttpRequest();}
  catch (reqerr) {try {req = new ActiveXObject("Msxml2.XMLHTTP");}
    catch (reqerr) {try {req = new ActiveXObject("Microsoft.XMLHTTP");}
      catch (reqerr) {req = null;}
    }
  }
  return req;
}
var erg ="";
function ad_executePHP(url,paramListe) {
  var http = ad_createobject();
  if (http == null) {erg="false";}
  else {
    var params=paramListe[0];
    for (i = 1;i < paramListe.length;i++) {
      params+= '&'+paramListe[i];
    }
    http.open("POST", url, true); //bei true (asynchron)
    //Send the proper header information along with the request
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    http.setRequestHeader("Content-length", params.length);
    //http.setRequestHeader("Connection", "close");
    http.setRequestHeader("Connection", "keep-alive");
    http.onreadystatechange = function() {//Call a function when the state changes.
      if (http.readyState == 4) {
        if (http.status == 200) {
          resp=http.responseText;
          //resp=uftdecode(resp);
          if (resp.match(/^ad_formularFuellenOK:/)) {
            buchdaten=resp.replace(/^ad_formularFuellenOK:/,"");
            window.setTimeout('ad_buchdaten(buchdaten);',500);
            erg="true";
          }
          else if (resp.match(/^ad_formularFuellenBLOCKIERUNG:/)) {
            window.setTimeout('alert("BLOCKIERUNG, keine Buchung/Reservierung.")',500);
            erg="true";
          }
          else if (resp.match(/^ad_formularFuellenDATENBANKFEHLER:/)) {
            window.setTimeout('alert("Es ist ein Datenbankfehler aufgetreten.")',500);
            erg="true";
          }
          else if (resp.match(/^ad_formularFuellenKEINEBERECHTIGUNG:/)) {
            window.setTimeout('alert("Sie sind nicht berechtigt, diese Buchung/Reservierung zu ändern.")',500);
            erg="true";
          }
          else {
            erg=resp;alert(erg);
          }
        }
        else {
          alert("http-Status: "+http.status+" Error sending request object!");
        }
      }
    }
    http.send(params);
  }
}
function kalenderReset(url,wobuAusSt,status) {
  self.location.replace(url);
  if (parent.anzeige.document.getElementById("prrabattid")) { 
    parent.anzeige.document.getElementById("prrabattid").innerHTML="&nbsp;";}
  if (parent.anzeige.document.getElementById("Tage")) {
    parent.anzeige.document.getElementById("Tage").value="";}
  if (parent.anzeige.document.getElementById("Gesamtpreis")) {
    parent.anzeige.document.getElementById("Gesamtpreis").value="";}
  if (parent.anzeige.document.getElementById("Tagespreis")) {
    parent.anzeige.document.getElementById("Tagespreis").value="";}
  if (parent.anzeige.document.getElementById("Anzahlung")) {
    parent.anzeige.document.getElementById("Anzahlung").value="";}
  if (parent.anzeige.document.getElementById("Restzahlung")) {
    parent.anzeige.document.getElementById("Restzahlung").value="";}
  if (parent.kalHinweis.document.getElementById("Hinweis")) {
    parent.kalHinweis.document.getElementById("Hinweis").style.color="black";
    parent.kalHinweis.document.getElementById("Hinweis").value=wobuAusSt;}
  if (parent.persDaten.document.getElementById("ibuchtext")) {
    parent.persDaten.document.getElementById("ibuchtext").style.color="black";
    parent.persDaten.document.getElementById("ibuchtext").value=parent.persDaten.document.getElementById("ibuchtextinh").value;}
  parent.document.getElementById('ad_cbmanupreis').checked=false;
  parent.document.getElementById('ad_Gesamtpreis').readOnly=true;
  parent.document.getElementById('ad_Gesamtpreis').style.backgroundColor=parent.anzeige.document.getElementById('Tage').style.backgroundColor;
  if (status=='ad_buchen') {
    parent.document.getElementById('ad_Gesamtpreis').value='';
  }
  if (parent.anzeige.document.getElementById('Anzahlung')) {
    parent.document.getElementById('ad_Anzahlung').readOnly=true;
    parent.document.getElementById('ad_Anzahlung').style.backgroundColor=parent.anzeige.document.getElementById('Tage').style.backgroundColor;
    if (status=='ad_buchen') {
      parent.document.getElementById('ad_Anzahlung').value='';
    }
  }
  if (status=='ad_buchen') {
    if (parent.anzeige.document.getElementById('Restzahlung')) {
      parent.document.getElementById('ad_Restzahlung').value='';
    }
  }
  if (parent.persDaten.document.getElementById('iperFormbtbuch')) {
    parent.persDaten.document.getElementById('iperFormbtbuch').disabled=true;
  }
  if (parent.persDaten.document.getElementById('iperFormbtopt')) {
    parent.persDaten.document.getElementById('iperFormbtopt').disabled=true;
  }
}
function HinweisDa1Da(St) {
  if (parent.kalHinweis.document.getElementById("Hinweis")) {
    parent.kalHinweis.document.getElementById("Hinweis").style.color="black";
    parent.kalHinweis.document.getElementById("Hinweis").value=St;
  }
}
function neuFenster(url,qStr,date,lan,storanDat,storabDat,storObjekt) {
  var querystorerweiterung='';
  if (storanDat!='') {
    querystorerweiterung='&storanDat='+storanDat+'&storabDat='+storabDat+'&storObjekt='+storObjekt;
  }
  self.location.replace(url+'?'+qStr+'&date='+date+'&lan='+lan+querystorerweiterung);
}
function zeigesaison(class_name_sai, class_name_tag, aktion) {
  var docListsp = document.getElementsByTagName('span');
  var re1 = new RegExp("(?:^|\\s)"+class_name_sai+"(?:\\s|$)"); //regular expression object for class
  for (var i = 0; i < docListsp.length; i++) {
    if (re1.test(docListsp[i].className)) {docListsp[i].style.visibility=aktion;}
  }
  var abstand;
  if (aktion=='visible') {abstand='23px'} else {abstand='13px'}
  var docListtag = document.getElementsByTagName('span');
  var re2 = new RegExp("(?:^|\\s)"+class_name_tag+"(?:\\s|$)"); //regular expression object for class
  for (var j = 0; j < docListtag.length; j++) {
    if (re2.test(docListtag[j].className)) {docListtag[j].style.left=abstand;}
  }
}
function htmlEntityDecode(string) {
 var t = document.createElement('textarea');
 t.innerHTML = string;
 return t.value;
}
function replaceQueryString(url,param,value) {
  var re = new RegExp("([?|&])" + param + "=.*?(&|$)","i");
  if (url.match(re))
    return url.replace(re,'$1' + param + "=" + value + '$2');
  else
    return url;
}
var storanDat='',storObjekt='';
function ad_holebuchdaten(benutzer,objekt,anreisedatum) {
  storanDat=anreisedatum;
  storObjekt=objekt;
  var pListe = new Array('benutzer='+benutzer,'objekt='+objekt,'andat='+anreisedatum);
  ad_executePHP('ad_formularFuellen.php',pListe);  
}
function ad_buchdaten(aktlan) { //wird im Erfolgsfall von ad_holebuchdaten() aufgerufen
  var lanurl=parent.location.href.toString();
  var pos=lanurl.indexOf('&lan=');
  if (pos > -1) {lanurl=replaceQueryString(lanurl,'lan',aktlan);}
  else          {lanurl=lanurl.replace('&status=','&lan='+aktlan+'&status=');}
  var name=parent.buchung.document.getElementById('monatid');
  var date=name.options[name.selectedIndex].value;
  lanurl=replaceQueryString(lanurl,'date',date);
  lanurl=lanurl.replace(/&storanDat=.*/,''); //alle evt. vorhandenen stor-Parameter entfernen
  lanurl+='&storanDat='+storanDat+'&storObjekt='+storObjekt;
  parent.location.replace(lanurl);
}
function buchbtakt_deakt(modSt) {
  var mod;
  if (modSt=='true') {mod=false;}
  else               {mod=true;}
  if (parent.persDaten.document.getElementById('iperFormbtbuch')) {
    parent.persDaten.document.getElementById('iperFormbtbuch').disabled=mod;
    parent.persDaten.document.getElementById('iperFormbtbuch').value='Verbindliche Buchung';
  }    
  if (parent.persDaten.document.getElementById('iperFormbtopt')) {
    parent.persDaten.document.getElementById('iperFormbtopt').disabled=mod;
    parent.persDaten.document.getElementById('iperFormbtopt').value='Unverbindliche Buchungsanfrage';
  }        
}