﻿function uftdecode(utftext) {
  var string = "";
  var i = 0;
  var c = c1 = c2 = 0;
  while ( i < utftext.length ) {
    c = utftext.charCodeAt(i);
    if (c < 128) {
      string += String.fromCharCode(c);
      i++;
    }
    else {
      if((c > 191) && (c < 224)) {
        c2 = utftext.charCodeAt(i+1);
        string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
        i += 2;
      }
      else {
        if (c != 65279) { //byte order mark (BOM), a magic number at the start of a text stream
          c2 = utftext.charCodeAt(i+1);
          c3 = utftext.charCodeAt(i+2);
          string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
          i += 3;
        }
        else {
          i++;
        }
      }
    }
  }
  return string;
}
function getParam(url,name) {
 name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
 var regexS = "[\\?&]"+name+"=([^&#]*)";
 var regex = new RegExp(regexS);
 var results = regex.exec(url);
 if (results == null) {return "";}
 else {return results[1];}
}
function replaceQueryString(url,param,value) {
  var re = new RegExp("([?|&])" + param + "=.*?(&|$)","i");
  if (url.match(re))
    return url.replace(re,'$1' + param + "=" + value + '$2');
  else
    return url;
}
function ad_Buchung() {
  var buchurl=parent.location.href;
  var buchkaldate=getParam(parent.buchung.location.href,'date');
  var buchdate=getParam(parent.location.href,'date');
  if (buchdate=='') {buchurl+='&date='+buchkaldate;}
  else {buchurl=replaceQueryString(buchurl,'date',buchkaldate);}
  buchurl=buchurl.replace(/&storanDat=.*/,''); //alle evt. vorhandenen stor-Parameter entfernen
  parent.location.replace(buchurl);
}
function htmlEntityDecode(string) {
 var t = document.createElement('textarea');
 t.innerHTML = string;
 return t.value;
}
function meldung(meld) {
  var myary = meld.split('~');
  var nachr = myary[0];nachr = nachr.replace(/\\n/g,"\n");nachr = nachr.replace(/\\'/g,"\'");nachr = nachr.replace(/\\"/g,'\"');
  var meldung = myary[1];meldung = meldung.replace(/\\n/g,"\n");meldung = meldung.replace(/\\'/g,"\'");meldung = meldung.replace(/\\"/g,'\"');
  var farbe = myary[2];
  if (parent.kalHinweis.document.getElementById('Hinweis')) {
    if (meldung != ' ') {
      parent.kalHinweis.document.getElementById('Hinweis').style.color=farbe;
      parent.kalHinweis.document.getElementById('Hinweis').value=htmlEntityDecode(meldung);
      alert(htmlEntityDecode(meldung));
      if (parent.anzeige.document.getElementById('Tage')) {
        parent.anzeige.document.getElementById('Tage').value='';}
      if (parent.anzeige.document.getElementById('Gesamtpreis')) {
        parent.anzeige.document.getElementById('Gesamtpreis').value='';}
      if (parent.anzeige.document.getElementById('Tagespreis')) {
        parent.anzeige.document.getElementById('Tagespreis').value='';}
      if (parent.anzeige.document.getElementById('Anzahlung')) {
        parent.anzeige.document.getElementById('Anzahlung').value='';}
      if (parent.anzeige.document.getElementById('Restzahlung')) {
        parent.anzeige.document.getElementById('Restzahlung').value='';}
      if (parent.anzeige.document.getElementById('prrabattid')) {
        parent.anzeige.document.getElementById('prrabattid').innerHTML='&nbsp;';}
    }
    if (parent.persDaten.document.getElementById('ibuchtext')) {
      parent.persDaten.document.getElementById('ibuchtext').style.color=farbe;
      parent.persDaten.document.getElementById('ibuchtext').value=htmlEntityDecode(nachr);
      if (meldung == ' ') {alert(abschluss);}
    }
  }
}
function htmlEntityDecode(string) {
 var t = document.createElement('textarea');
 t.innerHTML = string;
 return t.value;
}
function createobject() {
  try {req = new XMLHttpRequest();}
  catch (reqerr) {try {req = new ActiveXObject("Msxml2.XMLHTTP");}
    catch (reqerr) {try {req = new ActiveXObject("Microsoft.XMLHTTP");}
      catch (reqerr) {req = null;}
    }
  }
  return req;
}
function sendepost(nr,lan,oStr) {
  var url,params;
  var http = createobject();
  if (http == null) {alert("Error creating request object!");}
  else {
    if (oStr == "dummy") {
      url = "ad_adrboxFuellen.php";
      params = 'benutzer='+nr+'&name='+lan;
    }
    else {
      parent.document.body.className = 'wait';
      parent.persDaten.document.body.className = 'wait';
      url = "ad_formBuchenStorno.php";
      params = 'nr='+nr+'&lan='+lan+'&oStr='+oStr;
    }
    http.open("POST", url, true); //muss 'true' bleiben!
    //Send the proper header information along with the request
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    http.setRequestHeader("Content-length", params.length);
    //if (navigator.userAgent.indexOf('MSIE') < 0) {http.setRequestHeader("Connection", "close");}
    http.setRequestHeader("Connection", "keep-alive");
    http.onreadystatechange = function() {//Call a function when the state changes.
      if (http.readyState == 4) {
        parent.document.body.className = '';
        parent.persDaten.document.body.className = '';
        if (http.status == 200) {
          resp=http.responseText;
          //resp=uftdecode(resp);
          //alert(resp);
          if (resp.indexOf('~') > -1) { //Fehlermeldungen
            meldung(resp);
          }
          else if (resp.match(/^DIREKT:/)){
            erg=resp.replace(/^DIREKT:/,"");
            parent.frames['dummy'].location.replace('ad_authSendendirekt.php?auth='+erg+'&cbemailstat='+cbemailstat);
          }
          else if (resp.match(/^adrboxOK:/)){
            erg=resp.replace(/^adrboxOK:/,"");
            window.setTimeout('selectfuellen(erg);',10);
          }
          else if (resp.match(/^adrboxERROR:/)){
            erg=resp.replace(/^adrboxERROR:/,"");
            window.setTimeout('closeadrbox("");',10);
          }
          else if (resp.match(/^buchenstornoERROR:/)){
            erg=resp.replace(/^buchenstornoERROR:/,"");
            window.setTimeout('alert(htmlEntityDecode(erg));',10);
          }
          else if (resp.match(/^buchenstornoOK:/)){
            erg=resp.replace(/^buchenstornoOK:/,"");
            window.setTimeout('alert(htmlEntityDecode(erg));ad_Buchung();',10);
          }
        }
        else {
          alert("http-Status: "+http.status+" Error sending request object!");
        }
      }
    };
    http.send(params);
  }
}
function ordSt(inp) {
  inp = inp.replace(/\r\n/g,"\n");
  var utftext = "";
  for (var n = 0; n < inp.length; n++) {
    var c = inp.charCodeAt(n);
    if (c < 128) {
      utftext += String.fromCharCode(c);
    }
    else if((c > 127) && (c < 2048)) {
           utftext += String.fromCharCode((c >> 6) | 192);
           utftext += String.fromCharCode((c & 63) | 128);
         }
         else {
           utftext += String.fromCharCode((c >> 12) | 224);
           utftext += String.fromCharCode(((c >> 6) & 63) | 128);
           utftext += String.fromCharCode((c & 63) | 128);
         }
  }
  return utftext;
}
function change(div,lan,status) {
  div=document.getElementById(div);
  var elms = div.getElementsByTagName('img');
  var maxI = elms.length;
  var displayanz=0;
  for(var i=0;i < maxI; i++) {
    var elm = elms[i];
    if (document.getElementById(elm.id).style.display=='block') {
      displayanz++;
    }
  }
  if (displayanz==1) {
    for(i=0;i < maxI; i++) {
      document.getElementById(elms[i].id).style.display='block';
      if (i==0) {document.getElementById(elms[i].id).style.marginTop='1px';}
      else {document.getElementById(elms[i].id).style.marginTop='1px';}
    }
  }
  else {
    var sender='';
    if (status=='ad_aendern') {sender='objektselect';} //bei diesem sender werden die ad_Daten beibehalten
    else                      {sender='statusselect';} //bei diesem $sender werden die ad_Daten gelöscht
    var url=parent.location.href;
    url=url.substring(0, url.indexOf("?"));
    var obj = parent.document.getElementById('ad_buchungselid').value;
    parent.objekt_status_neu(url,obj,lan,'dummy',status,sender);
  }
}
  var errandat='';var errabdat='';var errvorname='';var errnachname='';var errvornameFa='';var errnachnameFa='';var errstrasse='';var errplz='';var errplz1='';var errstadt='';var errland='';var erremail='';var erremail1='';var errtelfax='';var errmobil='';var errnachricht='';var errktonr1='';var errktonr2='';var errblz1='';var errblz2='';var errzeichen='';var errtage='';var conf1='';var conf2='';var opra1='';var opra2='';var opra3='';var bucharttxt='';var optarttxt='';var ktonr='';var emailvalid1='';var emailvalid2='';var agbtxt3='';var abschluss='';var _vorname='';var _nachname='';var _vornameFa='';var _nachnameFa='';
  function ausgabetexte(er1,er2,er3,er4,er5,er6,er7,er8,er9,er10,er11,er12,er13,er14,er15,er16,er17,er18,er19,er20,er21,er22,co1,co2,op1,op2,op3,buar,opar,ktnr,emailv1,emailv2,agbtxt,abschl,vn,nn,vnFa,nnFa) {
    errandat=er1;errabdat=er2;errvorname=er3;errnachname=er4;errvornameFa=er5;errnachnameFa=er6;errstrasse=er7;errplz=er8;errplz1=er9;errstadt=er10;errland=er11;erremail=er12;erremail1=er13;errtelfax=er14;errmobil=er15;errnachricht=er16;errktonr1=er17;errktonr2=er18;errblz1=er19;errblz2=er20;errzeichen=er21;errtage=er22;conf1=co1;conf2=co2;opra1=op1;opra2=op2;opra3=op3;bucharttxt=buar;optarttxt=opar;ktonr=ktnr;emailvalid1=emailv1;emailvalid2=emailv2;agbtxt3=agbtxt;abschluss=abschl;_vorname=vn;_nachname=nn;_vornameFa=vnFa;_nachnameFa=nnFa;
    if (document.getElementById('id2')) {
      if (document.getElementById('id1').offsetHeight > document.getElementById('id2').offsetHeight) {
        document.getElementById('id2').style.height=document.getElementById('id1').offsetHeight+'px';
      }
      else {document.getElementById('id1').style.height=document.getElementById('id2').offsetHeight+'px';}
    }
    if (document.getElementById('id4')) {
      if (document.getElementById('id3').offsetHeight > document.getElementById('id4').offsetHeight) {
        document.getElementById('id4').style.height=document.getElementById('id3').offsetHeight+'px';
      }
      else {document.getElementById('id3').style.height=document.getElementById('id4').offsetHeight+'px';}
    }
  }
  function zahlart() {
    if (document.getElementById('isepa').checked){
      document.getElementById('ikontodaten').style.visibility='visible';
    }
    else {
      document.getElementById('ikontodaten').style.visibility='hidden';
    }
  }
  var Ergebnis;
  function isLeerstring(St) {
    var ok = new Boolean(true);
    for (i=0; i<St.length;i++) {if (St.charAt(i)!=' ') {ok=false;}}
    if (!ok) {Ergebnis = St.indexOf('=');if (Ergebnis != -1) {ok=true;}
    }
    return ok;
  }
  function Preisfenster(url,w,h) {
    fenster=window.open(url,'Preisinfo','width = '+w+', height = '+h+', top = 20, left = 50, resizable = yes, scrollbars = yes');
    fenster.focus();
  }
  function optHinzufuegen (name,anz) {
		var optNr=parseInt(name.options[name.length-1].value);
		for (i=1;i<=anz;i++) {
		  optNr=optNr+1;
			NeuerEintrag = new Option(optNr, optNr, false, false);
      name.options[name.length] = NeuerEintrag;
    }
  }
  function optLoeschen (name,anz) {
    for (i=1;i<=anz;i++) {name.options[name.length - 1] = null;}
  }
  
  var cbemailstat='true';
  function handleClick(cb) {
    setTimeout(function() {
      if (cb.checked) {document.getElementById('iEMail').style.color='#000000';cbemailstat='true';}
      else            {document.getElementById('iEMail').style.color='#909090';cbemailstat='false';}
    }, 0);
  }
  var adraryglob = new Array();
  function closeadrbox(st,aktion) {
    var select = document.getElementById("adrboxsel");
    var clsimg = document.getElementById("clsID");
    select.style.visibility="hidden";
    clsimg.style.visibility="hidden";
    if (st=='done') {
      if (aktion=='fuellen') {setTimeout('document.getElementById("iNachricht").focus()',5);}
      else                   {setTimeout('document.getElementById("iVorname").focus()',5);}
      selboxpos = -1;
    }
  }
  function adrfelderfuellen(ary) {
    var anrsel = document.getElementById("iAnrede");
    for (var i=0;i < anrsel.length;i++) {if (anrsel[i].value==ary[0]) {break;}}
    anrsel.options.selectedIndex = i;
    document.getElementById("iVorname").value=ary[1];
    document.getElementById("iNachname").value=ary[2];
    document.getElementById("iStrasse").value=ary[3];
    document.getElementById("iPLZ").value=ary[4];
    document.getElementById("iWohnort").value=ary[5];
    document.getElementById("iLand").value=ary[6];
    document.getElementById("iEMail").value=ary[7];
    document.getElementById("iTel").value=ary[8];
    document.getElementById("iFax").value=ary[9];
    if (document.getElementById("iKtonr")) {document.getElementById("iKtonr").value=ary[10];}
    if (document.getElementById("iBLZ")) {document.getElementById("iBLZ").value=ary[11];}
    if (ary.length > 12) {document.getElementById("iNachricht").value=ary[12];}
    namenaendern(document.getElementById('iAnrede'),_vorname,_nachname,_vornameFa,_nachnameFa);
  }
  function adrselect(id,aktion) {
    var adrary = new Array();
    var anrsel = document.getElementById("iAnrede");
    if (aktion=='fuellen') {
      var pos=parseInt(id.substring(1));
      adrary = adraryglob[pos].split('}={');
    }
    else {
      adrary = [anrsel[0].value,'','','','','','','','','','','',''];
    }
    adrfelderfuellen(adrary);
    closeadrbox('done',aktion);
  }
  function ad_adrboxfuellen(benutzer) {
    var vname=document.getElementById('iVorname').value;var nname=document.getElementById('iNachname').value;
    if ((vname.length > 0)||(nname.length > 0)) {sendepost(benutzer,vname+'@'+nname,'dummy');}
    else                                        {closeadrbox('');}
  }
  function decode_htmlentities(str){
   var temp=document.createElement("pre");
   temp.innerHTML=str;
   return temp.firstChild.nodeValue;
  }
  function selectfuellen (st) {
    st=decode_htmlentities(st);
    adraryglob.length=0;
    adraryglob = st.split('}=={');
    var anz = adraryglob.length;
    var select = document.getElementById("adrboxsel");
    var clsimg = document.getElementById("clsID");
    if (anz > 10) {select.style.height = (17+10*20)+'px';}
    else          {select.style.height = (17+anz*20)+'px';}
    if (select.style.visibility=='hidden') {select.style.visibility='visible';clsimg.style.visibility='visible';}
    var value='';
    var pid;
    for (var i=0; i<adraryglob.length;i++) {
      pid='p'+i+'';
      value += "<p class='pointer' id='"+pid+"' style='height:18px;margin:1px;white-space:nowrap;' onclick=\"adrselect('"+pid+"','fuellen');\" onmouseover=\"this.style.backgroundColor='#00ffff';\" onmouseout=\"this.style.backgroundColor='#efefef';\">"+adraryglob[i].replace(/}={/g,', ')+"<\/p>";
      select.innerHTML = value;
    }
  }
  function holeURL(optForm,id,preisFe,lan,kkstatus) { //zur Preisberechnung
  var erwAnz=0; var kind1Anz=0; var kind2Anz=0; var rest;
  var optiForm=parent.kalHinweis.document.getElementById('optio');//Personenformular auf TkalHinweis
  
  erwAnz=parseInt(optiForm.erw.value);
  rest=parseInt(preisFe)-erwAnz;
  if (optiForm.kind1) {
    kind1Anz=parseInt(optiForm.kind1.value);
    rest-=kind1Anz;
  }
  if (kkstatus=='1') { // Kleinkinder in maxbelegung enthalten
    if (optiForm.kind2) {
      kind2Anz=parseInt(optiForm.kind2.value);
      rest-=kind2Anz;
    }
  }
  if (rest+erwAnz > parseInt(optiForm.erw.options[optiForm.erw.length-1].value)) {
    optHinzufuegen(optiForm.erw,rest+erwAnz-parseInt(optiForm.erw.options[optiForm.erw.length-1].value));
  }
  else {
    if (rest+erwAnz < parseInt(optiForm.erw.options[optiForm.erw.length-1].value)){
      optLoeschen(optiForm.erw,parseInt(optiForm.erw.options[optiForm.erw.length-1].value-rest-erwAnz));
    }
  }
  if (optiForm.kind1) {
    if (rest+kind1Anz > parseInt(optiForm.kind1.options[optiForm.kind1.length-1].value)) {
      optHinzufuegen(optiForm.kind1,rest+kind1Anz-parseInt(optiForm.kind1.options[optiForm.kind1.length-1].value));
    }
    else {
      if (rest+kind1Anz < parseInt(optiForm.kind1.options[optiForm.kind1.length-1].value)){
        optLoeschen(optiForm.kind1,parseInt(optiForm.kind1.options[optiForm.kind1.length-1].value-rest-kind1Anz));
      }
    }
  }
  if (kkstatus=='1') { // Kleinkinder in maxbelegung enthalten
    if (optiForm.kind2) {
      if (rest+kind2Anz > parseInt(optiForm.kind2.options[optiForm.kind2.length-1].value)) {
        optHinzufuegen(optiForm.kind2,rest+kind2Anz-parseInt(optiForm.kind2.options[optiForm.kind2.length-1].value));
      }
      else {
        if (rest+kind2Anz < parseInt(optiForm.kind2.options[optiForm.kind2.length-1].value)){
          optLoeschen(optiForm.kind2,parseInt(optiForm.kind2.options[optiForm.kind2.length-1].value-rest-kind2Anz));
        }
      }
    }
  }

  if (parent.buchung.document.getElementById('anDat')) {var anDatum=parent.buchung.document.getElementById('anDat').value;}
  else return(false);
  if (parent.buchung.document.getElementById('abDat')) {var abDatum=parent.buchung.document.getElementById('abDat').value;}
  else return(false);
  perForm=parent.persDaten.document.getElementById('perDaten');
  var url='./ad_preisBerechnung.php?id='+id+'&anDat='+anDatum+'&abDat='+abDatum+'&lan='+lan;
  if (parent.kalHinweis.document.getElementById('ierw')) {perForm.ErwachsAnz.value=parent.kalHinweis.document.getElementById('ierw').value;}
  else {perForm.ErwachsAnz.value='0';}
  url +='&erw='+perForm.ErwachsAnz.value+'';
  if (parent.kalHinweis.document.getElementById('ikind1')) {perForm.Kinder1Anz.value=parent.kalHinweis.document.getElementById('ikind1').value;}
  else {perForm.Kinder1Anz.value='0';}
  url +='&kind1='+perForm.Kinder1Anz.value+'';
  if (parent.kalHinweis.document.getElementById('ikind2')) {perForm.Kinder2Anz.value=parent.kalHinweis.document.getElementById('ikind2').value;}
  else {perForm.Kinder2Anz.value='0';}
  url +='&kind2='+perForm.Kinder2Anz.value+'';
  perForm.Verpflegung.value='keine';
  if (parent.optionen.document.getElementById('iverpflegungK')) {if (document.getElementById('iverpflegungK').checked){perForm.Verpflegung.value='keine';}}
  if (parent.optionen.document.getElementById('iverpflegungF')) {if (document.getElementById('iverpflegungF').checked){perForm.Verpflegung.value='Fruehst';}}
  if (parent.optionen.document.getElementById('iverpflegungH')) {if (document.getElementById('iverpflegungH').checked){perForm.Verpflegung.value='Halbpen';}}
  if (parent.optionen.document.getElementById('iverpflegungV')) {if (document.getElementById('iverpflegungV').checked){perForm.Verpflegung.value='Vollpen';}}
  if (parent.optionen.document.getElementById('iverpflegungA')) {if (document.getElementById('iverpflegungA').checked){perForm.Verpflegung.value='allIncl';}}
  url +='&verpflegung='+perForm.Verpflegung.value+'';
  if (parent.optionen.document.getElementById('ieArt1')) {perForm.eArt1Anz.value=parent.optionen.document.getElementById('ieArt1').value;}
  else {perForm.eArt1Anz.value='0';}
  url +='&eArt1Anz='+perForm.eArt1Anz.value+'';
  if (parent.optionen.document.getElementById('ieArt2')) {perForm.eArt2Anz.value=parent.optionen.document.getElementById('ieArt2').value;}
  else {perForm.eArt2Anz.value='0';}
  url +='&eArt2Anz='+perForm.eArt2Anz.value+'';
  if (parent.optionen.document.getElementById('ieArt3')) {perForm.eArt3Anz.value=parent.optionen.document.getElementById('ieArt3').value;}
  else {perForm.eArt3Anz.value='0';}
  url +='&eArt3Anz='+perForm.eArt3Anz.value+'';
  if (parent.optionen.document.getElementById('ieArt4')) {perForm.eArt4Anz.value=parent.optionen.document.getElementById('ieArt4').value;}
  else {perForm.eArt4Anz.value='0';}
  url +='&eArt4Anz='+perForm.eArt4Anz.value+'';
  if (parent.optionen.document.getElementById('ieArt5')) {perForm.eArt5Anz.value=parent.optionen.document.getElementById('ieArt5').value;}
  else {perForm.eArt5Anz.value='0';}
  url +='&eArt5Anz='+perForm.eArt5Anz.value+'';
  if (parent.optionen.document.getElementById('ieArt6')) {perForm.eArt6Anz.value=parent.optionen.document.getElementById('ieArt6').value;}
  else {perForm.eArt6Anz.value='0';}
  url +='&eArt6Anz='+perForm.eArt6Anz.value+'';
  if (parent.optionen.document.getElementById('ieArt7')) {perForm.eArt7Anz.value=parent.optionen.document.getElementById('ieArt7').value;}
  else {perForm.eArt7Anz.value='0';}
  url +='&eArt7Anz='+perForm.eArt7Anz.value+'';
  if (parent.optionen.document.getElementById('ieArt8')) {perForm.eArt8Anz.value=parent.optionen.document.getElementById('ieArt8').value;}
  else {perForm.eArt8Anz.value='0';}
  url +='&eArt8Anz='+perForm.eArt8Anz.value+'';
  if (parent.optionen.document.getElementById('ieArt9')) {perForm.eArt9Anz.value=parent.optionen.document.getElementById('ieArt9').value;}
  else {perForm.eArt9Anz.value='0';}
  url +='&eArt9Anz='+perForm.eArt9Anz.value+'';
  if (parent.optionen.document.getElementById('ieArt10')) {perForm.eArt10Anz.value=parent.optionen.document.getElementById('ieArt10').value;}
  else {perForm.eArt10Anz.value='0';}
  url +='&eArt10Anz='+perForm.eArt10Anz.value+'';
  if (parent.optionen.document.getElementById('izArt1')) {perForm.zArt1Anz.value=parent.optionen.document.getElementById('izArt1').value;}
  else {perForm.zArt1Anz.value='0';}
  url +='&zArt1Anz='+perForm.zArt1Anz.value+'';
  if (parent.optionen.document.getElementById('izArt2')) {perForm.zArt2Anz.value=parent.optionen.document.getElementById('izArt2').value;}
  else {perForm.zArt2Anz.value='0';}
  url +='&zArt2Anz='+perForm.zArt2Anz.value+'';
  if (parent.optionen.document.getElementById('izArt3')) {perForm.zArt3Anz.value=parent.optionen.document.getElementById('izArt3').value;}
  else {perForm.zArt3Anz.value='0';}
  url +='&zArt3Anz='+perForm.zArt3Anz.value+'';
  if (parent.optionen.document.getElementById('izArt4')) {perForm.zArt4Anz.value=parent.optionen.document.getElementById('izArt4').value;}
  else {perForm.zArt4Anz.value='0';}
  url +='&zArt4Anz='+perForm.zArt4Anz.value+'';
  if (parent.optionen.document.getElementById('izArt5')) {perForm.zArt5Anz.value=parent.optionen.document.getElementById('izArt5').value;}
  else {perForm.zArt5Anz.value='0';}
  url +='&zArt5Anz='+perForm.zArt5Anz.value+'';
  if (parent.optionen.document.getElementById('izArt6')) {perForm.zArt6Anz.value=parent.optionen.document.getElementById('izArt6').value;}
  else {perForm.zArt6Anz.value='0';}
  url +='&zArt6Anz='+perForm.zArt6Anz.value+'';
  if (parent.optionen.document.getElementById('izArt7')) {perForm.zArt7Anz.value=parent.optionen.document.getElementById('izArt7').value;}
  else {perForm.zArt7Anz.value='0';}
  url +='&zArt7Anz='+perForm.zArt7Anz.value+'';
  if (parent.optionen.document.getElementById('izArt8')) {perForm.zArt8Anz.value=parent.optionen.document.getElementById('izArt8').value;}
  else {perForm.zArt8Anz.value='0';}
  url +='&zArt8Anz='+perForm.zArt8Anz.value+'';
  if (parent.optionen.document.getElementById('izArt9')) {perForm.zArt9Anz.value=parent.optionen.document.getElementById('izArt9').value;}
  else {perForm.zArt9Anz.value='0';}
  url +='&zArt9Anz='+perForm.zArt9Anz.value+'';
  if (parent.optionen.document.getElementById('izArt10')) {perForm.zArt10Anz.value=parent.optionen.document.getElementById('izArt10').value;}
  else {perForm.zArt10Anz.value='0';}
  url +='&zArt10Anz='+perForm.zArt10Anz.value+'';
  //document.getElementById('optio').action=url;
  document.getElementById('optio').action='javascript:parent.frames[\'dummy\'].location.replace(\''+url+'\')';
}
function zaehlen() {
  var f=document.getElementById('iNachricht');var tex=f.value;
  if (tex.length > 500) {
    tex=tex.substring(0,500);
    f.value=tex;
  }
  document.getElementById('itextlen').value=500-f.value.length;
}
var selAnrede='nichtFirma';
function namenaendern(selectAnrede,vorname,nachname,vornameFa,nachnameFa) {
  if (selectAnrede.selectedIndex=='5') { //Firma
    selAnrede='Firma';tdVorname=vornameFa;tdNachname=nachnameFa;
    document.getElementById('iName1').style.display='block';
  }
  else {
    selAnrede='nichtFirma';tdVorname=vorname;tdNachname=nachname;
    document.getElementById('iName1').style.display='none';
  }
	var vorObj=document.getElementById('itdVorname');
	var nachObj=document.getElementById('itdNachname');
  for (var j=0; j<vorObj.childNodes.length; j++) { //alle Elemente im <td>
    if (vorObj.childNodes[j].nodeValue) {
      if ((vorObj.childNodes[j].nodeValue.indexOf(vorname)>-1)||
          (vorObj.childNodes[j].nodeValue.indexOf(vornameFa)>-1)) {
        vorObj.childNodes[j].nodeValue=tdVorname;
      }
    }
  }
  nachObj.firstChild.data=tdNachname;
  setTimeout('document.getElementById(\'iVorname\').focus()',50);//wg. Chrome
}
function pruefen(theForm,buchart,id,preisFe,lan) { //preisFe: maxPers
  var modus=parent.document.getElementById('ad_modusselid').value;
  var altanreisedatum='',altabreisedatum='', storandat='', storabdat='', altobjekt='';
  var anDatDa=false, abDatDa=false;
  if (modus=='ad_aendern') {
    if (parent.document.getElementById('ad_anreisedatum')) {
      altanreisedatum=parent.document.getElementById('ad_anreisedatum').value; //Format dd.mm.yyyy
    }
    if (parent.document.getElementById('ad_abreisedatum')) {
      altabreisedatum=parent.document.getElementById('ad_abreisedatum').value;
    }
    if (parent.document.getElementById('ad_storandatid')) {
      storandat=parent.document.getElementById('ad_storandatid').value; //Format yyyy-mm-dd
    }
    if (parent.document.getElementById('ad_storabdatid')) {
      storabdat=parent.document.getElementById('ad_storabdatid').value;
    }
    if (parent.document.getElementById('ad_objekt')) {
      altobjekt=parent.document.getElementById('ad_objekt').value;
    }
  }
  if (parent.buchung.document.getElementById('anDat')) {
    theForm.Anreisedatum.value=parent.buchung.document.getElementById('anDat').value; anDatDa=true;
  }
  else {
    if (modus=='ad_buchen') {
      parent.document.getElementById('tab1').onclick();alert(errandat);return (false);
    }
    else {
      if (storandat=='') {
        alert('Abbruch: Es ist ein Anreisedatum weder für eine neue Buchung noch für eine bestehende Buchung vorhanden.');return (false);
      }
    }
  }
  if (parent.buchung.document.getElementById('abDat')) {
    theForm.Abreisedatum.value=parent.buchung.document.getElementById('abDat').value; abDatDa=true;
  }
  else {
    if (modus=='ad_buchen') {
      parent.document.getElementById('tab1').onclick();alert(errabdat);return (false);
    }
    else {
      if (storabdat=='') {
        alert('Abbruch: Es ist ein Abreisedatum weder für eine neue Buchung noch für eine bestehende Buchung vorhanden.');return (false);
      }
    }
  }
  if (parent.kalHinweis.document.getElementById('ierw')) {
    theForm.ErwachsAnz.value=parent.kalHinweis.document.getElementById('ierw').value;
  }
  else {theForm.ErwachsAnz.value='0';}
  if (parent.kalHinweis.document.getElementById('ikind1')) {
    theForm.Kinder1Anz.value=parent.kalHinweis.document.getElementById('ikind1').value;
  }
  else {theForm.Kinder1Anz.value='0';}
  //wg. OPERA im CMS
    if (parseInt(theForm.ErwachsAnz.value)+parseInt(theForm.Kinder1Anz.value) > preisFe) {
      if (parent.kalHinweis.document.getElementById('Hinweis')) {
        parent.kalHinweis.document.getElementById('Hinweis').style.color='red';
      parent.kalHinweis.document.getElementById('Hinweis').value=opra1+preisFe+opra2;}
      if (parent.anzeige.document.getElementById('Tage')) {
        parent.anzeige.document.getElementById('Tage').value='';}
      if (parent.anzeige.document.getElementById('Gesamtpreis')) {
        parent.anzeige.document.getElementById('Gesamtpreis').value='';}
      if (parent.anzeige.document.getElementById('Tagespreis')) {
        parent.anzeige.document.getElementById('Tagespreis').value='';}
      if (parent.anzeige.document.getElementById('Anzahlung')) {
        parent.anzeige.document.getElementById('Anzahlung').value='';}
      if (parent.anzeige.document.getElementById('Restzahlung')) {
        parent.anzeige.document.getElementById('Restzahlung').value='';}
      alert(opra3);
      return (false);
    } //wg. OPERA im CMS ENDE
  if (parent.kalHinweis.document.getElementById('ikind2')) {
    theForm.Kinder2Anz.value=parent.kalHinweis.document.getElementById('ikind2').value;
  }
  else {theForm.Kinder2Anz.value='0';}
  theForm.Verpflegung.value='keine';
  if (parent.optionen.document.getElementById('iverpflegungK')) {
    if (parent.optionen.document.getElementById('iverpflegungK').checked){theForm.Verpflegung.value='keine';}
  }
  if (parent.optionen.document.getElementById('iverpflegungF')) {
    if (parent.optionen.document.getElementById('iverpflegungF').checked){theForm.Verpflegung.value='Fruehst';}
  }
  if (parent.optionen.document.getElementById('iverpflegungH')) {
    if (parent.optionen.document.getElementById('iverpflegungH').checked){theForm.Verpflegung.value='Halbpen';}
  }
  if (parent.optionen.document.getElementById('iverpflegungV')) {
    if (parent.optionen.document.getElementById('iverpflegungV').checked){theForm.Verpflegung.value='Vollpen';}
  }
  if (parent.optionen.document.getElementById('iverpflegungA')) {
    if (parent.optionen.document.getElementById('iverpflegungA').checked){theForm.Verpflegung.value='allIncl';}
  }
  if (parent.anzeige.document.getElementById('Tage')) {
    theForm.Gesamttage.value=parent.anzeige.document.getElementById('Tage').value;
  }
  else {theForm.Gesamttage.value='0';}
  if (theForm.Gesamttage.value=='') {alert(errtage);return (false);}
  if (parent.anzeige.document.getElementById('Gesamtpreis')) {theForm.Gesamtpreis.value=parent.anzeige.document.getElementById('Gesamtpreis').value;}
  else {theForm.Gesamtpreis.value='0';}
  if (parent.anzeige.document.getElementById('Anzahlung')) {theForm.Anzahlung.value=parent.anzeige.document.getElementById('Anzahlung').value;}
  else {theForm.Anzahlung.value='0';}
  if (parent.anzeige.document.getElementById('Restzahlung')) {theForm.Restzahlung.value=parent.anzeige.document.getElementById('Restzahlung').value;}
  else {theForm.Restzahlung.value='0';}
  if (parent.document.getElementById('ad_cbmanupreis').checked) {theForm.ad_cbmanupreis.value='checked';}
  else {theForm.ad_cbmanupreis.value='unchecked';}
  var hpr;
  if (parent.document.getElementById('ad_Gesamtpreis')) {
    hpr=parent.document.getElementById('ad_Gesamtpreis').value;
    if (hpr!='') {hpr=parseFloat(hpr).toFixed(2).toString();}
    parent.document.getElementById('ad_Gesamtpreis').value=hpr;
    theForm.ad_Gesamtpreis.value=hpr;
  }
  else {theForm.ad_Gesamtpreis.value='0';}
  if (parent.document.getElementById('ad_Anzahlung')) {
    hpr=parent.document.getElementById('ad_Anzahlung').value;
    if (hpr!='') {hpr=parseFloat(hpr).toFixed(2).toString();}
    parent.document.getElementById('ad_Anzahlung').value=hpr;
    theForm.ad_Anzahlung.value=hpr;
  }
  else {theForm.ad_Anzahlung.value='0';}
  if (parent.document.getElementById('ad_Restzahlung')) {theForm.ad_Restzahlung.value=parent.document.getElementById('ad_Restzahlung').value;}
  else {theForm.ad_Restzahlung.value='0';}
  if ((isLeerstring(theForm.Vorname.value))&&(theForm.Vorname.value.length > 0)) { //ein nicht leerer String mit '=', wird auch als Leerstring interpretiert, ebenso einer mit lauter blanks
    if (selAnrede!='Firma') {alert(errvorname);theForm.Vorname.focus();return (false);}
    else {
      Ergebnis = theForm.Vorname.value.indexOf('=');
      if (Ergebnis != -1) {alert(errvornameFa);theForm.Vorname.focus();return (false);}
    }
  }
  if ((isLeerstring(theForm.Nachname.value))&&(theForm.Nachname.value.length > 0)) {
    if (selAnrede=='Firma') {
      if (isLeerstring(theForm.Vorname.value)) {alert(errnachnameFa);theForm.Nachname.focus();return (false);}
      else {
        if (theForm.Nachname.value.indexOf('=')!=-1) {alert(errnachnameFa);theForm.Nachname.focus();return (false);}
        else {theForm.Nachname.value=theForm.Vorname.value;theForm.Vorname.value='';}
      }
    }
    else {alert(errnachname);theForm.Nachname.focus();return (false);}
  }
  if (theForm.Nachname.value.length == 0) {theForm.Nachname.value='VERWALTUNGSBUCHUNG';}
  if ((isLeerstring(theForm.Strasse.value))&&(theForm.Strasse.value.length > 0)) {alert(errstrasse);theForm.Strasse.focus();return (false);}
  if ((isLeerstring(theForm.PLZ.value))&&(theForm.PLZ.value.length > 0)) {alert(errplz);theForm.PLZ.focus();return (false);}
  if ((theForm.PLZ.value.length > 0)&&((theForm.PLZ.value.length < 4)||(theForm.PLZ.value.length > 10))) {
    alert(errplz1);theForm.PLZ.focus();return (false);}
  if ((isLeerstring(theForm.Wohnort.value))&&(theForm.Wohnort.value.length > 0)) {alert(errstadt);theForm.Wohnort.focus();return (false);}
  if (theForm.Land.value!='') {
    Ergebnis = theForm.Land.value.indexOf('=');
    if (Ergebnis != -1) {alert(errland);theForm.Land.focus();return (false);}
  }
  if ((isLeerstring(theForm.EMail.value))&&(theForm.EMail.value.length > 0)) {alert(erremail);theForm.EMail.focus();return (false);}
  if (theForm.EMail.value.length > 0) {
    var PruefStr = theForm.EMail.value;
    if (!testemail(emailvalid1, emailvalid2, PruefStr)) {alert(erremail1);theForm.EMail.focus();return (false);}
  }
  if ((isLeerstring(theForm.Tel.value))&&(theForm.Tel.value.length > 0)) {alert(errtelfax);theForm.Tel.focus();return (false);}
  if (theForm.Fax.value!='') {
    Ergebnis = theForm.Fax.value.indexOf('=');
    if (Ergebnis != -1) {alert(errmobil);theForm.Fax.focus();return (false);}
  }
  if (theForm.Nachricht.value!='') {
    Ergebnis = theForm.Nachricht.value.indexOf('=');
    if (Ergebnis != -1) {alert(errnachricht);theForm.Nachricht.focus();return (false);}
  }
  var tz='{==}', optSt='';
  var perForm=parent.persDaten.document.getElementById('perDaten');
  if (anDatDa && abDatDa) {
    optSt='buchart='+buchart+tz+'Anreisedatum='+theForm.Anreisedatum.value+tz+'Abreisedatum='+theForm.Abreisedatum.value+tz+'Anrede='+theForm.Anrede.value+tz+'Vorname='+theForm.Vorname.value+tz+'Nachname='+theForm.Nachname.value+tz+'Strasse='+theForm.Strasse.value+tz+'PLZ='+theForm.PLZ.value+tz+'Wohnort='+theForm.Wohnort.value+tz+'Land='+theForm.Land.value+tz+'EMail='+theForm.EMail.value+tz+'Tel='+theForm.Tel.value+tz+'Fax='+theForm.Fax.value+tz+'Nachricht='+theForm.Nachricht.value+tz+'ErwachsAnz='+theForm.ErwachsAnz.value+tz+'Kinder1Anz='+theForm.Kinder1Anz.value+tz+'Kinder2Anz='+theForm.Kinder2Anz.value+tz+'Verpflegung='+theForm.Verpflegung.value+tz+'Hunde='+perForm.endPreisStrProz.value+tz+'Gesamttage='+theForm.Gesamttage.value+tz+'Gesamtpreis='+theForm.Gesamtpreis.value+tz+'Anzahlung='+theForm.Anzahlung.value+tz+'Restzahlung='+theForm.Restzahlung.value+tz+'ad_cbmanupreis='+theForm.ad_cbmanupreis.value+tz+'ad_Gesamtpreis='+theForm.ad_Gesamtpreis.value+tz+'ad_Anzahlung='+theForm.ad_Anzahlung.value+tz+'ad_Restzahlung='+theForm.ad_Restzahlung.value+tz+'eArt1Anz='+theForm.eArt1Anz.value+tz+'eArt2Anz='+theForm.eArt2Anz.value+tz+'eArt3Anz='+theForm.eArt3Anz.value+tz+'eArt4Anz='+theForm.eArt4Anz.value+tz+'eArt5Anz='+theForm.eArt5Anz.value+tz+'eArt6Anz='+theForm.eArt6Anz.value+tz+'eArt7Anz='+theForm.eArt7Anz.value+tz+'eArt8Anz='+theForm.eArt8Anz.value+tz+'eArt9Anz='+theForm.eArt9Anz.value+tz+'eArt10Anz='+theForm.eArt10Anz.value+tz+'zArt1Anz='+theForm.zArt1Anz.value+tz+'zArt2Anz='+theForm.zArt2Anz.value+tz+'zArt3Anz='+theForm.zArt3Anz.value+tz+'zArt4Anz='+theForm.zArt4Anz.value+tz+'zArt5Anz='+theForm.zArt5Anz.value+tz+'zArt6Anz='+theForm.zArt6Anz.value+tz+'zArt7Anz='+theForm.zArt7Anz.value+tz+'zArt8Anz='+theForm.zArt8Anz.value+tz+'zArt9Anz='+theForm.zArt9Anz.value+tz+'zArt10Anz='+theForm.zArt10Anz.value;
  }
  else { //Stornierung einer Buchung, wenn Anreisedatum == Abreisedatum
    optSt='buchart='+buchart+tz+'Anreisedatum='+storandat+tz+'Abreisedatum='+storandat+tz+'Anrede='+theForm.Anrede.value+tz+'Vorname='+theForm.Vorname.value+tz+'Nachname='+theForm.Nachname.value+tz+'Strasse='+theForm.Strasse.value+tz+'PLZ='+theForm.PLZ.value+tz+'Wohnort='+theForm.Wohnort.value+tz+'Land='+theForm.Land.value+tz+'EMail='+theForm.EMail.value+tz+'Tel='+theForm.Tel.value+tz+'Fax='+theForm.Fax.value+tz+'Nachricht='+theForm.Nachricht.value+tz+'ErwachsAnz='+theForm.ErwachsAnz.value+tz+'Kinder1Anz='+theForm.Kinder1Anz.value+tz+'Kinder2Anz='+theForm.Kinder2Anz.value+tz+'Verpflegung='+theForm.Verpflegung.value+tz+'Hunde='+perForm.endPreisStrProz.value+tz+'Gesamttage='+theForm.Gesamttage.value+tz+'Gesamtpreis='+theForm.Gesamtpreis.value+tz+'Anzahlung='+theForm.Anzahlung.value+tz+'Restzahlung='+theForm.Restzahlung.value+tz+'ad_cbmanupreis='+theForm.ad_cbmanupreis.value+tz+'ad_Gesamtpreis='+theForm.ad_Gesamtpreis.value+tz+'ad_Anzahlung='+theForm.ad_Anzahlung.value+tz+'ad_Restzahlung='+theForm.ad_Restzahlung.value+tz+'eArt1Anz='+theForm.eArt1Anz.value+tz+'eArt2Anz='+theForm.eArt2Anz.value+tz+'eArt3Anz='+theForm.eArt3Anz.value+tz+'eArt4Anz='+theForm.eArt4Anz.value+tz+'eArt5Anz='+theForm.eArt5Anz.value+tz+'eArt6Anz='+theForm.eArt6Anz.value+tz+'eArt7Anz='+theForm.eArt7Anz.value+tz+'eArt8Anz='+theForm.eArt8Anz.value+tz+'eArt9Anz='+theForm.eArt9Anz.value+tz+'eArt10Anz='+theForm.eArt10Anz.value+tz+'zArt1Anz='+theForm.zArt1Anz.value+tz+'zArt2Anz='+theForm.zArt2Anz.value+tz+'zArt3Anz='+theForm.zArt3Anz.value+tz+'zArt4Anz='+theForm.zArt4Anz.value+tz+'zArt5Anz='+theForm.zArt5Anz.value+tz+'zArt6Anz='+theForm.zArt6Anz.value+tz+'zArt7Anz='+theForm.zArt7Anz.value+tz+'zArt8Anz='+theForm.zArt8Anz.value+tz+'zArt9Anz='+theForm.zArt9Anz.value+tz+'zArt10Anz='+theForm.zArt10Anz.value;
  }
  if ((theForm.Ktonr)&&((theForm.Ktonr.value.length > 0)||(theForm.BLZ.value.length > 0))) {
    if (document.getElementById('isepa').checked){
      var iban=theForm.Ktonr.value;
      if (!IBAN.isValid(iban)) {alert(errktonr2); theForm.Ktonr.focus(); return (false);}
      var bic=theForm.BLZ.value;
      reg_ex=/^[A-Z]{6}[A-Z1-9]{2}([A-Z\d]{3})?$/;
      if (!reg_ex.test(bic)) {alert(errblz2);theForm.BLZ.focus();return (false);}
      optSt += tz+'Ktonr='+theForm.Ktonr.value+tz+'BLZ='+theForm.BLZ.value+tz+'Bank=dummy';
    } //Ende Iban-Bic
    else {optSt += tz+'Ktonr='+tz+'BLZ='+tz+'Bank=IhreBank';}
  } //Ende Kontonr
  else {optSt += tz+'Ktonr='+tz+'BLZ='+tz+'Bank=IhreBank';}
  try {if (theForm.datenschutzid.checked == false) {alert(agbtxt3);theForm.datenschutzid.focus();return (false);}}
  catch(err) {}
  optSt = optSt.replace(/"/g,"'");
  optSt = optSt.replace(/&/g,"}=={");
  optSt = optSt.replace(/\r\n/g,"\n");
  optSt='modus='+modus+tz+'altanreisedatum='+altanreisedatum+tz+'altabreisedatum='+altabreisedatum+tz+'altobjekt='+altobjekt+tz+'cbemailstat='+cbemailstat+tz+optSt;
  optSt=optSt.replace(/\+/g,'%2B');
  //optSt=ordSt(optSt); //deaktiviert für die utf-8 version
  if (buchart=='Buchung') {art=bucharttxt;}
  else {art=optarttxt;}
  //check = confirm(art+'\n\n'+conf1+conf2);
  //if(check == false) {return (false);}
  sendepost(id,lan,optSt);
  return (true);
}