<?php date_default_timezone_set('Europe/Berlin');
include './autHinweis.php';
ob_clean();
?>
<!DOCTYPE html>
<html>
<head>
	<title>Saisonwahl</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=1040">
  <link rel="stylesheet" type="text/css" href="basic.css" media="screen">
  <link rel="stylesheet" type="text/css" href="tabs.css" media="screen">
  <link rel="stylesheet" type="text/css" href="toolt.css" media="screen">
  <link rel="stylesheet" type="text/css" href="print.css" media="print">
  <script type="text/javascript">
    function objekt_neu(url,objekt) {
      adr=url+'?objekt='+objekt;
      self.location.replace(adr);
    }
    function hinweis(aktion) {
      if (aktion=='ein') {
        document.getElementById('verwkalhinweisein').style.display='none';
        document.getElementById('verwkalhinweisaus').style.display='block';
        document.getElementById('verwkalhinweisid').style.display='block';
      }
      else {
        document.getElementById('verwkalhinweisein').style.display='block';
        document.getElementById('verwkalhinweisaus').style.display='none';
        document.getElementById('verwkalhinweisid').style.display='none';
      }
    }
  </script>
</head>
<body style="min-width:1022px;">
<div style="width:1022px;margin:0px auto;border:0px solid lightgrey">
 <div id='aussen'>
  <a href="logout.php" style="float:right"><img class="noprint" style='border:0;' src="logout.jpg" title="Logout" alt=""></a>
	<h1 class="noprint">Saisonwahl</h1>
	<div id="header">
	<ul id="primary">
		<li><a href="admin.php">Home</a></li>
		<li><a href="objVerw.php">Objektverwaltung</a>
			<ul id="secondary">
				<li><span>Saisonwahl</span></li>
                <li><a href="ad_mindauerwahl.php">Mindestmietdauerwahl</a></li>
				<li><a href="ad_kalFortfuehren.php">Kalender fortführen</a></li>
				<li><a href="ad_dbsicherungen.php">Datenbank-Sicherungen</a></li>
				<li><a href="ad_kaltabreset.php">Kalender neu anlegen - Tabellen-Reset</a></li>
				<li><a href="ad_verwBuchung.php" style="float:right;">Buchen - Stornieren - Ändern</a></li>
			</ul>
    </li>
		<li><a href="changePDSeite.php">Einstellungen</a></li>
    <li><a href="designSeite.php">Design</a></li>
		<li><a href="textVerw.php">Textvorlagen</a></li>
    <li><a href="AnAbreisenSeite.php">Buchungen</a></li>
		<li><a href="finanzVerw.php?id=offene&amp;nurlesen=true">Zahlungen</a></li>
		<li><a href="mahnVerw.php">Mahnungen</a></li>
    <li><a href="kalVerw.php" class="current">Buchungskalender</a></li>
	</ul>
	</div>
	<div id='main'>

<?php
if (isset($_GET["objekt"])) {
  $objekt=$_GET["objekt"];
}
else {$objekt='';}
$DBOk=true;
include './DBSafe/dbDaten.php';
$vermieterTabelle=$benutzer."0Vermieter";
$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "MySQL-ERROR: ".mysqli_connect_error()." in ".$_scriptName." #1.1";
     $DBOk=false;
}
else {
  mysqli_set_charset($conn, "utf8");
}
include './zugriffsberechtigung.php';
$vollzugriff=false;
if (zugriffsberechtigt($benutzer,$benutzerID,15)) { //hier gibt es nur Vollzugriff
  $vollzugriff=true;
}
else {
  echo  "
    <hr style=\"color:#ffffff; width:95%;margin-top:25px;\">
    <br><h5 style='margin-left:auto;margin-right:auto;margin-top:50px;'>Sie haben keine Zugangsberechtigung zu dieser Seite.</h5><br>";
  exit();
}

if ($DBOk) {
  $objektF=array();
  $objAnz=0;
  $benTabelle=$benutzer."0Benutzer";
  $resultObjSpalte=mysqli_query($conn, "select Objekt from $benTabelle");
  while($werte=mysqli_fetch_row($resultObjSpalte)){
    if (strlen($werte[0]) > 0){
      $objektF[$objAnz] = $werte[0];
      $objAnz++;
    }
  }
  if (($objekt=='')||(!in_array($objekt,$objektF))) {
    $objekt=$objektF[0];
    $id=$benutzer."@".$objekt;
  }
  $selObjekt=$objekt;
}
?>
<a href="ad_saisonwahl.php" style="float:left"><img class="noprint" style='border:0;' src="Aktual.png" title="Seite aktualisieren" alt=""></a>
<hr style="color:#ffffff; width:95%;margin-top:25px;">
<div id='contents' style='position:relative;'>
<?php
  echo "
  <div style='float:right;'>
  <span style='display:inline-block;font-family:arial,helvetica;font-size:14px;margin-top:1px;margin-bottom:3px;margin-left:3px;'>Wählen Sie das Objekt:</span>
  <select id='ad_buchungselid' style=\"width:179px;margin-top:0px;font-size:13px;margin-left:2px;\" name=\"ad_buchungsel\" size=\"1\" onChange=\"objekt_neu('".$_SERVER['PHP_SELF']."',this.options[this.selectedIndex].value); return false\">";
   for ($i=0; $i<$objAnz; $i++) {
     if ($selObjekt==$objektF[$i]) {echo "<option selected value=\"".$objektF[$i]."\">".$objektF[$i]."</option>";}
     else                          {echo "<option value=".$objektF[$i].">".$objektF[$i]."</option>";}
   }
   echo "
  </select>
  </div>
  <div id='saisonwahlformid' style='position:absolute;top:50px;left:-33px;overflow:visible;'>
     <iframe name='saisonwahl' id='saisonwahlid' src='saisonwahlTAB.php?id=domizil@".$selObjekt."' scrolling='no' style='overflow:hidden;width:1020px;height:342px;border:1px solid black;'></iframe>
  </div>";
?>
  <div style='margin-top:395px;'>
  <span id='verwkalhinweisein' style="display:block;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('ein');">
    Hinweise einblenden <img style='border:0;' src="hinweis_ein.png" title="Hinweise einblenden" alt="">
  </span>
  <span id='verwkalhinweisaus' style="display:none;float:right;font-family:arial,helvetica;font-size:12px;font-weight:bold;cursor:pointer;" onclick="hinweis('aus');">
    Hinweise ausblenden <img style='border:0;' src="hinweis_aus.png" title="Hinweise ausblenden" alt="">
  </span>
  </div><br>
  <div id='verwkalhinweisid' style='margin-top:10px;display:none;'>
  <span>
  Wenn Sie mehrere Objekte mit den gleichen Saisonzeiten verwalten, genügt es, für ein Objekt die Saisonzeiten festzulegen.<br>Im TAB
  'Objektverwaltung > Preise/Saisonzeiten/Mietdauern kopieren' können Sie dann in einfacher Weise die Saisonzeiten auf die anderen Objekte übertragen.<br><br>
  Gehen Sie zur Festlegung der Saisonzeiten für ein Objekt folgendermaßen vor:</span>
  <ul>
    <li><span>Wählen das Objekt aus der Auswahlliste.</span></li>
    <li><span>Wählen Sie einen Bereich für eine bestimmte Saisonzeit. Dafür gibt es zwei Möglichkeiten, die Sie auch kombinieren können:</span>
      <ul>
        <li><span>Klicken Sie in ein Datumsfeld oder auf das Kalendersymbol und wählen Sie im sich öffnenden Kalender das entsprechende Datum aus oder</span></li>
        <li><span>wählen Sie direkt im Kalender mit Linksklicks den entsprechenden Bereich. Dabei gilt folgende Regel:<br>
                  1. Linksklick > Anfangsdatum, 2. Linksklick > Enddatum, 3. Linksklick > Anfangsdatum usf.<br>
                  Zur Orientierung wird das aktuell aktive Datumsfeld grün, das inaktive rot markiert.</span></li>
      </ul>
    </li>
    <li><span>Selektieren Sie den entsprechenden Radiobutton aus der Liste für die Saisonzeiten. Beachten Sie dabei, dass der Starttag für eine
              S-Buchung* nur gewählt werden kann, wenn das Anfangs- und Enddatum übereinstimmen.</span></li>
    <li><span>Mit einem Klick auf die Schaltfläche 'Auswahl speichern' wird der grün markierte Bereich sofort gespeichert.</span></li>
    <li><span>Wiederholen Sie den Vorgang für die weiteren Bereiche und Saisonzeiten.</span></li>
  </ul>
  <span>Wenn Sie Tage 'als An- und Abreisetag blockieren' können diese Tage im Kunden-Buchungskalender nicht als An-oder Abreisetag gewählt
  werden. Im Verwaltungs-Buchungskalender gilt diese Einschränkung nicht. Zur Orientierung werden hier Kleinbuchstaben für diese
  Saisonzeiten verwendet, in den Buchungskalendern werden diese Saisonzeiten in Großbuchstaben dargestellt.
  </span><br><br>
  <span>* <b>Bitte beachten Sie folgende Hinweise zur S-Buchung</b></span>
  <ul>
    <li><span>Bei einer S-Buchung kann der zugehörige Bereich vom Kunden nur als Ganzes gebucht werden bzw. er muss vollständig in
              einer Buchung enthalten sein.</span></li>
    <li><span>Bei einer S-Buchung ist die eingestellte Mindestmietdauer unwirksam.</span></li>
    <li><span>Der Bereich einer S-Buchung beginnt mit einem 'S' anstelle einer Saisonzeit. Dieser Tag wird als S-Tag bezeichnet.</span></li>
    <li><span>Der Bereich einer S-Buchung kann nur eine einheitliche Saisonzeit haben. Diese wird durch die Saisonzeit des Tages
              bestimmt, der unmittelbar auf den S-Tag folgt und gilt auch den S-Tag.</span></li>
    <li><span>Der Bereich einer S-Buchung endet</span>
      <ul>
        <li><span>an dem Tag, der eine andere Saisonzeit hat als der S-Bereich oder</span></li>
        <li><span>am Anreisetag einer bereits bestehenden Buchung/Reservierung oder</span></li>
        <li><span>an einem Tag mit einem weiteren 'S' anstelle einer Saisonzeit.<br>
                  In diesem Fall beginnt bei dem weiteren 'S' ein neuer S-Bereich, für den die hier genannten Regeln gelten.</span></li>
      </ul>
    </li>
    <li><span>Weitere Informationen zu S-Buchungen finden Sie auf unserer <a href="http://onbusys.de" target="_blank">Homepage</a>
              im Bereich 'Features'.</span></li>
  </ul>
  </div> <!-- verwkalhinweisid -->
</div> <!-- contents -->
</div> <!-- main -->
</div> <!-- aussen -->
</div> <!-- noch weiter aussen, wg. iframe -->
</body>
</html>