<?php date_default_timezone_set('Europe/Berlin');
$keys = array_keys($_POST);
if (count($keys)<1) {
  echo "kalresetERROR:Unberechtigter Zugriff";
  exit();
}

$benutzer = $_POST[$keys[0]];
$PW = $_POST[$keys[1]];
$idKal = $_POST[$keys[2]];
$idPreis = $_POST[$keys[3]];
$idPers = $_POST[$keys[4]];
$nr = $_POST[$keys[5]];
$cballeStatus = $_POST[$keys[6]];

include './DBSafe/dbDaten.php';
include_once 'settimelimitFu.php'; //damit steht die Funktion settimelimit() zur Verfügung

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "kalresetERROR:Datenbankserver zur Zeit nicht erreichbar";
     exit();
}
mysqli_set_charset($conn, "utf8");

$vermieterTabelle=$benutzer."0Vermieter";
$result=mysqli_query($conn, "select * from $vermieterTabelle where lan='00-00'");
if (!($row=mysqli_fetch_row($result))) {
     echo "kalresetERROR:Die Vermietertabelle ist nicht vorhanden.";
     mysqli_close($conn);
     exit();
}
else if (mysqli_num_rows($result)<1) {
     echo "kalresetERROR:Die Vermieterdaten sind nicht vorhanden.";
     mysqli_close($conn);
     exit();
}

if ($row[3] != $PW){
     echo "kalresetERROR:Das Kennwort ist falsch.";
     mysqli_close($conn);
     exit();
}

mysqli_query($conn, "SET default_storage_engine=MYISAM");
$objektF=array();
$objAnz=0;
if ($cballeStatus=="true") {
  $benTabelle=$benutzer."0Benutzer";
  $resultObjSpalte=mysqli_query($conn, "select Objekt from $benTabelle");
  while($werte=mysqli_fetch_row($resultObjSpalte)){
    if (strlen($werte[0]) > 0){
      $objektF[$objAnz] = $werte[0];
      $objAnz++;
    }
  }
}
else {
  $objektF[$objAnz] = $nr;
  $objAnz++;  
}
//ANFANG: Tabellen erzeugen

$nachricht="";
//Vermietertabelle
//mysqli_query($conn, "SET NAMES 'utf8'");//damit die Umlaute übertragen werden

if ($idPers==1){
  $tabelle=$benutzer."0Vermieter";
  mysqli_query($conn, "DROP TABLE IF EXISTS $tabelle");
  $sql  = 'CREATE TABLE '.$tabelle.' SELECT * FROM `MasterVermieter` ';
  if (!mysqli_query($conn, $sql)){
    $nachricht.="RESET-Fehler bei der Tabelle \"".$tabelle."\".\n";
  }
  else {
    $nachricht.="RESET der Tabelle \"".$tabelle."\" erfolgreich,\ndas Kennwort wurde auf \"kenn\" zur&uuml;ckgesetzt.\n";
    if (!mysqli_query($conn, "ALTER TABLE $tabelle ADD PRIMARY KEY (lan)")){
      $nachricht.="PRIMARY KEY &uuml;berpr&uuml;fen!\n";
    }
    //Einfügen nicht vorhandener Sprach-Texte
    //mysqli_query($conn, "SET NAMES 'latin1'");//wg. der Umlaute in den Texten
    include './language/lancfg.php'; //wg. $_lanarray
    for ($i=0;$i<count($_lanarray);$i++) {
      $lanresult=mysqli_query($conn, "select * from $tabelle where lan='$_lanarray[$i]'");
      $lanRows = mysqli_num_rows($lanresult);
      if ($lanRows < 1){
        include './language/'.$_lanarray[$i].'/'.$_lanarray[$i]."vorlagenTxt.php";
        $_txt1=mysqli_real_escape_string($conn, $_txt1);$_txt2=mysqli_real_escape_string($conn, $_txt2);
        $_txt3=mysqli_real_escape_string($conn, $_txt3);$_txt4=mysqli_real_escape_string($conn, $_txt4);
        $_txt5=mysqli_real_escape_string($conn, $_txt5);$_txt6=mysqli_real_escape_string($conn, $_txt6);
        $_txt7=mysqli_real_escape_string($conn, $_txt7);$_txt8=mysqli_real_escape_string($conn, $_txt8);
        $_txt9=mysqli_real_escape_string($conn, $_txt9);$_txt10=mysqli_real_escape_string($conn, $_txt10);
        $_txt11=mysqli_real_escape_string($conn, $_txt11);$_txt12=mysqli_real_escape_string($conn, $_txt12);
        $_txt13=mysqli_real_escape_string($conn, $_txt13);$_txt14=mysqli_real_escape_string($conn, $_txt14);
        $_txt15=mysqli_real_escape_string($conn, $_txt15);$_txt16=mysqli_real_escape_string($conn, $_txt16);
        $_txt17=mysqli_real_escape_string($conn, $_txt17);$_txt18=mysqli_real_escape_string($conn, $_txt18);
        $_txt19=mysqli_real_escape_string($conn, $_txt19);
        if (!mysqli_query($conn, "INSERT INTO $tabelle VALUES('','','','','','','','','','','','','','','','$_txt1','','$_txt2','$_txt3','$_txt4','$_txt5','$_txt6','$_txt7','$_txt8','','','','','','','','','','','','','','','','','','','$_txt9','$_txt10','$_txt11','$_txt12','$_txt13','$_txt14','$_txt15','$_txt16','$_txt17','$_lanarray[$i]','','','','$_txt18','','','','','','','','','','','','','','','','','','$_txt19','')")) {$nachricht.="Eine Text-Tabellenzeile f&uuml;r \"".$_lanarray[$i]."\" wurde nicht erzeugt.\n&Ouml;ffnen Sie einmal den TAB Textvorlagen.\n";}
      }
    }
  }
}

//Buchungstabelle
//mysqli_query($conn, "SET NAMES 'latin1'");

for ($k=0; $k<$objAnz; $k++) {
  settimelimit(); //timer neu starten
  $nr=$objektF[$k];
  if ($idKal==1){
    $tabelle  = $benutzer."0";
    $tabelle .= $nr;
    $tabelle .= "Buchungen";
    mysqli_query($conn, "DROP TABLE IF EXISTS $tabelle");
    $sql = 'CREATE TABLE '.$tabelle.' SELECT * FROM `MasterBuchungen` ';
    if (!mysqli_query($conn, $sql)){
      $nachricht.="RESET-Fehler bei der Buchungs-Tabelle des Objektes $nr.\n";
    }
    else {
      $nachricht.="RESET der Buchungs-Tabelle bei Objekt $nr erfolgreich.\n";
      if (!mysqli_query($conn,  "ALTER TABLE $tabelle ADD PRIMARY KEY (Anreisedatum)")){
        $nachricht.="PRIMARY KEY &uuml;berpr&uuml;fen!\n";
      }
    }
  }

  //Kalendertabelle
  if ($idKal==1){
    $tabelle  = $benutzer."0";
    $tabelle .= $nr;
    $tabelle .= "Kalender";
    mysqli_query($conn, "DROP TABLE IF EXISTS $tabelle");
    $sql = 'CREATE TABLE '.$tabelle.' SELECT * FROM `MasterKalender` ';
    if (!mysqli_query($conn, $sql)){
      $nachricht.="RESET-Fehler bei der Kalender-Tabelle des Objektes $nr.\n";
    }
    else {$nachricht.="RESET der Kalender-Tabelle bei Objekt $nr erfolgreich.\n";}
  }

  //Preistabelle
  if ($idPreis==1){
    $tabelle  = $benutzer."0";
    $tabelle .= $nr;
    $tabelle .= "Preise";
    mysqli_query($conn, "DROP TABLE IF EXISTS $tabelle");
    $sql = 'CREATE TABLE '.$tabelle.' SELECT * FROM `MasterPreise` ';
    if (!mysqli_query($conn, $sql)){
      $nachricht.="RESET-Fehler bei der Preis-Tabelle des Objektes $nr.\n";
    }
    else {
      $nachricht.="RESET der Preis-Tabelle bei Objekt $nr erfolgreich.\n";
      if (!mysqli_query($conn,  "ALTER TABLE $tabelle ADD PRIMARY KEY (lan)")){
        $nachricht.="PRIMARY KEY &uuml;berpr&uuml;fen!.\n";
      }
    //Preistabelle ggf. reparieren, wenn Tabellenzeilen fehlen und Sprach-Texte einfügen
      include_once './language/lancfg.php';//damit $_lanarray zur Vefügung steht
      $aktresult=mysqli_query($conn, "select * from $tabelle where lan='00-00'");
      $anzRows = mysqli_num_rows($aktresult);
      if ($anzRows < 1){
        $nachricht.="Preistabelle $tabelle unvollständig.\n";
        continue;
      }
      $arow=mysqli_fetch_row($aktresult);
      $valueSt1=""; for ($j=0; $j<205; $j++) {$valueSt1.="'".$arow[$j]."',";}
      $valueSt2=""; for ($j=206; $j<count($arow)-1; $j++) {$valueSt2.="'".$arow[$j]."',";} // -1: reserv nicht auslesen, wird für mintage je Wochentag und minrabtage verwendet
      $valueSt2.="''";  //für reserv '' einfügen
      $insupFehler=false;
      for ($i=0;$i<count($_lanarray);$i++) {
        $tabzeileda=true;
        $valueSt=$valueSt1."'".$_lanarray[$i]."',".$valueSt2;
        $lanresult=mysqli_query($conn, "select * from $tabelle where lan='$_lanarray[$i]'");
        $lanRows=mysqli_num_rows($lanresult);
        if ($lanRows < 1) {
          if (!mysqli_query($conn, "INSERT INTO $tabelle  VALUES(".$valueSt.")")) {
            $tabzeileda=false;
            $nachricht.=" Insert-Fehler beim Einf&uuml;gen der '".$_lanarray[$i]."'-Texte bei Objekt $nr.\n";
            $insupFehler=true;
          }
        }
        if ($tabzeileda) {
          include './language/'.$_lanarray[$i].'/'.$_lanarray[$i]."preiseinTxt.php";
          $_txt13=$_txt1."@@@".$_txt3;
          $_txt13=mysqli_real_escape_string($conn, $_txt13);$_txt2=mysqli_real_escape_string($conn, $_txt2);
          $_txt4=mysqli_real_escape_string($conn, $_txt4);$_txt5=mysqli_real_escape_string($conn, $_txt5);
          $_txt6=mysqli_real_escape_string($conn, $_txt6);
          if (!mysqli_query($conn,  "UPDATE $tabelle SET Hinweis='$_txt13', HinweisStart='$_txt2', BHinweis1='$_txt4', BHinweis2='$_txt5', BHinweis3='$_txt6' where lan='$_lanarray[$i]'")) {
            $nachricht.=" Update-Fehler beim Einf&uuml;gen der '".$_lanarray[$i]."'-Texte bei Objekt $nr.\n";
            $insupFehler=true;
          }
        }
      }
      if ($insupFehler) {
        $nachricht.="Fehler beim Einf&uuml;gen der Texte werden beim &Ouml;ffnen der Seite f&uuml;r die Preiseingabe automatisch behoben.\n";
      }
    }
  }
}
echo "kalresetOK:$nachricht";
?>