<?php date_default_timezone_set('Europe/Berlin');
if (!isset($benutzer)){
  echo "Keine Zugriffsberechtigung!";
  exit();
}

include './DBSafe/dbDaten.php';
$dumpfile='./DBSafe/master.sql';

$hStr2="<br><br>Kehren Sie mithilfe des blauen Pfeils zurück zur Tabelle und korrigieren Sie Ihre Eingaben.";
$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     $hStr1="";
     switch (mysqli_errno($conn)) {
       case 2002: $hStr1="<br><br><b>Der 'Name des Datenbankservers' ist falsch.</b>"; break;
       case 2005: $hStr1="<br><br><b>Der 'Name des Datenbankservers' ist falsch.</b>"; break;
       case 1045: $hStr1="<br><br><b>Der 'Datenbank-Benutzer' und das 'Datenbank-Passwort' passen nicht zusammen.</b>"; break;
     }
     ausgabe("<br>ABBRUCH: Es ist folgender Fehler aufgetreten:<br><br>
              MySQL-FEHLER:(".mysqli_connect_error().$hStr1.$hStr2);
     exit();
}
mysqli_set_charset($conn, "utf8");
mysqli_query($conn, "SET default_storage_engine=MYISAM");
//Mastertabellen nur anlegen, wenn Sie nicht vollständig sind
//Überprüfung
$masterDa=true;
$result=mysqli_query($conn, "select * from MasterBenutzer");
if (!$result) {$masterDa=false;}
$result=mysqli_query($conn, "select * from MasterBuchungen");
if (!$result) {$masterDa=false;}
$result=mysqli_query($conn, "select * from MasterKalender");
if (!$result) {$masterDa=false;}
$result=mysqli_query($conn, "select * from MasterPreise");
if (!$result) {$masterDa=false;}
$result=mysqli_query($conn, "select * from MasterVermieter");
if (!$result) {$masterDa=false;}
$result=mysqli_query($conn, "select * from BenutzerHost");
if (!$result) {$masterDa=false;}
$result=mysqli_query($conn, "select * from Vorbuchungen");
if (!$result) {$masterDa=false;}
//Neuanlage, falls nicht vollständig
if (!$masterDa) {
  //Master-Tabellen löschen, falls vorhanden
  if (!mysqli_query($conn, "drop table IF EXISTS MasterBenutzer, MasterBuchungen, MasterKalender, MasterPreise, MasterVermieter, BenutzerHost, Vorbuchungen")){
    ausgabe("Die Master-Tabellen konnten nicht gelöscht werden.<br><br>Überprüfen Sie ihre Datenbank.");
    exit();
  }
  //Master-Tabellen neu erzeugen
  // Allowed comment delimiters: lines starting with these strings will be dropped by BigDump

  $comment[0]="#";           // Standard comment lines are dropped by default
  $comment[1]="-- ";
  // $comment[2]="---";      // Uncomment this line if using proprietary dump created by outdated mysqldump
  // $comment[3]="";         // Or add your own string to leave out other proprietary things

  define ("VERSION","0.21b");
  define ("MAX_LINE_LENGTH",65536);
  define ("MAX_QUERY_LINES",6000);

  @ini_set("auto_detect_line_endings", true);

  $error = false;
  $file  = false;

  // Check PHP version
  /*
  if (!$error && !function_exists("version_compare")) {
    ausgabe("FEHLER:\n\nPHP-Version ab 4.1.0 erforderlich.\nSie verwenden PHP-".phpversion());
    $error=true;
  }
  */
  if (!$error) {
    if (version_compare(PHP_VERSION, '5.0.0', '<')) {
      ausgabe("FEHLER:\n\nEs ist eine PHP-Version ab 5.0.0 erforderlich.\nSie verwenden die PHP-Version: ".PHP_VERSION);
      $error=true;
    }
  }
  // Calculate PHP max upload size (handle settings like 10M or 100K)

  if (!$error) {
    $upload_max_filesize=ini_get("upload_max_filesize");
    if (preg_match("/([0-9]+)K/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024;
    if (preg_match("/([0-9]+)M/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024*1024;
    if (preg_match("/([0-9]+)G/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024*1024*1024;
  }

  if (!$error) {

  // Test permissions on working directory
    $tempfilename="";
    $file="";
    do { $tempfilename="./DBSafe/test".time().".tmp"; } while (file_exists($tempfilename));
    if (!($tempfile=@fopen($tempfilename,"w"))) {
       ausgabe("FEHLER:  Die notwendigen Berechtigungen für den Ordner DBSafe sind nicht vorhanden.<br><br>Setzen Sie chmod auf 0777");
        exit();
        $error=true;
    }
    else {
      fclose($tempfile);
      unlink($tempfilename);
    }
  }
  // Open the file

  if (!$error) {
    if (!$file=fopen($dumpfile,"rt")) {
      ausgabe("FEHLER: Es ist keine Import-Datei vorhanden.");
      exit();
      $error=true;
    }
    else {$filesize = filesize($dumpfile);}
  }

  // ****************************************************
  // START IMPORT SESSION HERE
  // ****************************************************

  if (!$error) {

  // Start processing queries from $file

    $inparents=false;
    $query="";
    while ($dumpline=fgets($file, MAX_LINE_LENGTH)) {
      $dumpline=preg_replace("/\r\n$/", "\n", $dumpline);
      $dumpline=preg_replace("/\r$/", "\n", $dumpline);

    // Skip comments and blank lines only if NOT in parents

      if (!$inparents) {
        $skipline=false;
        reset($comment);
        foreach ($comment as $comment_value) {
          if (!$inparents && (trim($dumpline)=="" || strpos ($dumpline, $comment_value) === 0)) {
            $skipline=true;
            break;
          }
        }
        if ($skipline) {
          continue;
        }
      }

     // Remove double back-slashes from the dumpline prior to count the quotes ('\\' can only be within strings)

      $dumpline_deslashed = str_replace ("\\\\","",$dumpline);

     // Count ' and \' in the dumpline to avoid query break within a text field ending by ;
     // Please don't use double quotes ('"')to surround strings, it wont work

      $parents=substr_count ($dumpline_deslashed, "'")-substr_count ($dumpline_deslashed, "\\'");
      if ($parents % 2 != 0)
        $inparents=!$inparents;

      // Add the line to query

      $query .= $dumpline;

      // Execute query if end of query detected (; as last character) AND NOT in parents
      if (preg_match("/;$/",trim($dumpline)) && !$inparents) {
        if (!mysqli_query($conn, trim($query))){
          ausgabe("FEHLER: Das Tabellen-Upload ist fehlgeschlagen.<br><br>MySql-Fehler: ".mysqli_error($conn));
          exit();
          $error=true;
          break;
        }
        $query="";
      }
    }//while
  }
  if ($file) fclose($file);
}//Ende if masterDa

//Vermietertabelle anlegen, falls nicht vorhanden
$PWtabelle=$benutzer."0Vermieter";
if (!mysqli_query($conn, "select * from $PWtabelle")){
  $sql  = 'CREATE TABLE '.$PWtabelle.' SELECT * FROM `MasterVermieter` ';
  if (!mysqli_query($conn, $sql)){
    ausgabe("FEHLER: Die Vermietertabelle konnte nicht angelegt werden (Benutzersetup).");
    exit();
  }
  else {
    //PRIMARY KEY auf lan
    if (!mysqli_query($conn,  "ALTER TABLE $PWtabelle ADD PRIMARY KEY (lan)")){
      ausgabe("FEHLER: Bei der Tabelle ".$PWtabelle." konnte der PRIMARY KEY nicht auf das Feld lan gesetzt werden.\nBitte setzen Sie diesen Key manuell z.B. über phpMyAdmin.");
    }
  }
}

//Einfügen nicht vorhandener Sprach-Texte, falls das Feld 'lan' vorhanden ist (wg. DBupgrade89.php) und
//weil mit Hilfe der Tabelle MasterVermieter nur die Zeile mit lan = '00-00' anlegt wird.
$lanresult=mysqli_query($conn, "select lan from $PWtabelle where lan='00-00'");
//mysqli_query($conn, "SET NAMES 'latin1'");//wg. der Umlaute in den Texten
$lanRows = mysqli_num_rows($lanresult);
if ($lanRows > 0) {
  include './language/lancfg.php'; //wg. $_lanarray
  for ($i=0;$i<count($_lanarray);$i++) {
    $lanaryresult=mysqli_query($conn, "select * from $PWtabelle where lan='$_lanarray[$i]'");
    $lanaryRows = mysqli_num_rows($lanaryresult);
    if ($lanaryRows < 1){
      include './language/'.$_lanarray[$i].'/'.$_lanarray[$i]."vorlagenTxt.php";
      $_txt1=mysqli_real_escape_string($conn, $_txt1);$_txt2=mysqli_real_escape_string($conn, $_txt2);
      $_txt3=mysqli_real_escape_string($conn, $_txt3);$_txt4=mysqli_real_escape_string($conn, $_txt4);
      $_txt5=mysqli_real_escape_string($conn, $_txt5);$_txt6=mysqli_real_escape_string($conn, $_txt6);
      $_txt7=mysqli_real_escape_string($conn, $_txt7);$_txt8=mysqli_real_escape_string($conn, $_txt8);
      $_txt9=mysqli_real_escape_string($conn, $_txt9);$_txt10=mysqli_real_escape_string($conn, $_txt10);
      $_txt11=mysqli_real_escape_string($conn, $_txt11);$_txt12=mysqli_real_escape_string($conn, $_txt12);
      $_txt13=mysqli_real_escape_string($conn, $_txt13);$_txt14=mysqli_real_escape_string($conn, $_txt14);
      $_txt15=mysqli_real_escape_string($conn, $_txt15);$_txt16=mysqli_real_escape_string($conn, $_txt16);
      $_txt17=mysqli_real_escape_string($conn, $_txt17);$_txt18=mysqli_real_escape_string($conn, $_txt18);
      $_txt19=mysqli_real_escape_string($conn, $_txt19);
      if (!mysqli_query($conn, "INSERT INTO $PWtabelle VALUES('','','','','','','','','','','','','','','','$_txt1','','$_txt2','$_txt3','$_txt4','$_txt5','$_txt6','$_txt7','$_txt8','','','','','','','','','','','','','','','','','','','$_txt9','$_txt10','$_txt11','$_txt12','$_txt13','$_txt14','$_txt15','$_txt16','$_txt17','$_lanarray[$i]','','','','$_txt18','','','','','','','','','','','','','','','','','','$_txt19','')")) {ausgabe("ERROR: Table-Row '".$_lanarray[$i]."' was not created (Benutzersetup) - ".mysqli_error($conn));}
    }
  }
}
//Benutzertabelle anlegen, falls nicht vorhanden
$tabelle= $benutzer."0Benutzer";
if (!mysqli_query($conn, "select * from $tabelle")){
  $sql  = 'CREATE TABLE '.$tabelle.' SELECT * FROM `MasterBenutzer` ';
  if (!mysqli_query($conn, $sql)){
    ausgabe("FEHLER: Die Benutzertabelle konnte nicht angelegt werden (Benutzersetup).");
    exit();
  }
}

echo "
<h5 align='center'><br><br>Die Datenbankoperationen wurde erfolgreich durchgeführt.</h5>";
?>