<?php
/*
 * LANGZEITRABATT
 * ==============
 * Mithilfe dieser Option können Sie festlegen, ob die drei Einträge auf der Eingabeseite für die Preise:
 *    "Rabatt in Prozent bei mehr als x Tagen Mietdauer:"
 * genau so verwendet werden, d.h. auf den gesamten Wohnungs- und den Verpflegungspreis wird der jeweils
 * angegebene Rabattsatz verwendet. In diesem Fall muss die folgende Variable den Wert "false" erhalten:
 *    $abrabatt_bo="false" (DEFAULT-WERT)
 * Sollen die Einträge folgendermaßen interpretiert werden
 *    "Rabatt in Prozent ab dem x-ten Tag:",
 * d.h. der Rabatt wird nicht für die gesamte Mietdauer gewährt, sondern erst ab dem x-ten Tag. Mit den drei Möglichkeiten
 * können Sie dann z.B. Stufenpreise mit vier Stufen realisieren. In diesem Fall muss die Variable den Wert "true" erhalten:
 *    $abrabatt_bo="true"
 * 
 * EINMALIGER ZUSCHLAG PRO PERSON (Erwachsene und Kinder) PRO VERMIETUNG
 * ==========================================================================
 * Diese Option können Sie mit $einmalpreisperpers_bo="true" aktivieren.
 * Dann erhält genau das vierte Feld der Kategorie "FESTE KOSTEN" auf der Eingabeseite für die Preise folgende Bedeutung:
 * Der eingetragene Wert wird mit der Anzahl der Personen (außer Kleinkindern) multipliziert und übernommen.
 * Mit $einmalpreisperpers_bo="false" (DEFAULT-WERT) wird der eingetragene Wert direkt übernommen, wie bei den drei Feldern davor.
 * Wenn beispielsweise ein Satz Wäsche obligatorisch ist, können Sie im vierten Feld z.B eintragen:
 *     Bettwäsche je Person  5.00 (wird genau so in die Buchungsmaske übernommen)
 * Der Text und der Gesamtbetrag für alle Personen werden in der Rechnung in Tabellenform ausgegeben.
 * 
 * WOHNUNGSKOSTEN IN DER TABELLERISCHEN RECHNUNG NACH SAISONZEITEN SPLITTEN
 * ========================================================================
 * Diese Option können Sie mit $wohnungssaisonpreise_bo="true" aktivieren.
 * Dann erscheint in der tabellarischen Rechnung für jede Saisonzeit, die bei einer Vermietung betroffen ist,eine Zeile der Form:
 * Wohnung: x1 Tage Saisonzeit A
 * ...
 * Wohnung: x8 Tage Saisonzeit H
 * Für $wohnungssaisonpreise_bo="false" (DEFAULT-WERT), wird der gesamte Wohnungspreis in einer Zeile ausgegeben.
 * 
 * Wenn dieses Skript nicht vorhanden ist, werden die DEFAULT-WERTE verwendet.
*/
$abrabatt_bo="false";
$einmalpreisperpers_bo="false";
$wohnungssaisonpreise_bo="true";
?>