<?php date_default_timezone_set('Europe/Berlin');
include_once 'settimelimitFu.php'; //damit steht die Funktion settimelimit() zur Verfügung
/* Dieses Skript darf nur angewendet werden, wenn noch keine Objektgruppierungen vorhanden sind
 * und die übergeordneten Objekte (1. und 2. Stufe) weder Buchungen noch Vormerkungen enthalten.
 * Anderenfalls ergeben sich Veränderungen an der Datenbank, die nur mit einer vorhandenen
 * Datenbanksicherung rückgängig gemacht werden können.
 * Wenn die oben genannten Voraussetzungen erfüllt sind, blockiert dieses Skript die übergeordneten
 * Objekte für die Zeiträume, in denen die untergeordneten bereits Buchungen/Vormerkungen enthalten.
 * Das Skript muss also unmittelbar nach der Objektgruppierung folgendermaßen ausgeführt werden:
 * Starten Sie 'http://Pfad_zum_Ordner_OBS/OBS/admin.php' und führen Sie (vorzugsweise in einem neuen
 * Browser-Tab) 'http://Pfad_zum_Ordner_OBS/OBS/multiInit.php' aus.
 */
function oberObjAktualisieren($anPos,$abPos,$startWert,$nr,$aktFeld,$oTab,$benutzer) {
   global $conn;
	 for ($k=$anPos;$k<$abPos;$k++) {
    $belNr=0;
    $bel2=false;$bel3=false;$bel5=false;$bel6=false;
    for ($z=$startWert;$z<count($aktFeld[$nr]);$z++){
      $teilTab=$benutzer."0".$aktFeld[$nr][$z]."Kalender";
      $belerg=mysqli_query($conn, "SELECT Belegung FROM $teilTab where Nr='$k'");
      $belRow = mysqli_fetch_row($belerg);
      $bel = $belRow[0];
		  switch ((int)$bel) {
		    case 2: $bel2=true; break; //belegt: Buchung
		    case 3: $bel3=true; break; //Anreise: Buchung
		    case 5: $bel5=true; break; //belegt: Vormerkung
		    case 6: $bel6=true; break; //Anreise: Vormerkung
		  }
    }
        if ($bel3) {$belNr=3;} //Buchung zuerst
    elseif ($bel2) {$belNr=2;}
    elseif ($bel6) {$belNr=6;}
    elseif ($bel5) {$belNr=5;}
    mysqli_query($conn, "update $oTab set Belegung='$belNr' where Nr='$k'");
  }
}

function tabanpassen($benutzer) {
  global $conn;
  $testtabelle=$benutzer."0Benutzer";
  $testresult=mysqli_query($conn, "select Objekt from $testtabelle limit 1");
  $testrow=mysqli_fetch_row($testresult);
  $testobj=$testrow[0];
  $testkalTabelle=$benutzer."0".$testobj."Kalender";
  $testdaten = mysqli_query($conn, "SELECT Anreisedatum FROM $testkalTabelle");
  $kaltaganz=mysqli_num_rows($testdaten);
  $gruppenF=array();
  /*Die Elemente aus $gruppenF bestehen wieder aus Feldern, deren Elemente OOObj, OObj und Teilobjekte
   *in der folgenden Form enthalten: OOObj oder 'leer', OObj und die weiteren Gruppenobjekte.
   *Da sich OOObj immer auf mehrere Gruppen bezieht, hat man entsprechend viele Gruppen mit dem gleichen OOObj.
  */
  $teilgruppenF=array();//Teilobjekte
  /*Die Elemente aus $teilgruppenF bestehen ebenfalls aus Feldern, deren Elemente aus
   *ALLEN Gruppenobjekten einer OBERGRUPPE (falls vorhanden, sonst der Gruppe),
   *außer dem OOObj und OObj, bestehen.
   *Für jedes Element aus $gruppenF mit dem gleichen OOObj gibt es hier identische Elemente.
  */

  $multiTabelle=$benutzer."0Vermieter";
	$resultSpalte=mysqli_query($conn, "select multiSt from `$multiTabelle` where lan='00-00'");
  if (!$resultSpalte) {
    echo "Abbruch: Vermietertabelle nicht vorhanden.<br>"; return;
  }
  else if (mysqli_num_rows($resultSpalte)<1) {
    echo "Abbruch: Keine Objektgruppen vorhanden.<br>"; return;
  }
  $wert=mysqli_fetch_row($resultSpalte);
  if ($wert) {
    $multiSt=$wert[0];
    if ($multiSt=="") {
      echo "Abbruch: Es sind keine Objektgruppen vorhanden.<br>"; return;
    }
	  if (strpos($multiSt,"<")===false) { //wg. Abwärtskompatibilität: ursprüngliche und neue Syntax möglich
		  $multiSt="<".$multiSt.">";
	  }
	  $hilfF0=explode(">",$multiSt);
	  for ($i=0; $i<sizeof($hilfF0); $i++) {
      if ($hilfF0[$i]!="") {
        //Restfeld nur mit allen untergeordneten Objekten (ohne OOObjekt und OObjekt) ermitteln
        $h1St=substr($hilfF0[$i],strpos($hilfF0[$i],"<")+1);
        $restF1=explode("@",$h1St);
        $h2St="";
        for ($ii=0; $ii<sizeof($restF1); $ii++) {
          $anz = substr_count($restF1[$ii],",");
          if ($anz==0) {
            $h2St.=$restF1[$ii].",";
          }
          else {
            $h2St.=substr($restF1[$ii],strpos($restF1[$ii],",")+1).",";
          }
        }
        $h2St=substr($h2St,0,-1);
        $restF=explode(",",$h2St);
        //Feld mit OOObj,OObj und Teilobjekten in der Form 'OOObjekt,OObjekt,untergeordneten Objekte ermitteln
        //falls OOObjekt nicht existiert, wird 'leer' eingesetzt
			  if (strpos($hilfF0[$i],"<")!=0) {
          list($OOObj,$rest) = explode("<",$hilfF0[$i]);
				  $hilfF0[$i]=str_replace('<',',',$hilfF0[$i]);
				  $hilfF0[$i]=str_replace('@','@'.$OOObj.',',$hilfF0[$i]);
			  }
			  else {
				  $hilfF0[$i]=str_replace('<','leer,',$hilfF0[$i]);
          $hilfF0[$i]=str_replace('@','@leer,',$hilfF0[$i]);
			  }
			  $hilfF1=explode("@",$hilfF0[$i]);
        for ($j=0; $j<sizeof($hilfF1); $j++) {
          $hilfF2=explode(",",$hilfF1[$j]);
          //if (count($hilfF2)>1) { //eine Gruppe besteht aus mindestens 2 Objekten
          if (count($hilfF2)>0) { //Bedingung muss noch genau spezifiziert werden
		        array_push($gruppenF,$hilfF2);
		        array_push($teilgruppenF,$restF);
		      }
	      }
	    }
	  }
	}
	/*
	echo "Gruppen<br>";
	for ($i=0; $i<sizeof($gruppenF); $i++) {
 	  for ($j=0; $j<sizeof($gruppenF[$i]); $j++) {
 	    echo $gruppenF[$i][$j]."xx<br>";
 	  }
 	  echo "yy<br>";
 	}
  echo "Teilgruppen<br>";
	for ($i=0; $i<sizeof($teilgruppenF); $i++) {
	  for ($j=0; $j<sizeof($teilgruppenF[$i]); $j++) {
	     echo $teilgruppenF[$i][$j]."xx<br>";
	  }
	  echo "yy<br>";
	}*/
	//if (1==0){

	//Abbruch, falls keine Gruppen vorhanden
  if (count($gruppenF)<1){return;}

  //Test, ob OObj und OOObj bereits Buchungen oder Blockierungen enthalten
  for ($i=0;$i<count($gruppenF);$i++) {
    $oberoberObj=$gruppenF[$i][0];
		$oberoberTab=$benutzer."0".$oberoberObj."Kalender";
    $oberObj=$gruppenF[$i][1];
		$oberTab=$benutzer."0".$oberObj."Kalender";
    $testbelRes=mysqli_query($conn, "SELECT * FROM $oberTab where Belegung!=0");
    $anzRow=mysqli_num_rows($testbelRes);
    if ($anzRow>0) {
      echo "<br>Operationen nicht durchführbar, da das Objekt '".$oberObj."' bereits Buchungen oder Blockierungen enthält.<br>";
      return;
    }
		$loopStart=1;
    if ($oberoberObj!="leer") {
		  $loopStart=0;
      $testbelRes=mysqli_query($conn, "SELECT * FROM $oberoberTab where Belegung!=0");
      $anzRow=mysqli_num_rows($testbelRes);
      if ($anzRow>0) {
        echo "Operationen nicht durchführbar, da das Objekt '".$oberoberObj."' bereits Buchungen oder Blockierungen enthält.<br>";
        return;
      }
    }
    $testdaten = mysqli_query($conn, "SELECT Anreisedatum FROM $oberTab where Nr=0");
    $testRow = mysqli_fetch_row($testdaten);
    $startdate = $testRow[0];
    for ($k=$loopStart;$k<count($gruppenF[$i]);$k++){
      $teilTab=$benutzer."0".$gruppenF[$i][$k]."Kalender";
      $testdaten = mysqli_query($conn, "SELECT Anreisedatum FROM $teilTab where Nr=0");
      $testRow = mysqli_fetch_row($testdaten);
      if ($startdate != $testRow[0]) {
        echo "Operationen nicht durchführbar, da die Kalender nicht das gleiche Startdatum haben.<br>";
        return;
      }
    }
  }

  //Beginn der Operationen
	$ooObjDa=false;
  for ($i=0;$i<count($gruppenF);$i++) {//Schleife notwendig, da $mulObjekt als OOObj in mehreren Gruppen sein kann
    settimelimit(); //timer neu starten
    $oberoberObj=$gruppenF[$i][0];
		$oberoberTab=$benutzer."0".$oberoberObj."Kalender";
    $oberObj=$gruppenF[$i][1];
		$oberTab=$benutzer."0".$oberObj."Kalender";
		if ($oberoberObj=="leer") {
		  $ooObjDa=false;
		}
    else {
		  $ooObjDa=true;
		}
    //Belegungen von Teilobjekten in OberOberobjekt und Oberobjekt
    //OObj aktualisieren
    //falls ein OObj keine Unterobjekte hat (count($gruppenF[$i])==2), darf OObj nicht aktualisiert werden,
    //weil sonst in oberObjAktualisieren(...) die Belegung auf 0 gesetzt wird
		if (count($gruppenF[$i])>2) {
	    oberObjAktualisieren(0,$kaltaganz,2,$i,$gruppenF,$oberTab,$benutzer);
    }
    //OOObj aktualisieren
	  if ($ooObjDa) {
	    oberObjAktualisieren(0,$kaltaganz,0,$i,$teilgruppenF,$oberoberTab,$benutzer);
    }
  }
//} //ende if (1==0)
} //Ende tabanpassen
include './autHinweis.php';
include './DBSafe/dbDaten.php';

/* Zugriff auf SQL-Server*/
$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "FEHLER: Datenbankserver zur Zeit nicht erreichbar.";
     exit();
}
mysqli_set_charset($conn, "utf8");
if (!isset($_GET["noConfirmation"])) {
  echo "
      <script type='text/javascript'>
      if (confirm('Sie können diesen Vorgang rückgängig machen, indem Sie im\\n\\n'+
                  'TAB \'Buchungskalender > Datenbank-Sicherungen\' mit einem \'Datenbank-Import\'\\n\\n'+
                  'eine Datenbanksicherung laden, die zu einem früheren Zeitpunkt erstellt wurde.\\n\\n'+
                  'Wenn Sie den Vorgang mit \'OK\' starten, müssen Sie unbedingt warten '+
                  'bis das Ende des Vorgangs gemeldet wird.')) {
        self.location.replace('./multiInit.php?noConfirmation');
      }
      </script>";
  exit();
}
tabanpassen($benutzer);
echo "<br>Skript beendet.";
?>