<?php date_default_timezone_set('Europe/Berlin');
 include './autHinweis.php';
 include './DBSafe/dbDaten.php';

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
      ausgabe("Der Datenbankserver ist zur Zeit nicht erreichbar. Versuchen Sie es bitte später noch einmal.");
      exit();
}
mysqli_set_charset($conn, "utf8");

$keys = array_keys($_POST);
if (count($keys)<1) {
  ausgabe("FEHLER: Unberechtigter Zugriff");
  exit();
}

if (isset($_POST['gruppenSt'])) {
  $gruppenSt=$_POST['gruppenSt'];
}
else {
  ausgabe("FEHLER: Unberechtigter Zugriff");
  exit();
}
$ok=true;
//Überprüfung, ob die betroffenen Objekte das gleiche Startdatum haben
if ($gruppenSt != '') {
  $hilfgruppenSt = $gruppenSt;
  $objF=array();
  if (strpos($hilfgruppenSt,"<")===false) { //wg. Abwärtskompatibilität: ursprüngliche und neue Syntax möglich
    $hilfgruppenSt="<".$hilfgruppenSt.">";
  }
  $hilfF0=explode(">",$hilfgruppenSt);
  for ($i=0; $i<sizeof($hilfF0); $i++) {
 			if (strpos($hilfF0[$i],"<")!=0) {
      $hilfF0[$i]=str_replace('<',',',$hilfF0[$i]);
    }
    else {
      $hilfF0[$i]=str_replace('<','',$hilfF0[$i]);
    }
    $hilfF0[$i]=str_replace('@',',',$hilfF0[$i]);
    $hilfF1=explode(",",$hilfF0[$i]);
		  array_splice($objF,count($objF),0,$hilfF1);
  }
  $startTab=$benutzer."0".$objF[0]."Kalender";
  $testdaten = mysqli_query($conn, "select Anreisedatum from $startTab WHERE (SUBSTRING(Anreisedatum,9,2)='01') LIMIT 1");
  $testRow = mysqli_fetch_row($testdaten);
  $startdate = $testRow[0];
  for ($k=1;$k<count($objF);$k++){
    if ($objF[$k]!="") {
      $teilTab=$benutzer."0".$objF[$k]."Kalender";
      $testdaten = mysqli_query($conn, "select Anreisedatum from $teilTab WHERE (SUBSTRING(Anreisedatum,9,2)='01') LIMIT 1");
      $testRow = mysqli_fetch_row($testdaten);
      if ($startdate != $testRow[0]) {
        $ok=false;
        $error="ABBRUCH:<br><br>Die Kalender der betroffenen Objekte haben nicht das gleiche Startdatum.<br><br>Stellen Sie im TAB 'Buchungskalender > Kalender fortführen' zunächst für alle betroffenen Kalender das gleiche Startdatum ein.";
        break;
      }
    }
  }
}
//Überprüfung ENDE
if ($ok) {
  $multiTabelle=$benutzer."0Vermieter";
  if (!@mysqli_query($conn, "update $multiTabelle set multiSt = '$gruppenSt' where lan='00-00'")) {
    $ok=false;
    $error="Folgender Datenbankfehler ist aufgetreten:<br><br>".mysqli_error($conn);
  }
}
ob_clean();
echo "<!DOCTYPE html>
 <html>
 <head>
   <title>Objektgruppen</title>
   <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
   <link rel=\"stylesheet\" type=\"text/css\" href=\"basic.css\" media=\"screen\">
   <link rel=\"stylesheet\" type=\"text/css\" href=\"tabs.css\" media=\"screen\">
   <link rel=\"stylesheet\" type=\"text/css\" href=\"print.css\" media=\"print\">
 </head>
 <body>
 <div id=\"aussen\">
 <a href=\"logout.php\" style=\"float:right\"><img class=\"noprint\" style='border:0;' src=\"logout.jpg\" title=\"Logout\" alt=\"\"></a>
           <h1 class=\"noprint\">OnBuSys Gruppen bearbeiten: Gruppen gespeichert</h1>
 <div id=\"header\">
 <ul id=\"primary\">
	<li><a href=\"admin.php\">Home</a></li>
	<li><a href=\"objVerw.php\" class=\"current\">Objektverwaltung</a>
		<ul id=\"secondary\">
			<li><a href=\"objVerwSec.php\">Objekteinrichtung/Pers. Daten</a></li>
			<li><span>Objekt-Gruppierung</span></li>
			<li><a href=\"Preiseingabe.php\">Preise, Zusatzangebote, Buchoptionen</a></li>
			<li><a href=\"SaisonKopSeite.php\">Preise/Saisonzeiten/Mietdauern kopieren</a></li>
			<li><a href=\"objZugriffSeite.php\">Zugriffsrechte/Anreisetag</a></li>
		</ul>
    </li>
	<li><a href=\"changePDSeite.php\">Einstellungen</a></li>
	<li><a href=\"designSeite.php\">Design</a></li>
	<li><a href=\"textVerw.php\">Textvorlagen</a></li>
    <li><a href=\"AnAbreisenSeite.php\">Buchungen</a></li>
	<li><a href=\"finanzVerw.php?id=offene&amp;nurlesen=true\">Zahlungen</a></li>
	<li><a href=\"mahnVerw.php\">Mahnungen</a></li>
    <li><a href=\"kalVerw.php\">Buchungskalender</a></li>
 </ul>
 </div>
 <div id=\"main\">";
 if ($benutzerID!=0) {
   echo "
   <hr style=\"color:#ffffff; width:95%;margin-top:25px;\">
   <h5 style='margin-left:auto;margin-right:auto;margin-top:50px;'>Sie haben keine Zugangsberechtigung zu dieser Seite.</h5><br>";
   exit();
 }
 echo "
  <a href=\"multiObj.php\" style=\"float:left\"><img class=\"noprint\" style='border:0;' src=\"Pfeil.png\" title=\"Zurück\" alt=\"\"></a>
 <hr style=\"color:#ffffff; width:95%;margin-top:25px;\">
 <div id=\"contents\">";
  if ($ok) {
    $text="Die Gruppen wurden erfolgreich gespeichert.";
  }
  else {
    $text=$error;
  }
 echo "
 <div style='text-align:center;'>
 <span style='font-size:11px;font-family:Verdana,sans-serif;font-weight:bold;color:#000000;'>$text</span>
 </div>
 </div>
 </div>
 </div>
 </body>
 </html>";
?>