var blurDiv;
function verdunklen(prot_verdunkeln) {
  if (prot_verdunkeln) {
    blurDiv = document.createElement('div');
    blurDiv.id = 'blurDiv';
    blurDiv.style.cssText = 'position:fixed; top:0; bottom:0; left:0; right:0; z-index:99991;background:rgba(0,0,0,.5);';
    document.getElementsByTagName('body')[0].appendChild(blurDiv);
  }
  else {
    if (document.getElementById(blurDiv.id)) {blurDiv.parentNode.removeChild(blurDiv);}
  }
}

function HarmonizeEvent(evt) {
  if (!evt.target) {
    evt.target = evt.srcElement;
    if ('mouseover' == evt.type) {
      evt.relatedTarget = evt.fromElement;
    }
    else if ('mouseout' == evt.type) {
	    evt.relatedTarget = evt.toElement;
    }
    evt.preventDefault = function() {this.returnValue = false;};
    evt.stopPropagation = function() {this.cancelBubble = true;};
  }
}

function PositionElement(el,src,right,bottom) {
  var top = 0;
  var left = 0;
  if (right) {
	left += src.offsetWidth;
  }
  if (bottom) {
    top += src.offsetHeight;
  }
  while (src) {
    top += src.offsetTop;
    left += src.offsetLeft;
    src = src.offsetParent;
  }
  el.style.top = top + "px";
  el.style.left = left + "px";
}

// Mozilla equivalency

if (!document.all) {
  // swapNode()
  if ('function' != Node.prototype.swapNode) {
	Node.prototype.swapNode = function (node) {
      var nextSibling = this.nextSibling;
      var parentNode = this.parentNode;
      node.parentNode.replaceChild(this, node);
      parentNode.insertBefore(node, nextSibling);
    };
  }

  // click()
  if ('function' != HTMLElement.prototype.click) {
    HTMLElement.prototype.click = function() {
      var e = document.createEvent("MouseEvents");
      e.initEvent("click",true,true);
      var blnRet = this.dispatchEvent(e);
    };
  }

  // contains()
  if ('function' != HTMLElement.prototype.contains) {
    HTMLElement.prototype.contains = function (el) {
      while (el!=null && el!=this) {
        el = el.parentElement;
      }
      return (el!=null);
    };
  }
}

function obs_prompt(headtxt,fixtxt,valtxt,divbreite,top,left) {
  var popID = "pop0001";
  var show = true;
  if (popID) {
    var popup = document.getElementById(popID);
    if (popup) {
      if (true == show) {
        popup.style.display = "block";
      }
      else if (false == show) {
             popup.style.display = "none";
           }
           else {
             popup.style.display = "block" == popup.style.display ? "none" : "block";
           }
      if ("block" == popup.style.display) {
        verdunklen(true);
        //popup.style.top = ((document.documentElement.offsetHeight - popup.offsetHeight) / 2 ) + 'px';
        //popup.style.left = ((document.documentElement.offsetWidth - popup.offsetWidth) / 2) + 'px';
        popup.style.top = top;
        popup.style.left = left;
        document.getElementById('pop0001_h3id').innerHTML=headtxt;
        document.getElementById('pop0001_spaid').innerHTML=fixtxt;
        document.getElementById('pop0001').style.width=divbreite;
        document.getElementById('pop0001_inpid').focus(); //diese Reihenfolge notwendig, damit der Cursor ans Ende kommt
        document.getElementById('pop0001_inpid').value='';
        document.getElementById('pop0001_inpid').value=valtxt;
      }
    }
  }
}

document.write('<div class="popover" id="pop0001" style="z-index:99992;'+
  'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;">'+
  '<h3 name="pop0001_h3" id="pop0001_h3id"><\/h3>'+
  '<form action="javascript:document.getElementById(\'pop0001\').style.display=\'none\';verdunklen(false);"'+
  'onsubmit="return obs_prompt_pruefen(document.getElementById(\'pop0001_inpid\').value);"'+
  'onreset="document.getElementById(\'pop0001\').style.display=\'none\';verdunklen(false);">'+
  '<fieldset>'+
  '<span name="pop0001_spa" id="pop0001_spaid"><\/span>'+
  '<hr />'+
  '<input type="text" name="pop0001_inp" id="pop0001_inpid" />'+
  '</fieldset>'+
  '<div class="buttons">'+
  '<input type="submit" value="OK" />'+
  '<input type="reset" value="Abbrechen" />'+
  '<\/div>'+
  '<\/form>'+
  '<\/div>');