<?php date_default_timezone_set('Europe/Berlin');
//<?php error_reporting(0); //bei PHP-Version kleiner als 5.1
// Skript zum Abonnieren des OnBuSys-Belegungskalenders im iCal-Format
// 
// Der abonnierte Kalender enthält als Buchungsdaten lediglich das An- und Abreisedatum
// und als 'SUMMARY' den Wert: 'Buchung Objekt <Objektname>' und ist dafür gedacht, Belegungsübersichten
// bei einem Portal mit den OnBuSys-Belegungsübersichten automatisch zu synchronisieren.
// 
// Der OnBuSys-Belegungskalender kann mit folgenden URLs abonniert werden:
// 
// 1. Für ein bestimmtes Objekt:
// http://Pfad_zum_Ordner_OBS/ical_abo.php?id=Benutzername@Objektname
// z.B. für das Objekt Buttje auf der OnBuSys-Demoseite
// http://onbusys.de/100/OBS/ical_abo.php?id=domizil@Buttje
// 
// 2. Für mehrere bestimmte Objekte:
// http://Pfad_zum_Ordner_OBS/ical_abo.php?id=Benutzername&ofeld=Objektname_1,Objektname_2,...,Objektname_n
// z.B. für die Objekt Berg, Buttje und Wald auf der OnBuSys-Demoseite
// http://onbusys.de/100/OBS/ical_abo.php?id=domizil&ofeld=Berg,Buttje,Wald
// 
// 3. Für alle Objekte:
// http://Pfad_zum_Ordner_OBS/ical_abo.php?id=Benutzername
// z.B. für alle Objekte auf der OnBuSys-Demoseite
// http://onbusys.de/100/OBS/ical_abo.php?id=domizil
//
// Die jeweils konkreten URLs können zu Testzwecken verwendet werden, um die Belegungsübersichten der
// OnBuSys-Demoseite beispielsweise in einen Google-, Apple- oder sonstigen Kalender einzubinden.
//
// Falls eine feste IP oder ein bestimmter eigener User-Agent verwendet wird, kann eine der folgenden
// zwei Zeilen eine missbräuchliche Abonnierung des Belegungskalenders verhindern.
//if ($_SERVER['REMOTE_ADDR'] != "Ihre IP") die('Access forbidden');
//if ($_SERVER['HTTP_USER_AGENT'] != "Ihr User-Agent") die('Access forbidden');
//
//Sollte auch für Blockierungen funktionieren!!!
//
// Ab hier keine Änderungen mehr
if (!isset($_GET['id'])) {
  die('Parameter nicht vorhanden');
}
$id=$_GET["id"];
$idF=array();
$idF=explode("@",$id);
$benutzer=$idF[0];
$objekt="";
if (count($idF)==2) {$objekt=$idF[1];}

$output = "";

include './DBSafe/dbDaten.php';
$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     die("Der Datenbankserver ist zur Zeit nicht erreichbar. Versuchen Sie es bitte später noch einmal.");
}
mysqli_set_charset($conn, "utf8");

$benTabelle= $benutzer."0Benutzer";
$resultObjSpalte=mysqli_query($conn, "select * from $benTabelle");

$objArray=array();
if (isset($_GET["ofeld"])) {
  $ofeld=$_GET["ofeld"];
  $objArray=explode(',', $ofeld);
}
else {
  if (strlen($objekt)==0) {
    while($werte=mysqli_fetch_row($resultObjSpalte)) {
      if (strlen($werte[0]) > 0){
        array_push($objArray,$werte[0]);
      }
    }
  }
  else {
    $objArray[0]=$objekt;
  }
}
for ($k=0; $k < count($objArray); $k++) {
  $objekt=$objArray[$k];
  $dateStr = array();
  $kalary = array();
  $kalTab = $benutzer."0".$objekt."Kalender";
  $result = mysqli_query($conn, "SELECT * FROM $kalTab");
  if ($result) {
    while ($datenrow  =  mysqli_fetch_row($result)) {
      array_push($kalary, $datenrow);
    }
    $i=0;
    while ($i < count($kalary)-1) {
      //Anreisedatum suchen
      while (($i < count($kalary)-1)&&($kalary[$i][3]!='3')&&($kalary[$i][3]!='6')) {
        $i++;
      }
      if ($i < count($kalary)-1) {
        $dtstart = $kalary[$i][1];
        //Abreisedatum suchen
        $i++;
        while (($kalary[$i][3]=='2')||($kalary[$i][3]=='5')) {
          $i++;
        }
        $dtend = $kalary[$i][1];
        $output .= $objekt.",";
        $output .= $dtstart.",";
        $output .= $dtend.PHP_EOL;
      } //count(...
    }
  }
} //for
echo $output;
exit;
?>